package com.huoran.api.impl;

import com.huoran.api.NakadaiClient;
import com.huoran.common.entity.School;
import com.huoran.common.entity.to.JudgmentPointDataTo;
import com.huoran.common.response.R;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


/**
 * @version 1.1 2021年8月26日15:03:52 JK修改 服务降级处理
 * @Author chen
 * @DATE 2021/7/15 11:16
 * @Version 1.0
 */
@Component
public class NakadaiClientImpl implements FallbackFactory<NakadaiClient> {


    @Override
    public NakadaiClient create(Throwable throwable) {
        return new NakadaiClient() {
            @Override
            public R getCustomerOrder(Integer customerId) {
                return R.error("调用服务失败:" + throwable.getMessage());
            }

            @Override
            public R getOrderOther(Integer orderId, Integer authority) {
                return R.error("调用服务失败:" + throwable.getMessage());
            }

            /*@Override
            public R fileDeletion(List<String> keys) {
                return R.error("调用服务失败:" + throwable.getMessage());
            }
*/
            @Override
            public R fileUpload(MultipartFile file) {
                return R.error("调用服务失败:" + throwable.getMessage());
            }

            @Override
            public Integer getCustomerBySchoolId(Integer schoolId) {
                return -1;
            }

            @Override
            public List<Integer> getSystemIdByCustomerId(Integer customerId) {
                return null;
            }

            @Override
            public String getSystemNameBySystemId(Integer SystemId) {
                return null;
            }

            @Override
            public String getSchoolCourse(Integer schoolId) {
                return null;
            }

            @Override
            public JudgmentPointDataTo getCustomerOrderOther(Integer schoolId, Integer systemId,String name) {
                return null;
            }

            @Override
            public R fileDeletion(List<String> keys, HttpServletRequest request) {
                return null;
            }

            @Override
            public School getTheSchoolNameBySchoolId(Integer schoolId) {
                return null;
            }

            @Override
            public School getTheIdBySchoolName(String schoolName) {
                return null;
            }

            @Override
            public void refreshPageNotification(String username, String to, String content) {

            }
        };
    }
}
