package com.huoran.api.impl;

import com.huoran.api.OccupationlabClient;
import com.huoran.common.entity.ExperimentalReport;
import com.huoran.common.entity.ProjectManage;
import com.huoran.common.entity.UserScore;
import com.huoran.common.entity.to.JudgmentPointDataTo;
import com.huoran.common.entity.to.ProjectDataTo;
import com.huoran.common.response.R;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description 服务降级
 * @author: Mr.JK
 * @create: 2021-09-10 15:09
 **/
@Component
public class OccupationlabImpl implements FallbackFactory<OccupationlabClient> {

    @Override
    public OccupationlabClient create(Throwable cause) {
        return new OccupationlabClient() {
            @Override
            public Integer addExperimentalReport(ExperimentalReport experimentalReport) {
                return null;
            }

            @Override
            public Integer addUserScore(UserScore userScore) {
                return null;
            }

            @Override
            public Integer getJudgmentScore(Integer projectId, Integer JudgmentId) {
                return 0;
            }

            @Override
            public List<ProjectManage> getInternalProjectBySystemId(Integer systemId, Integer permissions) {
                return null;
            }

            @Override
            public boolean copyQuestion(Integer schoolId, Integer accountId) {
                return false;
            }

            @Override
            public boolean saveData(Integer schoolId) {
                return false;
            }

            @Override
            public boolean addCourseData(Integer schoolId, Integer accountId) {
                return false;
            }

            @Override
            public boolean eventSampleData(Integer schoolId, Integer accountId) {
                return false;
            }

            @Override
            public boolean addArticleData(Integer accountId, Integer schoolId) {
                return false;
            }

            @Override
            public boolean copyEvaluationRules(Integer schoolId) {
                return false;
            }

            @Override
            public boolean saveStaffData(Integer schoolId) {
                return false;
            }

            @Override
            public boolean submitExam(Integer assessmentId, Integer classId, Integer accountId, Integer score) {
                return false;
            }

            @Override
            public Integer getTeacherIdByAssessmentId(Integer assessmentId) {
                return null;
            }

            @Override
            public JudgmentPointDataTo getProjectPoints(ProjectDataTo projectDataTo) {
                return null;
            }

            @Override
            public boolean builtInCourseClassification(Integer schoolId, Integer accountId) {
                return false;
            }

            @Override
            public List<ProjectManage> getProjectBySystemIdRemoteCall(String systemId, Integer permissions, Integer cId, Integer accountId) {
                return null;
            }

            @Override
            public boolean queryClassDetails(Integer id) {
                return false;
            }

            @Override
            public R getProjectBySystemId(String systemId, String token, Integer permissions, Integer cId,Integer mallId) {
                return null;
            }
        };
    }
}
