package com.huoran.api.impl;

import com.huoran.api.UserClient;
import com.huoran.common.entity.Role;
import com.huoran.common.response.R;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @Author chen
 * @DATE 2021/7/15 11:16
 * @Version 1.0
 */
@Component
public class UserClientImpl implements FallbackFactory<UserClient> {


    @Override
    public UserClient create(Throwable cause) {
        return new UserClient() {
            @Override
            public Integer getSchoolIdByAccountId(String accountId) {
                return -1;
            }

            @Override
            public void delStudent(List<Integer> accountIds) {
            }

            @Override
            public void delAccountAndUser(Integer accountId) {

            }

            @Override
            public boolean addCustomerAdmin(Integer schoolId, String accountId) {
                return false;
            }

            @Override
            public R rolePermissionService(Integer accountId, List<Integer> roleIds,Integer teamId) {
                return null;
            }

            @Override
            public R delRoleByAccountId(Integer roleId, Integer accountId) {
                return null;
            }

            @Override
            public Role checkRoleIsExist(String roleName, Integer schoolId,Integer platformId) {
                return null;
            }

            @Override
            public boolean checkPhoneOrEmailExist(String phone, String email, Integer type) {
                return false;
            }

            @Override
            public boolean checkIsSuperTube(String accountId) {
                return false;
            }

            @Override
            public String getUserAllRole(String accountId, Integer platformId) {
                return null;
            }

            @Override
            public String getUserName(Integer accountId) {
                return null;
            }

            @PostMapping("/users/users/role/getAccountIdsBySchoolId")
            @Override
            public List<Integer> getAccountIdsBySchoolId(Integer schoolId, Integer platformId) {
                return null;
            }

            @Override
            public boolean accountIsDisabled(String token) {
                return false;
            }

        };
    }
}
