package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 学生组织架构
 * </p>
 *
 * @author lr
 * @since 2021-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ol_architecture")
@ApiModel(value = "Architecture对象", description = "学生组织架构")
public class Architecture implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "自增id 新增无需传值")
    private Integer id;

    @ApiModelProperty(value = "组织名称")
    private String organizationName;

    @ApiModelProperty(value = "父id 一级为0", example = "0", name = "parentId")
    private Integer parentId;


    @ApiModelProperty(value = "学校id", example = "1", name = "schoolId")
    private Integer schoolId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "逻辑删除")
    @TableLogic
    private Integer isDel;


    @ApiModelProperty(value = "层级")
    private Integer level;

    @ApiModelProperty(value = "子级")
    @TableField(exist = false)
    private List<Architecture> children;

    @ApiModelProperty(value = "层级拼接")
    @TableField(exist = false)
    private String splicingLevel;

    /*@ApiModelProperty(value = "班級")
    @TableField(exist = false)
    private List<Architecture> classList;*/


}
