package com.huoran.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @description 编程类判分点实体
 * @author: Mr.JK
 * @create: 2021-09-01 16:12
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BcJudgmentPoint implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编程类判分点主键")
    private Integer bcId;

    @ApiModelProperty(value = "编程类判分点名称")
    private String name;

    @ApiModelProperty(value = "实验要求")
    private String experimentalRequirements;

    @ApiModelProperty(value = "实验代码")
    private String experimentCode;

    @ApiModelProperty(value = "实验要求显示类型")
    private String experimentalRequirementsType;

    @ApiModelProperty(value = "实验代码显示类型")
    private String experimentCodeType;

    @ApiModelProperty(value = "项目id")
    private String projectId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "是否开启（0开启 1未开启 默认为0）")
    private Integer isOpen;

    @ApiModelProperty(value = "是否删除(0未删除 1已删除 默认为0)")
    private Integer isDel;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}
