package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 企业认证审核
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_enterprise_certification")
@ApiModel(value = "EnterpriseCertification对象", description = "企业认证审核")
public class EnterpriseCertification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "申请认证人账号id")
    private Integer accountId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;

    @ApiModelProperty(value = "法人")
    private String legalPerson;

    @ApiModelProperty(value = "公司类型")
    private String type;

    @ApiModelProperty(value = "公司注册日期")
    private String establishDate;

    @ApiModelProperty(value = "公司营业期限终止日期")
    private String validPeriod;

    @ApiModelProperty(value = "公司地址")
    private String address;

    @ApiModelProperty(value = "注册资本")
    private String capital;

    @ApiModelProperty(value = "经营范围")
    private String business;

    @ApiModelProperty(value = "营业执照照片")
    private String businessLicensePicture;

    @ApiModelProperty(value = "办学许可证")
    private String licenseForRunningSchool;


    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "审核状态(0默认未提交 1.待审核，2.已通过，3.已驳回)")
    private Integer auditStatus;

    @ApiModelProperty(value = "来源区分(5:幼儿园，6：供应商)")
    private String platformSource;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "账号")
    @TableField(exist = false)
    private String account;

    @ApiModelProperty(value = "申请人")
    @TableField(exist = false)
    private String proposer;

    @ApiModelProperty(value = "联系方式")
    @TableField(exist = false)
    private String contactInformation;

    @ApiModelProperty(value = "省")
    @TableField(exist = false)
    private String province;

    @ApiModelProperty(value = "市")
    @TableField(exist = false)
    private String city;

    @ApiModelProperty(value = "团队id")
    @TableField(exist = false)
    private Integer teamId;

    @ApiModelProperty(value = "logo地址")
    @TableField(exist = false)
    private String logoUrl;

    @ApiModelProperty(value = "组织创建时间")
    @TableField(exist = false)
    private String organizationCreationTime;



    @ApiModelProperty(value = "简介")
    @TableField(exist = false)
    private String briefIntroduction;


    @ApiModelProperty(value = "认证状态(0默认未认证 1.认证中2.已认证)")
    private Integer authenticationStatus;


    @ApiModelProperty(value = "微信唯一标识")
    private String openId;


    @ApiModelProperty(value = "供应商分类id")
    @TableField(exist = false)
    private Integer supplierClassificationId;

    @ApiModelProperty(value = "供应商分类名称")
    @TableField(exist = false)
    private String supplierClassificationName;

    @ApiModelProperty(value = "关注id(用于取消关注，没有表示没有关注过)")
    @TableField(exist = false)
    private Integer attentionId;

    @ApiModelProperty(value = "是否关注(0未关注 1已关注)")
    @TableField(exist = false)
    private Integer whetherAttention;
}
