package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-09-13 17:13
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ol_experimental_report")
@ApiModel(value = "ExperimentalReport对象", description = "存储各子系统的实验报告")
public class ExperimentalReport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "实验报告主键")
    @TableId(value = "report_id", type = IdType.AUTO)
    private Integer reportId;

    @ApiModelProperty(value = "项目管理id")
    private Integer projectId;

    @ApiModelProperty(value = "班级id")
    private Integer classId;

    @ApiModelProperty(value = "课程id(curriculum表主键)")
    private Integer curriculumId;

    @ApiModelProperty(value = "考核id(当进入的实验为练习时本列为空)")
    private Integer assessmentId;

    @ApiModelProperty(value = "老师名称")
    @TableField(exist = false)
    private String teacherName;

    @ApiModelProperty(value = "学号")
    @TableField(exist = false)
    private String workNumber;

    @ApiModelProperty(value = "用户名称 (学生姓名)")
    @TableField(exist = false)
    private String userName;

    @ApiModelProperty(value = "学生账号id")
    private Integer accountId;

    @ApiModelProperty(value = "实验原理")
    private String principle;

    @ApiModelProperty(value = "实验内容")
    private String content;

    @ApiModelProperty(value = "实验步骤")
    private String step;

    @ApiModelProperty(value = "实验数据")
    private String data;

    @ApiModelProperty(value = "实验分析")
    private String analysis;

    @ApiModelProperty(value = "实验结论")
    private String conclusion;

    @ApiModelProperty(value = "实验总结")
    private String summarize;

    @ApiModelProperty(value = "实验器材")
    private String equipment;

    @ApiModelProperty(value = "实验目的")
    private String purpose;

    @ApiModelProperty(value = "对本实验过程方法及手段的改进建议")
    private String improvement;

    @ApiModelProperty(value = "绑定教师评语id")
    private Integer commentId;

    @ApiModelProperty(value = "教师评语")
    private String comment;

    @ApiModelProperty(value = "绑定老师id")
    private Integer teacherId;

    @ApiModelProperty(value = "学时")
    private String period;

    @ApiModelProperty(value = "实验室名称")
    private String laboratory;

    @ApiModelProperty(value = "是否启用教师签名（0不启用，1启用，默认0）")
    private Integer isSignature;

    @ApiModelProperty(value = "绑定教师签名id")
    private Integer signatureId;

    @ApiModelProperty(value = "指导老师:(考核的自动读取发布考核的老师名称，可修改)")
    private String instructor;

    @ApiModelProperty(value = "实验项目名称:(自动读取，可修改)")
    private String projectName;

    @ApiModelProperty(value = "学生班级:(自动读取学生班级，可修改)")
    private String className;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "进入时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "耗时")
    private Integer timeSum;

    @ApiModelProperty(value = "是否删除（0未删除1已删除 默认0）")
    private Integer isDel;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "商品id")
    private Integer mallId;


}