package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 流程类判分规则用户答案记录表
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LcRuleRecord对象", description="流程类判分规则用户答案记录表")
public class LcRuleRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "规则id")
    private Integer ruleId;

    @ApiModelProperty(value = "题目类型(1选择 2判断 3填空 4问答 5指标结果)")
    @TableField(exist = false)
    private String type;

    @ApiModelProperty(value = "考核点名称")
    @TableField(exist = false)
    private String name;

    @ApiModelProperty(value = "规则答案")
    private String ruleAnswer;

    @ApiModelProperty(value = "用户答案")
    private String userAnswer;

    @ApiModelProperty(value = "标识")
    private String flag;

    @ApiModelProperty(value = "是否删除")
    @TableLogic(value = "0",delval = "1")
    private Integer isDel;

    @ApiModelProperty(value = "开始时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private String operationIds;


}
