package com.huoran.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @description 项目管理判分点中间表增强实体
 * @author: Mr.JK
 * @create: 2021-09-01 16:00
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProjectJudgmentVo {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "分数")
    @NotNull(message = "分数不能为空!")
    private Integer score;

    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空!")
    private String projectId;

    @ApiModelProperty(value = "判分点id（编程与流程）系统id为11时，是流程类")
    @NotNull(message = "判分点id不能为空!")
    private Integer judgmentId;

    @ApiModelProperty(value = "实验要求")
    private String experimentalRequirements;

    @ApiModelProperty(value = "判分点名称")
    private String name;

    @ApiModelProperty(value = "实验要求显示类型")
    private String experimentalRequirementsType;

    @ApiModelProperty(value = "实验代码显示类型")
    private String experimentCodeType;
}
