package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 项目管理表
 * </p>
 *
 * @author Mr.JK
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ol_project_manage")
@ApiModel(value = "ProjectManage对象", description = "项目管理表")
public class ProjectManage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "project_id", type = IdType.AUTO)
    private Integer projectId;

    @ApiModelProperty(value = "项目名称")
    @NotBlank(message = "项目名称不能为空!")
    private String projectName;

    @ApiModelProperty(value = "项目权限(0、练习 1、考核 2、竞赛)")
    @NotNull(message = "项目权限不能为空!")
    private Integer permissions;

    @ApiModelProperty(value = "系统id")
    @NotNull(message = "系统id不能为空!")
    private Integer systemId;

    @ApiModelProperty(value = "系统名称")
    @TableField(exist = false)
    private String systemName;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


    @ApiModelProperty(value = "创建人角色(0、系统 1、院校)")
    @NotNull(message = "创建人角色不能为空!")
    private Integer founder;


    @ApiModelProperty(value = "创建人")
    @TableField(exist = false)
    private String creator;


    @ApiModelProperty(value = "状态(0、草稿箱 1、已发布)")
    @NotNull(message = "状态不能为空!")
    private Integer state;

    @ApiModelProperty(value = "系统类型(0编程类 1流程类)")
    @TableField(exist = false)
    private Integer type;

    @ApiModelProperty(value = "实验目标")
    private String experimentTarget;

    @ApiModelProperty(value = "实验描述")
    private String experimentDescription;

    @ApiModelProperty(value = "实验提示")
    private String experimentHint;

    @ApiModelProperty(value = "实验目标显示类型")
    private String experimentTargetType;

    @ApiModelProperty(value = "实验描述显示类型")
    private String experimentDescriptionType;

    @ApiModelProperty(value = "实验提示显示类型")
    private String experimentHintType;

    @ApiModelProperty(value = "实验提示是否开启(0开启 1不开启 默认0)")
    private Integer hintOpen;

    @ApiModelProperty(value = "学校实验提示是否开启(0开启 1不开启)")
    @TableField(exist = false)
    private Integer hintOpenBySchool;

    @ApiModelProperty(value = "是否开启(0开启 1未开启 默认0)")
    private Integer isOpen;

    @ApiModelProperty(value = "中台是否开启(0开启 1未开启 默认0)")
    private Integer ztOpen;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除 默认0)")
    @TableLogic(value = "0", delval = "1")
    private Integer isDel;

    @ApiModelProperty(value = "中台是否删除(0未删除 1已删除 默认0)")
    private Integer ztDel;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "是否为管理员发布 0否 1是")
    @TableField(exist = false)
    private Integer isAdminRelease;

    @ApiModelProperty(value = "学校名称")
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty(value = "职站是否禁用启用(0启用 1已禁用)")
    @TableField(exist = false)
    private Integer ccupationlabOpen;

    @ApiModelProperty(value = "创建人")
    @TableField(exist = false)
    private String createUser;

    @ApiModelProperty(value = "项目发布人角色")
    @TableField(exist = false)
    private String roleName;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "是否学习(0未学习 1已学习)")
    @TableField(exist = false)
    private Integer whetherToStudyOrNot;


    @ApiModelProperty(value = "学习进展id")
    @TableField(exist = false)
    private Integer learningProgressId;


    @ApiModelProperty(value = "商品id")
    private Integer mallId;


}
