package com.huoran.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Description :   python子系统提交答案参数
 * @Author Rong---2021/12/15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PyAttributesReq {

    @ApiModelProperty("编程类判分点id")
    private Integer bcId;

    @ApiModelProperty("运行结果id")
    private Integer codeId;

    @ApiModelProperty("是否提交(0未提交,1为已提交)")
    private Integer isSubmit;

    @ApiModelProperty("当前规则用户输入的答案")
    private String answer;

    @ApiModelProperty(value = "返回结果(1为正确 0为错误)")
    private Integer retResult;

}
