package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 学校表
 * </p>
 *
 * @author lr
 * @since 2021-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ol_school")
@ApiModel(value="School对象", description="学校表")
public class School implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校主键id")
    @TableId(value = "schoolId", type = IdType.AUTO)
    private Integer schoolId;

    @ApiModelProperty(value = "学校名称")
    @TableField("schoolName")
    private String schoolName;

    @ApiModelProperty(value = "绑定省份Id")
    @TableField("provinceId")
    private Integer provinceId;

    @ApiModelProperty(value = "绑定城市Id")
    @TableField("cityId")
    private Integer cityId;

    @ApiModelProperty(value = "层次(1、本科 2、大专 3、高职 4、中专 5、其他)")
    private Integer level;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    private String isdel;

    @ApiModelProperty(value = "省份名称")
    @TableField("provinceName")
    private String provinceName;

    @ApiModelProperty(value = "城市名称")
    @TableField("cityName")
    private String cityName;


}
