package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：各个平台账号表
 * @作者: Rong
 * @日期: 2021-08-25
 */
@Data
@ApiModel(value = "各个平台账号表")
@TableName("hr_user_account")
public class UserAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键id(平台用户id）")
    private Integer id;

    @ApiModelProperty(value = "用户表id")
    private Integer userId;

    @ApiModelProperty(value = "客户表id")
    private Integer customerId;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty("手机号（平台唯一标识）")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "工号")
    private String workNumber;

    @ApiModelProperty(value = "绑定的角色id(0为数据平台普通用户)")
    private String roleId;

    @ApiModelProperty(value = "绑定院校id")
    private Integer schoolId;

    @ApiModelProperty(value = "所属平台id")
    private String platformId;

    @ApiModelProperty(value = "小程序id")
    private String appOpenId;

    @ApiModelProperty(value = "开放平台与公众平台唯一id")
    private String unionid;

    @ApiModelProperty(value = "平台（系统）绑定时间")
    private Date platformBindTime;

    @ApiModelProperty(value = "手机绑定时间")
    private String phoneBindingTime;

    @ApiModelProperty(value = "平台端区分：0->教师端 1->学生端 2->无端")
    private Integer type;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Boolean isEnable;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "班级id")
    @TableField(exist = false)
    private String classId;

    @ApiModelProperty(value = "班级id")
    @TableField(exist = false)
    private String userName;

    @ApiModelProperty(value = "企业认证")
    @TableField(exist = false)
    private EnterpriseCertification enterpriseCertification;

    @ApiModelProperty(value = "个人认证")
    @TableField(exist = false)
    private UserAuthenticationInformation userAuthenticationInformation;
}