package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户实名认证信息记录
 * </p>
 *
 * @author chen
 * @since 2023-12-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_user_authentication_information")
@ApiModel(value="UserAuthenticationInformation对象", description="用户实名认证信息记录")
public class UserAuthenticationInformation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "姓名")
    private String realName;

    @ApiModelProperty(value = "身份证号码")
    private String idCardNo;

    @ApiModelProperty(value = "生日")
    private String birthday;

    /*@ApiModelProperty(value = "年龄")
    private Integer age;*/

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "县")
    private String county;

    @ApiModelProperty(value = "地址信息")
    private String address;

    @ApiModelProperty(value = "民族")
    private String nationality;

    @ApiModelProperty(value = "身份证有效期起始时间")
    private String startDate;

    @ApiModelProperty(value = "身份证有效期结束时间")
    private String endDate;

    @ApiModelProperty(value = "签发机关")
    private String issue;

    @ApiModelProperty(value = "身份证正面图片地址")
    private String frontOfIdCard;

    @ApiModelProperty(value = "身份证反面图片地址")
    private String reverseOfIdCard;

    @ApiModelProperty(value = "实名认证的时间")
    private Date realNameAuthenticationTime;

    @ApiModelProperty(value = "微信唯一标识")
    private String openId;
}
