package com.huoran.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：用户信息表
 * @作者: Rong
 * @日期: 2021-08-25
 */
@Data
@ApiModel(value = "用户信息表")
@TableName("hr_user_info")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentification;

    @ApiModelProperty(value = "证件类型（1、身份证）")
    private Integer documentType;

    @ApiModelProperty(value = "证件号码")
    private String idNumber;

    @ApiModelProperty(value = "绑定省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "绑定城市id")
    private Integer cityId;

    @ApiModelProperty(value = "国家归属地")
    private String countries;

    @ApiModelProperty(value = "出生日期")
    private Date dateBirth;

    @ApiModelProperty(value = "教育程度")
    private Integer educationDegree;

    @ApiModelProperty(value = "绑定学校id")
    private Integer schoolId;


    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "微信号")
    private String wechatId;

    @ApiModelProperty(value = "登陆次数")
    private Integer loginNumber;

    @ApiModelProperty(value = "性别（1、男 2、女）")
    private Integer sex;

    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;

    @ApiModelProperty(value = "是否删除(0->未删除；1->已删除)")
    private Integer isDel;

    @ApiModelProperty(value = "最后登陆时间")
    private Date lastLoginTime;

    @ApiModelProperty(value = "绑定多个角色id")
    private String roleId;

    @ApiModelProperty(value = "组织关系：1->有组织关系；2->无组织关系；")
    private Integer organizationalRelation;

    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Boolean isEnable;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @ApiModelProperty(value = "账户表-电话")
    @TableField(exist = false)
    private String phone;


}