package com.huoran.common.entity;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-09-14 15:01
 **/

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户分数表
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "UserScore对象", description = "用户分数表")
@TableName("ol_user_score")
public class UserScore implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "分数")
    private Integer score;

    @ApiModelProperty(value = "实验报告主键")
    private Integer reportId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "判分点id(系统11为流程类)")
    private Integer judgmentId;

    @ApiModelProperty(value = "用户答案")
    private String answer;

    @ApiModelProperty(value = "是否正确")
    private Integer isCorrect;

    @ApiModelProperty(value = "是否删除")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "赛事id")
    private Integer competitionId;

    @ApiModelProperty(value = "赛事阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "耗时(用于区分线下赛事的耗时)")
    private Integer timeSum;

    @ApiModelProperty(value = "提交时间(用于区分线下赛事的提交时间)")
    private Date submitTime;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;


}