package com.huoran.common.exception;

import com.huoran.common.exception.code.BaseResponseCode;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * BusinessException
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class BusinessException extends RuntimeException {
    private BaseResponseCode baseResponseCode;
    private int code = 200; //返回码(400)

    private String msg; //返回码对应的消息


    public BusinessException(Exception e) {
        super(e);
    }

    public BusinessException(Exception e, String msg) {
        super(e);
        this.msg = msg;
    }

    public BusinessException(String msg) {
        super();
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
