package com.huoran.common.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

public class DateUtils {

    public static String handleTime(Date date) {
        Instant instant = date.toInstant();
        ZoneId zoneId = ZoneId.systemDefault();
        LocalDateTime localDateTime = instant.atZone(zoneId).toLocalDateTime();
        return localDateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss")); // 当前日期和时间
    }

    public static String formatTime(LocalDateTime time) {
        String timeStr1 = time.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
        return timeStr1;
    }

    /**
     * 时间类型转换
     *
     * @param time
     * @return
     */
    public static String dateForByStr(String time) {
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm");
            Date date = sdf.parse(time);
            //获取String类型的时间
            String createdate = sdf.format(date);
            return createdate;
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }

    }

    /**
     * 获取当前时间
     *
     * @return
     */
        /*public static String getNowTime(Integer userId) {

            String getDate = template.opsForValue().get("date:userId_" + userId);
            SimpleDateFormat tempDate = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            String datetime = tempDate.format(new java.utils.Date());
            //也可以用这个
            String datetimes = tempDate.format(new Date(System.currentTimeMillis()));
            return getDate;
        }*/
    public static String getNowTime() {
        SimpleDateFormat tempDate = new SimpleDateFormat("yyyy-MM-dd HH:mm");
        String datetime = tempDate.format(new Date());
        //也可以用这个
        String datetimes = tempDate.format(new Date(System.currentTimeMillis()));
        return datetime;
    }

    public static String nowTime() {
        SimpleDateFormat tempDate = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String datetime = tempDate.format(new Date());
        //也可以用这个
        String datetimes = tempDate.format(new Date(System.currentTimeMillis()));
        return datetime;
    }

    /**
     * 获取当前时间往后推几个月
     *
     * @param startDate
     * @param number
     * @return
     */
    public static String getAfterDate(Date startDate, int number) {
        Calendar c = Calendar.getInstance();//获得一个日历的实例
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");

        c.setTime(startDate);
        c.add(Calendar.MONTH, number);

        return sdf.format(c.getTime());
    }

    //获取两个日期之间的天数
    public static int getDatePoor(Date endDate, Date nowDate) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(endDate);
        long time1 = cal.getTimeInMillis();
        cal.setTime(nowDate);
        long time2 = cal.getTimeInMillis();
        long between_days = (time2 - time1) / (1000 * 3600 * 24);
        int parseInt = Integer.parseInt(String.valueOf(between_days));
        parseInt = parseInt + 1;
        return parseInt;
    }

    public static void main(String[] args) throws ParseException {
        String d1 = "2022-06-09 00:00";
        String d2 = "2022-06-10 23:00";

        System.out.println(getTheNumberOfDaysBetweenTwoDates(d2, d1));
    }

    public static int getTheNumberOfDaysBetweenTwoDates(String endDate, String nowDate) throws ParseException {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        Date date1 = simpleDateFormat.parse(nowDate);
        Date date2 = simpleDateFormat.parse(endDate);
        int l = (int) (date2.getTime() - date1.getTime()) / (1000 * 24 * 60 * 60);
        // System.out.println("两个时间相差" + l + "天");
        return l;
    }

    /**
     * Date 转换为 String
     *
     * @param date
     * @return
     */
    public static String getDateByString(Date date) {
        String pattern2 = "yyyy-MM-dd HH:mm:ss";
        SimpleDateFormat sdf2 = new SimpleDateFormat(pattern2);
        System.out.println(sdf2.format(date));
        return sdf2.format(date);
    }

    public static Date getDateByDay(int day) {
        Calendar calendar = Calendar.getInstance();
        // SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        calendar.add(Calendar.DAY_OF_YEAR, day);
        return calendar.getTime();
    }

    /*public static long dateDiff(String startTime, String endTime) {
        //按照dao传入的格式生成一个simpledateformate对象
        SimpleDateFormat sd = new SimpleDateFormat("yyyy-MM-dd HH:mm");
        long nd = 1000 * 24 * 60 * 60;//一天的毫秒数
        long nh = 1000 * 60 * 60;//一小时的毫秒数
        long nm = 1000 * 60;//一分钟的毫秒数
        long ns = 1000;//一秒钟的毫秒数
        long diff;
        try {
            //获得两个时间的毫秒时间差异
            diff = sd.parse(endTime).getTime() - sd.parse(startTime).getTime();
            long day = diff / nd;//计算差多少天
            long hour = diff % nd / nh;//计算差多少小时
            long min = diff % nd % nh / nm;//计算差多少分钟
            long sec = diff % nd % nh % nm / ns;//计算差多少秒//输出结果
            System.out.println("时间相差：" + day + "天" + hour + "小时" + min + "分钟" + sec + "秒。");


            long countHour = 0;//统计分钟
            countHour = (day * 24 * 60) + (hour * 60) + min;//天数*24小时
            return countHour;

        } catch (Exception e) {
            System.out.println(e.getMessage());
            return 0;
        }
    }*/

    public static long dateDiffByLong(String startTime) throws ParseException {

        SimpleDateFormat sd = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        long start = sd.parse(startTime).getTime();

        long end = System.currentTimeMillis();

        long min = (end - start) / (1000 * 60);

        System.out.println(min);

        if (min == 0) {
            return 1;
        }
        return min;
    }


    /*public static void main(String[] args) throws ParseException {
        dateDiffByLong("2021-05-28 09:52:05");
    }*/

}
