/*
package com.huoran.competition.controller;


import com.alibaba.fastjson.JSONObject;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CardVerify;
import com.huoran.competition.entity.CompetitionAnnex;
import com.huoran.competition.service.CompetitionAnnexService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;


@Api(tags = "kindergarten-实名认证")
@RestController
@RequestMapping("/authentication")
public class AuthenticationController {
    //实名认证接口
    @PostMapping("/cardVerify")
    public R cardVerify(@RequestBody JSONObject jsonObject, HttpServletRequest request) {
        //获取token
        String token = request.getHeader("Authorization");
        //根据token获取用户名
        String username = JwtUtil.getUsername(token);
        //根据username查询用户详情
        User user = userService.findByUsername(username);
        //获取前段传值
        String name = jsonObject.getStr("name");//姓名
        String card = jsonObject.getStr("card");//身份证号
        String frontImg = jsonObject.getStr("frontImg");//前照片
        String backImg = jsonObject.getStr("backImg");//后照片
        //调用验证接口
        CardVerify cardVerify = CardVerifyUtil.cardVerify(frontImg, backImg);
        //判断code
        switch (cardVerify.getCode()) {
            case "FP00000":
                //如果输入的身份证和姓名与身份证照片不一致
                if (!name.equals(cardVerify.getName())) {
                    System.out.println(cardVerify.getMessage());
                    return RestResponse.fail("输入的姓名与身份证上的姓名不一致");
                }
                if (!card.equals(cardVerify.getIdCardNo())) {
                    System.out.println(cardVerify.getMessage());
                    return RestResponse.fail("输入的身份证号与身份证上的不一致");
                }
                user.setCard(cardVerify.getIdCardNo());
                user.setName(cardVerify.getName());
                userService.revised(user);
                System.out.println(cardVerify.getMessage());
                return RestResponse.success("认证成功");
            case "10000":
                System.out.println(cardVerify.getMessage());
                return RestResponse.fail("系统后端错误，请联系管理员");
            case "KYC2010":
                System.out.println(cardVerify.getMessage());
                return RestResponse.fail("上传的图片不合格");
            case "FP03333":
                System.out.println(cardVerify.getMessage());
                return RestResponse.fail("请按要求输入或采集上传准确信息");
            case "FP09008":
                System.out.println(cardVerify.getMessage());
                return RestResponse.fail("处理失败,请求参数验证失败,请联系管理员");
            default:
                break;
        }
        System.out.println(cardVerify.getMessage());
        return RestResponse.success("认证成功");
    }
}

*/
