package com.huoran.competition.controller;


import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionAnnex;
import com.huoran.competition.service.CompetitionAnnexService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 活动附件表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Api(tags = "kindergarten-活动附件管理")
@RestController
@RequestMapping("/competition/annex")
public class CompetitionAnnexController {

    @Autowired
    private CompetitionAnnexService competitionAnnexService;
    @NoRepeatSubmit
    @PostMapping("/update")
    @ApiOperation(value = "编辑活动附件",response = CompetitionAnnex.class)
    public R update(@RequestBody CompetitionAnnex competitionAnnex) {
        boolean update = competitionAnnexService.updateById(competitionAnnex);
        return update ? R.ok() : R.error();
    }
    @NoRepeatSubmit
    @PostMapping("/save")
    @ApiOperation(value = "新增活动附件",response = CompetitionAnnex.class)
    public R save(@RequestBody CompetitionAnnex competitionAnnex) {
        boolean save = competitionAnnexService.save(competitionAnnex);
        return save ? R.ok() : R.error();
    }
    @NoRepeatSubmit
    @PostMapping("/delete")
    @ApiOperation(value = "删除活动附件",response = CompetitionAnnex.class)
    public R delete(@RequestParam("id") @ApiParam(name = "id", value = "附件id", required = true)  Integer id) {
        boolean del = competitionAnnexService.removeById(id);
        return del ? R.ok() : R.error();
    }
}

