package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.constant.DelConstant;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionAnnouncementAnnex;
import com.huoran.competition.service.CompetitionAnnouncementAnnexService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 活动公告附件表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Api(tags = "kindergarten-活动公告附件管理")
@RestController
@RequestMapping("/competition/announcementAnnex")
public class CompetitionAnnouncementAnnexController {

    @Autowired
    public CompetitionAnnouncementAnnexService service;

    @PostMapping("/viewAttachments")
    @ApiOperation(value = "查看公告下的附件",response = CompetitionAnnouncementAnnex.class)
    public R findById(@RequestParam("announcementId") @ApiParam(value = "announcementId") Integer announcementId) {
        QueryWrapper<CompetitionAnnouncementAnnex> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("announcement_id",announcementId);
        queryWrapper.eq("is_del", DelConstant.NOT_DEL);
        List<CompetitionAnnouncementAnnex> annexList = service.list(queryWrapper);
        return R.ok().put("list",annexList);
    }
    @NoRepeatSubmit
    @PostMapping("/save")
    @ApiOperation(value = "新增",response = CompetitionAnnouncementAnnex.class)
    public R save(@RequestBody CompetitionAnnouncementAnnex competitionAnnouncementAnnex) {
        boolean save =  service.save(competitionAnnouncementAnnex);
        return save ? R.ok() : R.error();
    }

    @NoRepeatSubmit
    @PostMapping("/update")
    @ApiOperation(value = "修改",response = CompetitionAnnouncementAnnex.class)
    public R update(@RequestBody CompetitionAnnouncementAnnex competitionAnnouncementAnnex) {
        boolean update = service.updateById(competitionAnnouncementAnnex);
        return update ? R.ok() : R.error();
    }

    @NoRepeatSubmit
    @PostMapping("/delete")
    @ApiOperation(value = "根据主键删除",response = CompetitionAnnouncementAnnex.class)
    public R delete(@RequestParam("id") @ApiParam(value = "id")Integer id) {
        boolean delete = service.removeById(id);
        return delete ? R.ok() : R.error();
    }
}

