package com.huoran.competition.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.api.UserClient;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.CompetitionClassification;
import com.huoran.competition.service.CompetitionClassificationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @描述：活动活动分类控制类
 * @作者: Rong
 * @日期: 2023-12-27
 */
@RestController
@RequestMapping("/competitionClassification")
@Api(value = "活动分类:CompetitionClassificationController", tags = "活动分类")
public class CompetitionClassificationController {

    @Autowired
    public CompetitionClassificationService service;

    @Autowired
    private UserClient userClient;

    @PostMapping("/categoryList")
    @ApiOperation(value = "分类列表", response = CompetitionClassification.class)
    public R categoryList() {
        List<CompetitionClassification> list = service.list( null);
        return R.ok().put("page",list);
    }


    @PostMapping("/save")
    @ApiOperation(value = "自定义新增活动分类", response = CompetitionClassification.class)
    public R save(@RequestBody @ApiParam(name = "活动活动分类对象", value = "传入json格式", required = true) CompetitionClassification competitionClassification, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        competitionClassification.setAccountId(Integer.valueOf(accountId));
        boolean addState = service.save(competitionClassification);
        return addState ? R.ok() : R.error("新增失败");
    }


    @PostMapping("/update")
    @ApiOperation(value = "修改活动分类", response = CompetitionClassification.class)
    public R update(@RequestBody @ApiParam(name = "活动活动分类对象", value = "传入json格式", required = true) CompetitionClassification competitionClassification, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        competitionClassification.setAccountId(Integer.valueOf(accountId));
        boolean updateState = service.updateById(competitionClassification);
        return updateState ? R.ok() : R.error("编辑失败");
    }


    @PostMapping("/batchDeletion")
    @ApiOperation(value = "批量删除活动分类", response = CompetitionClassification.class)
    public R batchDeletion(@ApiParam(name = "ids", value = "主键", required = true) @RequestBody List<Integer> ids) {
        boolean delState = service.removeByIds(ids);
        return delState ? R.ok() : R.error("删除失败");
    }
}

