package com.huoran.competition.controller;


import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionContent;
import com.huoran.competition.entity.req.CompetitionContentReq;
import com.huoran.competition.service.CompetitionContentService;
import com.huoran.competition.service.CompetitionContentService;
import com.huoran.competition.service.CompetitionStageContentSettingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Api(tags = "kindergarten-活动內容管理")
@RestController
@RequestMapping("/competition/content")
public class CompetitionContentController {


    @Autowired
    private CompetitionContentService competitionContentService;
    @NoRepeatSubmit
    @ApiOperation(value = "添加活动内容")
    @PostMapping("/addCompetitionContent")
    public R addCompetitionContent(
            @ApiParam(name = "competitionContent", value = "活动内容对象", required = true)
            @RequestBody CompetitionContentReq contentReq) {
        return competitionContentService.addCompetitionContent(contentReq);
    }

    @ApiOperation(value = "根据活动id查询活动内容")
    @GetMapping("/getCompetitionContent")
    public R getCompetitionContent(
            @ApiParam(name = "competitionId" , value = "賽事id")
            @RequestParam("competitionId") String competitionId) {
        return competitionContentService.getCompetitionContent(competitionId);
    }
    @NoRepeatSubmit
    @ApiOperation(value = "编辑活动内容")
    @PostMapping("/editCompetitionContent")
    public R editCompetitionContent(
            @ApiParam(name = "competitionContent", value = "活动内容对象", required = true)
            @RequestBody CompetitionContentReq contentReq) {
        return competitionContentService.editCompetitionContent(contentReq);
    }

}

