/*
package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huoran.api.UserClient;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.constant.DelConstant;
import com.huoran.common.entity.UserScore;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.req.PageGradeListReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.vo.GradeExportVO;
import com.huoran.competition.service.CompetitionStageService;
import com.huoran.competition.service.UserScoreService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Api(tags = "kindergarten-活动成绩管理")
@RestController
@RequestMapping("/competition/performance")
public class CompetitionPerformanceController {
    @Autowired
    private UserClient userClient;

    @Autowired
    private UserScoreService userScoreService;
    @Autowired
    CompetitionStageService competitionStageService;

    @NoRepeatSubmit
    @PostMapping("/batchImportGrades")
    @ApiOperation("批量导入活动成绩")
    public R batchImportGrades(@ApiParam(name = "file", value = "文件", required = true) @RequestParam(name = "file") MultipartFile file, @ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "systemId", value = "系统id", required = true) @RequestParam Integer systemId, @ApiParam(name = "stageId", value = "活动阶段id", required = true) @RequestParam Integer stageId, HttpServletRequest request) throws IOException {
        String accountId = TokenUtils.getIdByJwtToken(request);
        Integer schoolId = userClient.getSchoolIdByAccountId(accountId);
        if (systemId == null) {
            systemId = 0;
        }
        Map<String, String> map = userScoreService.batchImportGrades(file, competitionId, systemId, stageId, schoolId);
        return R.ok().put("data", map);
    }


    @ApiOperation(value = "批量导入成绩管理失败数据导出")
    @GetMapping("/exportFailure")
    public void exportFailureRecord(HttpServletResponse response, @ApiParam(name = "exportCode", value = "batchImportGrades接口返回的exportCode", required = true) @RequestParam String exportCode) throws Exception {
        userScoreService.exportFailureRecord(response, exportCode);
    }


    */
/**
     * 活动方式（0实操，1理论，2线下）
     * 依据活动活动方式查询数据：为线下时查询分数表，其余查实验报告表
     * <p>
     * 已删除的实验报告不计入统计中！！！
     *
     * @param req
     * @return
     *//*

    @ApiOperation(value = "阶段成绩管理", response = ListOfStageResultsResp.class)
    @PostMapping("/stageGradeManagementList")
    public R stageGradeManagementList(@RequestBody PageGradeListReq req) {
        CompetitionStage competitionStage = competitionStageService.getById(req.getStageId());
        if (competitionStage.getMethod() == 2) {//为线下时查询分数表，其余查实验报告表
            return userScoreService.stageGradeManagementList(req);
        }
        return userScoreService.stageReportOfExperimentList(req);

    }

    @NoRepeatSubmit
    @ApiOperation(value = "批量活动导出实验成绩")
    @PostMapping("/exportExperimentalResultsInBatch")
    public void exportExperimentalResultsInBatch(@RequestBody List<GradeExportVO> list, HttpServletResponse response) throws IOException {
        userScoreService.exportExperimentalResultsInBatch(list, response);
    }


    @ApiOperation(value = "活动导出全部实验成绩")
    @PostMapping("/allExperimentalResultsAreDerived")
    public void allExperimentalResultsAreDerived(@RequestBody PageGradeListReq req, HttpServletResponse response) throws IOException {
        List<GradeExportVO> list = new ArrayList<>();
        req.setPageSize(100000);
        Integer serialNumber = 0;
        List<ListOfStageResultsResp> getUnpaginatedEventResult = userScoreService.getUnpaginatedEventResults(req);
        for (ListOfStageResultsResp resp : getUnpaginatedEventResult) {
            GradeExportVO exportVO = new GradeExportVO();
            exportVO.setScore(resp.getScore());
            exportVO.setTeamName(resp.getTeamName());
            exportVO.setSchoolName(resp.getSchoolName());
            exportVO.setTimeSum(resp.getTimeSum());
            exportVO.setWorkNumber(resp.getWorkNumber());
            exportVO.setSerialNumber(++serialNumber);
            exportVO.setSubmitTime(resp.getSubmitTime());
            exportVO.setUserName(resp.getUserName());
            list.add(exportVO);
        }
        userScoreService.exportExperimentalResultsInBatch(list, response);
    }


    */
/**
     * 活动方式（0实操，1理论，2线下）
     * 依据活动活动方式删除数据：为线下时删除分数表数据，其余删除实验报告表数据
     * <p>
     * 已删除的实验报告不计入统计中！！！
     *
     * @param
     * @return
     *//*

    @ApiOperation(value = "删除活动成绩")
    @PostMapping("/batchDeleteContestGrade")
    public R deleteContest(@RequestBody PageGradeListReq req) {
        CompetitionStage competitionStage = competitionStageService.getById(req.getStageId());
        boolean ret;
        if (competitionStage.getMethod() == 2) {//为线下时查询分数表，其余查实验报告表

            UpdateWrapper<UserScore> updateWrapper = new UpdateWrapper<>();
            updateWrapper.set("is_del", DelConstant.IS_DEL);
            updateWrapper.in("id", req.getIds());

            ret = userScoreService.update(new UserScore(), updateWrapper);
        } else {
            ret = userScoreService.batchDeletionOfExperimentalReports(req.getIds());
        }
        return ret ? R.ok() : R.error();
    }

}

*/
