/*
package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.constant.DelConstant;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.CompetitionRanking;
import com.huoran.competition.entity.CompetitionReleaseTime;
import com.huoran.competition.entity.CompleteCompetitionSetup;
import com.huoran.competition.entity.req.*;
import com.huoran.competition.entity.resp.DetailsOfTotalTeamScoresResp;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.vo.GradeExportVO;
import com.huoran.competition.entity.vo.PersonageRankingExportVO;
import com.huoran.competition.entity.vo.RankingExportVO;
import com.huoran.competition.service.CompetitionRankingService;
import com.huoran.competition.service.CompetitionReleaseTimeService;
import com.huoran.competition.service.CompetitionStageService;
import com.huoran.competition.service.CompleteCompetitionSetupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.script.ScriptException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Api(tags = "kindergarten-活动排名管理")
@RestController
@RequestMapping("/competition/rank")
public class CompetitionRankingController {

    @Autowired
    private CompleteCompetitionSetupService completeCompetitionSetupService;

    @Autowired
    private CompetitionStageService stagService;

    @Autowired
    private CompetitionRankingService rankingService;

    @Autowired
    private StringRedisTemplate redisTemplate;

    @Autowired
    private CompetitionReleaseTimeService timeService;

    */
/**
     * 2023-11-30更改需求：阶段用时以及总分排名用时更改:如下
     * 算法应该跟活动规则一样，比如阶段取最高分，用时就是最高分的人的时间。此处规则是团队的成绩之和，因此用时也应该按成员的用时之和来算。
     * 总排名的用时，如果是积分赛有权重的，也要加上权重去算出耗时，如果别的阶段没有录入耗时的，默认对应阶段全体耗时为0。
     * @param req
     * @return
     *//*

    @ApiOperation(value = "中台积分赛总排名")
    @PostMapping("/overallStandingsInThePointsRace")
    public R overallStandingsInThePointsRace(@RequestBody OverallStandingsInThePointsRaceReq req) {
        //1.总成绩权重为0表示当前阶段成绩不计入总分排名中。
        //2.总排名依据总成绩计算方式以及占其成绩的权重比计
        return stagService.overallRanking(req);
    }



    @ApiOperation(value = "团队赛导出排名")
    @PostMapping("/derivedRanking")
    public void derivedRanking(@RequestBody List<RankingExportVO> rankingExportVOS, HttpServletResponse response) throws IOException, ScriptException {
        stagService.derivedRanking(rankingExportVOS, response);
    }

    @ApiOperation(value = "个人导出排名")
    @PostMapping("/individualDerivedRanking")
    public void individualDerivedRanking(@RequestBody List<PersonageRankingExportVO> rankingExportVOS, HttpServletResponse response) throws IOException, ScriptException {
        stagService.individualDerivedRanking(rankingExportVOS, response);
    }





    @ApiOperation(value = "阶段活动排名(基础/单个阶段的排名)")
    @PostMapping("/stageRaceRanking")
    public R stageRaceRanking(
            @ApiParam(name = "competitionId", value = "活动ID", required = true)
            @RequestParam Integer competitionId,
            @ApiParam(name = "stageId", value = "阶段ID", required = true)
            @RequestParam Integer stageId,
            @ApiParam(value = "当前页数", required = true)
            @RequestParam("pageNum") Integer pageNum,
            @ApiParam(value = "当前页需要显示的数量", required = true)
            @RequestParam("pageSize") Integer pageSize,
            @ApiParam(value = " 发布类型(0默认发布 1批量手动导入) ", required = true)
            @RequestParam("publicationType") Integer publicationType) throws ScriptException {
        return stagService.stageRaceRanking(competitionId, stageId, pageNum, pageSize, publicationType);
    }


    @ApiOperation(value = "单个阶段团队得分详情")
    @PostMapping("/stageTeamScoreDetails")
    public R stageTeamScoreDetails(@RequestBody StageTeamScoreDetailsReq req) {
        return stagService.stageTeamScoreDetails(req);
    }

    @ApiOperation(value = "多个阶段团队得分详情")
    @PostMapping("/multipleStageTeamScoreDetails")
    public R multipleStageTeamScoreDetails(@RequestBody StageTeamScoreDetailsReq req) {
        return stagService.multipleStageTeamScoreDetails(req);
    }


    @ApiOperation(value = "发布排名")
    @PostMapping("/publishRanking")
    public R publishRanking(@RequestBody List<CompetitionRanking> rankingList) {
        return rankingService.publishRanking(rankingList);
    }


    @ApiOperation(value = "批量发布(批量上传后更改还未发布的状态)")
    @PostMapping("/batchRelease")
    public R batchRelease(@RequestBody List<Integer> ids) {
        if (ids.size() <= 0) {
            return R.error("列表没有数据!请上传数据后发布。");
        }

        QueryWrapper<CompetitionRanking> queryWrapper = new QueryWrapper<>();
        queryWrapper.in("id", ids);
        List<CompetitionRanking> rankingList = rankingService.list(queryWrapper);

        //查询本次要发布的排名
        Integer publicationType = rankingList.get(0).getPublicationType();//publicationType 发布类型(0默认发布 1批量手动导入)
        Integer getCompetitionId = rankingList.get(0).getCompetitionId();
        Integer getIsOverallRanking = rankingList.get(0).getIsOverallRanking();//是否为总分排名(1为是 默认0不是)
        Integer getStageId = rankingList.get(0).getStageId();

        QueryWrapper<CompetitionRanking> queryWrapper1 = new QueryWrapper<>();
        queryWrapper1.eq("competition_id", getCompetitionId);
        queryWrapper1.eq("is_release", DelConstant.POST_STATUS);//已发布
        //如果为总分排名时,默认删除上一次发布的总分排名
        if (getIsOverallRanking == 1) {
            queryWrapper1.eq("is_overall_ranking", getIsOverallRanking);
        } else {
            //如果为阶段排名时候，则删除上一次的阶段排名
            if (publicationType == 0) {
                queryWrapper1.eq("publication_type", 1);
            } else {
                queryWrapper1.eq("publication_type", 0);
            }
            queryWrapper1.eq("stage_id", getStageId);
        }
        rankingService.remove(queryWrapper1);


        for (Integer id : ids) {
            UpdateWrapper<CompetitionRanking> updateWrapper = new UpdateWrapper<>();
            updateWrapper.set("is_release", DelConstant.POST_STATUS);
            updateWrapper.eq("id", id);
            rankingService.update(new CompetitionRanking(), updateWrapper);
        }
        return R.ok();
    }


    @PostMapping("/batchImportRanking")
    @ApiOperation("手动发布排名(批量上传Excel)")
    public R batchImportRanking(@ApiParam(name = "file", value = "文件", required = true) @RequestParam(name = "file") MultipartFile file,
                                @ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId,
                                @ApiParam(name = "stageId", value = "活动阶段id", required = true) @RequestParam Integer stageId,
                                @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking,
                                @ApiParam(name = "schoolId", value = "学校id", required = false) @RequestParam Integer schoolId,
                                HttpServletRequest request) throws IOException {
        String accountId = TokenUtils.getIdByJwtToken(request);
        //查看活动类型是个人赛还是团队活动
        CompleteCompetitionSetup competitionSetup = completeCompetitionSetupService.getRaceSettingsByRaceId(competitionId);
        Map<String, Object> map = new HashMap<>();
        switch (competitionSetup.getCompetitionType()) {
            case 0:
                //个人
                map = rankingService.importIndividualRankingsInBulk(file, competitionId, stageId, isOverallRanking, schoolId);
                break;
            case 1:
                map = rankingService.batchImportRanking(file, competitionId, stageId, isOverallRanking, schoolId);
                break;
        }


        return R.ok().put("data", map);
    }

    @ApiOperation(value = "批量导入排名管理失败数据导出")
    @GetMapping("/exportFailure")
    public void exportFailureRecord(HttpServletResponse response, @ApiParam(name = "exportCode", value = "batchImportRanking接口返回的exportCode", required = true) @RequestParam String exportCode, @ApiParam(name = "exportCode", value = "活动id", required = true) @RequestParam Integer competitionId) throws Exception {
        rankingService.exportFailureRecord(response, exportCode, competitionId);
    }


    */
/**
     * 成绩是设置规则多少小时候公布，排名是发布就有排名
     *
     * @param req
     * @return
     *//*

    @ApiOperation(value = "前台活动排名")
    @PostMapping("/frontOfficeCompetitionRanking")
    public R frontOfficeCompetitionRanking(@RequestBody FrontDeskStageTeamScoreDetailsReq req, HttpServletRequest request) {
        String id = TokenUtils.getIdByJwtToken(request);
        if (req.getType() != null && req.getType() == 1) {
            req.setAccountId(id);
        }


        return rankingService.frontOfficeCompetitionRanking(req);
    }


    @ApiOperation(value = "批量导入后取消导入")
    @PostMapping("/cancelImport")
    public R cancelImport(@RequestBody List<Integer> ids) {
        return rankingService.removeByIds(ids) ? R.ok() : R.error();
    }


    */
/*@ApiOperation(value = "前台活动阶段")
    @PostMapping("/frontStageCompetition")
    public R frontStageCompetition(@RequestBody FrontStageCompetitionReq req) {
        return R.ok(rankingService.frontStageCompetition(req));
    }*//*



    @ApiOperation(value = "前台积分赛总排名(前台展示的是中台发布后的)")
    @PostMapping("/frontDeskOverallRanking")
    public R frontDeskOverallRanking(@RequestBody OverallStandingsInThePointsRaceReq req) {
        //1.总成绩权重为0表示当前阶段成绩不计入总分排名中。
        //2.总排名依据总成绩计算方式以及占其成绩的权重比计
        return rankingService.frontDeskOverallRanking(req);
    }


    @ApiOperation(value = "总分团队得分详情(前台发布后才展示只用于前台)", response = DetailsOfTotalTeamScoresResp.class)
    @PostMapping("/detailsOfTotalTeamScores")
    public R detailsOfTotalTeamScores(@RequestBody DetailsOfTotalTeamScoresReq req) {
        return rankingService.detailsOfTotalTeamScores(req);
    }

    @ApiOperation(value = "取消排名")
    @PostMapping("/cancelRanking")
    public R cancelRanking(
            @ApiParam(name = "competitionId", value = "活动ID", required = true)
            @RequestParam Integer competitionId,
            @ApiParam(name = "stageIds", value = "多个阶段Id", required = true)
            @RequestParam List<Integer> stageIds,
            @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true)
            @RequestParam Integer isOverallRanking,
            @ApiParam(name = "releaseId", value = "定时id", required = true)
            @RequestParam Integer releaseId) {
        QueryWrapper<CompetitionRanking> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", competitionId);

        if (isOverallRanking == 0) {
            queryWrapper.in("stage_id", stageIds);
        }

        queryWrapper.eq("is_overall_ranking", isOverallRanking);
        boolean ret = rankingService.remove(queryWrapper);

        //删除定时id
        timeService.removeById(releaseId);


        return ret ? R.ok() : R.error();
    }


    @ApiOperation(value = "发布前删除上一次的排名")
    @PostMapping("/deleteLastPublication")
    public R deleteLastPublication(@RequestBody DelCompetitionRankingReq req) {
        QueryWrapper<CompetitionRanking> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", req.getCompetitionId());
        if (req.getIsOverallRanking() == 0) {
            queryWrapper.in("stage_id", req.getStageIds());
        }
        queryWrapper.eq("is_overall_ranking", req.getIsOverallRanking());

        boolean ret = rankingService.remove(queryWrapper);
        return ret ? R.ok() : R.error();
    }

    @ApiOperation(value = "判断是否发布过排名没有(返回whetherToPublish：TRUE为已经发布过 FALSE未发布)")
    @PostMapping("/whetherToPublish")
    public R whetherToPublish(@ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "stageId", value = "阶段Id", required = true) @RequestParam Integer stageId, @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking, @ApiParam(name = "publicationType", value = "发布类型(0默认发布 1批量手动导入)", required = true) @RequestParam Integer publicationType) {
        QueryWrapper<CompetitionRanking> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", competitionId);
        queryWrapper.eq("stage_id", stageId);
        queryWrapper.eq("is_release", DelConstant.POST_STATUS);
        queryWrapper.eq("is_overall_ranking", isOverallRanking);
        queryWrapper.eq("publication_type", publicationType);
        List<CompetitionRanking> ranking = rankingService.list(queryWrapper);
        if (ranking.size() > 0) {
            return R.ok().put("whetherToPublish", true);
        }
        return R.ok().put("whetherToPublish", false);
    }


    */
/**
     * 需求如下:
     * 发布前要提示：默认排序已发布，是否要取消默认排序的发布内容，替换为手动发布的内容？
     *
     * @param competitionId
     * @param stageId
     * @param isOverallRanking
     * @return
     *//*

    @ApiOperation(value = "点击发布时校验(丢redis中判断)")
    @PostMapping("/releaseVerification")
    public R releaseVerification(@ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "stageId", value = "阶段Id(字符串类型 可传多个且以逗号隔开)", required = true) @RequestParam String stageId, @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking, @ApiParam(name = "whetherToManuallyPublish", value = "是否手动发布(1为是 0不是)", required = true) @RequestParam Integer whetherToManuallyPublish) {

        ValueOperations<String, String> opsForString = redisTemplate.opsForValue();
        //保存的key名
        String key = "releaseVerification:competitionId:" + competitionId + "stageId:" + stageId + "isOverallRanking:" + isOverallRanking;
        //将数据存入缓存
        opsForString.set(key, whetherToManuallyPublish + "");
        return R.ok();
    }


    @ApiOperation(value = "查询发布上一次排名的来源——>默认顺序或者手动发布(返回数据:是否手动发布(1为是,0不是))")
    @PostMapping("/queryPublicationSource")
    public R queryPublicationSource(@ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "stageId", value = "阶段Id(字符串类型 可传多个且以逗号隔开)", required = true) @RequestParam String stageId, @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking) {
        ValueOperations<String, String> opsForString = redisTemplate.opsForValue();
        //保存的key名
        String key = "releaseVerification:competitionId:" + competitionId + "stageId:" + stageId + "isOverallRanking:" + isOverallRanking;

        //查看缓存是否有数据
        String returnValue = opsForString.get(key);
        //使用缓存返回数据
        if (returnValue != null) {
            return R.ok().put("source", returnValue);
        }
        return R.ok().put("source", 0);
    }


    @ApiOperation(value = "总分排名下的得分详情(只用于后台)", response = DetailsOfTotalTeamScoresResp.class)
    @PostMapping("/totalRankingScoreDetails")
    public R totalRankingScoreDetails(@RequestBody StageTeamScoreDetailsReq req) {
        return stagService.totalRankingScoreDetails(req);
    }


   */
/* @ApiOperation(value = "手动上传的列表")
    @PostMapping("/manuallyRankTheUploadList")
    public R whetherToPublish(@RequestBody BatchUploadListCompetitionReq req) {
        return rankingService.manuallyRankTheUploadList(req);
    }*//*


    @ApiOperation(value = "后台手动上传的排名(不论发布还是没有发布的)", response = ListOfStageResultsResp.class)
    @PostMapping("/manuallyUploadedRankings")
    public R manuallyUploadedRankings(@RequestBody BatchUploadListCompetitionReq req) {
        return rankingService.manuallyRankTheUploadList(req);

    }


    @ApiOperation(value = "更换选中排序方式(丢redis中)")
    @PostMapping("/toggleTheSortingMode")
    public R toggleTheSortingMode(@ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "stageId", value = "阶段Id(字符串类型 可传多个且以逗号隔开)", required = true) @RequestParam String stageId, @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking, @ApiParam(name = "whetherToManuallyPublish", value = "是否手动发布(1为是 0不是)", required = true) @RequestParam Integer whetherToManuallyPublish) {
        ValueOperations<String, String> opsForString = redisTemplate.opsForValue();
        //保存的key名
        String key = "toggleTheSortingMode:competitionId:" + competitionId + "stageId:" + stageId + "isOverallRanking:" + isOverallRanking;
        //将数据存入缓存
        opsForString.set(key, whetherToManuallyPublish + "");

        String returnValue = opsForString.get(key);
        //使用缓存返回数据
        if (returnValue == null) {
            return R.ok().put("source", returnValue);
        }
        return R.ok();
    }


    @ApiOperation(value = "返回选中上次排序状态(丢redis中)/返回的数据source为：(0默认 1手动)")
    @PostMapping("/selectTheLastSortStatus")
    public R selectTheLastSortStatus(@ApiParam(name = "competitionId", value = "活动ID", required = true) @RequestParam Integer competitionId, @ApiParam(name = "stageId", value = "阶段Id(字符串类型 可传多个且以逗号隔开)", required = true) @RequestParam String stageId, @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true) @RequestParam Integer isOverallRanking) {
        ValueOperations<String, String> opsForString = redisTemplate.opsForValue();
        //保存的key名
        String key = "toggleTheSortingMode:competitionId:" + competitionId + "stageId:" + stageId + "isOverallRanking:" + isOverallRanking;
        //查看缓存是否有数据
        String returnValue = opsForString.get(key);
        //使用缓存返回数据
        if (returnValue != null) {
            return R.ok().put("source", returnValue);
        }
        return R.ok().put("source", 0);
    }

}

*/
