/*
package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huoran.common.constant.DelConstant;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionRanking;
import com.huoran.competition.entity.CompetitionReleaseTime;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.service.CompetitionRankingService;
import com.huoran.competition.service.CompetitionReleaseTimeService;
import com.huoran.competition.service.CompetitionStageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.*;

import javax.script.ScriptException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

*/
/**
 * <p>
 * 活动排名定时发布表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2023-05-30
 *//*

@Api(tags = "kindergarten-活动排名定时管理")
@RestController
@RequestMapping("/competitionReleaseTime")
public class CompetitionReleaseTimeController {

    @Autowired
    private CompetitionReleaseTimeService competitionReleaseTimeService;

    @Autowired
    private CompetitionRankingService rankingService;

    @Autowired
    private CompetitionStageService stagService;

    @ApiOperation(value = "添加活动阶段排名定时")
    @PostMapping("/addCompetitionStageRankingTime")
    public R addCompetitionStageRankingTime(
            @ApiParam(name = "competitionReleaseTime", value = "事阶段排名定时", required = true)
            @RequestBody CompetitionReleaseTime competitionReleaseTime) {

        QueryWrapper<CompetitionReleaseTime> queryWrapper = new QueryWrapper<>();

        if (competitionReleaseTime.getIsOverallRanking() == 0) {
            queryWrapper.eq("stage_id", competitionReleaseTime.getStageId());
        }

        queryWrapper.eq("competition_id", competitionReleaseTime.getCompetitionId());
       */
/* queryWrapper.eq("publication_type", competitionReleaseTime.getPublicationType());*//*

        queryWrapper.eq("is_overall_ranking", competitionReleaseTime.getIsOverallRanking());
        queryWrapper.eq("is_del", DelConstant.NOT_DEL);
        CompetitionReleaseTime releaseTime = competitionReleaseTimeService.getOne(queryWrapper);

        if (releaseTime != null) {
            //如果定时存在则覆盖更新时间
            releaseTime.setReleaseTime(competitionReleaseTime.getReleaseTime());
            releaseTime.setPublicationType(competitionReleaseTime.getPublicationType());
            if (competitionReleaseTime.getIsOverallRanking() == 1) {
                releaseTime.setStageId(competitionReleaseTime.getStageId());
            }
            competitionReleaseTimeService.updateById(releaseTime);
            return R.ok();
        }

        boolean save = competitionReleaseTimeService.save(competitionReleaseTime);
        return save ? R.ok() : R.error();
    }

    @ApiOperation(value = "获取活动阶段排名定时")
    @PostMapping("/getCompetitionStageRankingTime")
    public R getCompetitionStageRankingTime(
            @ApiParam(name = "competitionReleaseTime", value = "事阶段排名定时", required = true)
            @RequestBody CompetitionReleaseTime competitionReleaseTime) {
        CompetitionReleaseTime one = competitionReleaseTimeService.getOne(
                new QueryWrapper<CompetitionReleaseTime>().
                        eq("competition_id", competitionReleaseTime.getCompetitionId()).
                        eq("stage_id", competitionReleaseTime.getStageId()).
                        eq("publication_type", competitionReleaseTime.getPublicationType()).
                        eq("is_del", DelConstant.NOT_DEL).
                        eq("is_overall_ranking", competitionReleaseTime.getIsOverallRanking()));
        return R.ok().put("releaseTime", one);
    }

    @ApiOperation(value = "取消活动阶段排名定时")
    @PostMapping("/cancelCompetitionStageRankingTime")
    public R cancelCompetitionStageRankingTime(
            @ApiParam(name = "releaseId", value = "定时id", required = true)
            @RequestParam Integer releaseId,
            @ApiParam(name = "competitionId", value = "活动ID", required = true)
            @RequestParam Integer competitionId,
            @ApiParam(name = "stageId", value = "阶段Id", required = true)
            @RequestParam Integer stageId,
            @ApiParam(name = "isOverallRanking", value = "是否为总分排名(1为是 默认0不是)", required = true)
            @RequestParam Integer isOverallRanking) {
        boolean remove = competitionReleaseTimeService.removeById(releaseId);
        QueryWrapper<CompetitionRanking> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", competitionId);
        if (isOverallRanking == 0) {
            queryWrapper.eq("stage_id", stageId);
        }
        queryWrapper.eq("is_overall_ranking", isOverallRanking);
        List<CompetitionRanking> list = rankingService.list(queryWrapper);
        if (list != null && list.size() > 0) {
            rankingService.remove(queryWrapper);
        }

        return remove ? R.ok() : R.error();
    }

   */
/* @ApiOperation(value = "定时执行发布排名任务(每分钟自动执行)")
//    @Scheduled(cron = "0 * * * * ?")
    @Scheduled(fixedRate = 30000)
    public void publishRankingTasks() throws ScriptException {
        List<CompetitionReleaseTime> list = competitionReleaseTimeService.
                list(new QueryWrapper<CompetitionReleaseTime>().eq("is_del", 0));
        if (list != null && list.size() > 0) {
            //获取当前时间
            Date date = new Date();
            System.out.println("当前时间为:" + date);
            for (CompetitionReleaseTime competitionReleaseTime : list) {
                boolean after = date.after(competitionReleaseTime.getReleaseTime());
                //查询排名数据，发布排名
                if (after) {
                    *//*
*/
/*以下处理定时发布总分排名 BEGIN*//*
*/
/*
                    if (competitionReleaseTime.getIsOverallRanking() == 1) {
                        //1.查询当前有待发布的总分排名的数据 判断有没有已经发布过的 有的话删除上一次已经发布的再将本次的发布
                        QueryWrapper<CompetitionRanking> queryWrapper1 = new QueryWrapper<>();
                        queryWrapper1.eq("competition_id", competitionReleaseTime.getCompetitionId());
                        queryWrapper1.eq("is_release", DelConstant.POST_STATUS);//已发布
                        //如果为总分排名时,默认删除上一次发布的总分排名
                        queryWrapper1.eq("is_overall_ranking", 1);
                        rankingService.remove(queryWrapper1);


                        //重新发布排名
                        UpdateWrapper<CompetitionRanking> updateWrapper = new UpdateWrapper<>();
                        updateWrapper.set("is_release", DelConstant.POST_STATUS);
                        updateWrapper.eq("competition_id", competitionReleaseTime.getCompetitionId());
                        updateWrapper.eq("is_overall_ranking", 1);//
                        updateWrapper.eq("stage_id",competitionReleaseTime.getStageId());
                        //发布类型(0默认发布 1批量手动导入)
                        updateWrapper.eq("publication_type",competitionReleaseTime.getPublicationType());
                        rankingService.update(new CompetitionRanking(),updateWrapper);


                        //删除定时的
                        competitionReleaseTimeService.removeById(competitionReleaseTime.getId());
                        *//*
*/
/*以下处理定时发布总分排名 END*//*
*/
/*



                    } else if (competitionReleaseTime.getPublicationType() == 0 && competitionReleaseTime.getIsOverallRanking() == 0) {
                        R r = stagService.stageRaceRanking(
                                competitionReleaseTime.getCompetitionId(),
                                competitionReleaseTime.getStageId(),
                                1, 100,
                                competitionReleaseTime.getPublicationType());
                        List<ListOfStageResultsResp> respList = (List<ListOfStageResultsResp>) r.get("page");
                        if (respList != null && respList.size() > 0) {
                            List<CompetitionRanking> rankingList = new ArrayList<>();
                            for (ListOfStageResultsResp resultsResp : respList) {
                                CompetitionRanking competitionRanking = new CompetitionRanking();
                                BeanUtils.copyProperties(resultsResp, competitionRanking);
                                BeanUtils.copyProperties(competitionReleaseTime, competitionRanking);
                                rankingList.add(competitionRanking);
                            }
                            R ranking = rankingService.publishRanking(rankingList);
                            //发布成功，删除定时
                            if (ranking != null && ranking.get("message").equals("success")) {
                                competitionReleaseTime.setIsDel(1);
                                competitionReleaseTimeService.updateById(competitionReleaseTime);
                            }
                        }
                        //查询手动导入数据
                    } else if (competitionReleaseTime.getPublicationType() == 1 && competitionReleaseTime.getIsOverallRanking() == 0) {

                    }
                }
            }
        }
    }*//*



    */
/*@ApiOperation(value = "定时执行发布排名任务(每1秒执行一次)")
    @Scheduled(fixedRate = 1000)
    public void publishRankingTasks() throws ScriptException {
        List<CompetitionReleaseTime> list = competitionReleaseTimeService.
                list(new QueryWrapper<CompetitionReleaseTime>().eq("is_del", 0).last(" and   TIMESTAMPDIFF( SECOND, now( ), ( release_time ) ) <= 0"));
        if (list != null && list.size() > 0) {
            //获取当前时间
            Date date = new Date();
            System.out.println("当前时间为:" + date);
            for (CompetitionReleaseTime competitionReleaseTime : list) {
                boolean after = date.after(competitionReleaseTime.getReleaseTime());
                //删除此条时间
                competitionReleaseTimeService.removeById(competitionReleaseTime.getId());

            }
        }
    }*//*


}

*/
