/*
package com.huoran.competition.controller;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.api.UserClient;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.req.ContestStageFileReq;
import com.huoran.competition.service.CompetitionStageFileService;
import com.huoran.competition.service.CompetitionStageService;
import com.huoran.competition.utils.ZipUtil;
import io.swagger.annotations.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestParam;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import com.huoran.competition.service.CompetitionStageFileService;
import com.huoran.competition.entity.CompetitionStageFile;

import java.io.File;
import java.io.IOException;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

*/
/**
 * @描述：活动阶段文件控制类
 * @作者: Rong
 * @日期: 2023-11-13
 *//*

@RestController
@RequestMapping("/cCompetitionStageFile")
@Api(value = "活动阶段文件:CCompetitionStageFileController", tags = "活动线下阶段文件")
public class CompetitionStageFileController {

    @Autowired
    public CompetitionStageFileService service;

    @Autowired
    CompetitionStageService competitionStageService;

    @Autowired
    private UserClient userClient;

    @PostMapping("/listByEntity")
    @ApiOperation(value = "分页查询", response = CompetitionStageFile.class)
    public R listByEntity(@RequestBody ContestStageFileReq req) {
        return service.stageFile(req);
    }


    @PostMapping("/findById")
    @ApiOperation(value = "查询详情", response = CompetitionStageFile.class)
    public R findById(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        CompetitionStageFile cCompetitionStageFile = service.getById(id);
        return R.ok().put("data", cCompetitionStageFile);
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", response = CompetitionStageFile.class)
    public R save(@RequestBody @ApiParam(name = "活动阶段文件对象", value = "传入json格式", required = true) CompetitionStageFile file, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        Integer schoolId = userClient.getSchoolIdByAccountId(accountId);
        file.setAccountId(Integer.valueOf(accountId));
        file.setSchoolId(schoolId);

       CompetitionStageFile stageFile = service.checkWhetherTheFileHasBeenUploaded(file);
        if (!ObjectUtil.isEmpty(stageFile)) {
            return R.error("当前已上传文件或正在上传文件，请先删除已有文件!");
        }

        boolean addState = service.save(file);
        return addState ? R.ok(file.getId()) : R.error("新增失败");
    }


    @PostMapping("/update")
    @ApiOperation(value = "修改", response = CompetitionStageFile.class)
    public R update(@RequestBody @ApiParam(name = "活动阶段文件对象", value = "传入json格式", required = true) CompetitionStageFile file, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        Integer schoolId = userClient.getSchoolIdByAccountId(accountId);
        file.setAccountId(Integer.valueOf(accountId));
        file.setSchoolId(schoolId);
        boolean updateState = service.updateById(file);
        return updateState ? R.ok() : R.error("编辑失败");
    }


    @PostMapping("/batchDeletion")
    @ApiOperation(value = "批量删除", response = CompetitionStageFile.class)
    public R batchDeletion(@ApiParam(name = "ids", value = "主键", required = true) @RequestBody List<Integer> ids) {
        boolean delState = service.removeByIds(ids);
        return delState ? R.ok() : R.error("删除失败");
    }

    @PostMapping("/deriveAll")
    @ApiOperation(value = "导出", response = CompetitionStageFile.class)
    public void deriveAll(@RequestBody ContestStageFileReq req, HttpServletRequest request, HttpServletResponse response) {
        try {

            CompetitionStage stage = competitionStageService.getById(req.getStageId());
            List<CompetitionStageFile> files = service.stageAllFiles(req);

            ZipUtil zipUtil = new ZipUtil();

            for (CompetitionStageFile url : files) {
                zipUtil.downloadFile(url.getFilePath());
            }
            //把下载的图片文件夹压缩
            zipUtil.downloadZip(request, response, stage.getStageName() + "下载压缩文件.zip");


            for (CompetitionStageFile url : files) {
                String userName = service.getStudentName(url.getAccountId());
                String downloadUrl = url.getFilePath();
//                String filePath = ZipUtil.downloadDir + "/" + downloadUrl.substring(downloadUrl.lastIndexOf("/"));
                String filePath = ZipUtil.downloadDir + "/" + userName + "-" + url.getFileName();
                File file = new File(filePath);
                ZipUtil.deleteDirectory(file);
            }


        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}

*/
