/*
package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.aop.aspect.RedisServiceAop;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.*;
import com.huoran.competition.entity.req.TransferTeamReq;
import com.huoran.competition.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.script.ScriptException;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

*/
/**
 * <p>
 * 活动团队表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-12-02
 *//*

@Api(tags = "kindergarten-活动团队管理")
@RestController
@RequestMapping("/competition/team")
public class CompetitionTeamController {

    @Autowired
    private CompetitionTeamService competitionTeamService;

    @Autowired
    private CompetitionService competitionService;

    @Autowired
    private TeamParticipantService teamParticipantService;

    @Autowired
    private CompleteCompetitionSetupService completeCompetitionSetupService;

    @Autowired
    private CompetitionRegistrationService competitionRegistrationService;

    @Autowired
    private RedisServiceAop redisService;

    @GetMapping("/searchTeam")
    @ApiOperation(value = "搜索团队")
    public R searchTeam(@RequestParam String teamName,Integer competitionId) throws ParseException {
        QueryWrapper<CompetitionTeam> wrapper = new QueryWrapper<>();
        wrapper.eq("competition_id",competitionId);
        wrapper.eq("captain",0);
        if (StringUtils.isNotBlank(teamName)){
            wrapper.like("team_name",teamName);
        }
        wrapper.last("ORDER BY CONVERT( team_name USING gbk ) COLLATE gbk_chinese_ci ASC");
        List<CompetitionTeam> list = competitionTeamService.list(wrapper);
        return R.ok().put("teamList",list);
    }
    @NoRepeatSubmit
    @PostMapping("/editCompetitionTeam")
    @ApiOperation(value = "编辑活动团队")
    @Transactional
    public R editCompetitionTeam(@RequestBody CompetitionTeam competitionTeam, HttpServletRequest request) {
        String accountId = "";
        if (competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()==1){
            accountId = competitionTeam.getAccountId().toString();
        }else {
            accountId = TokenUtils.getIdByJwtToken(request);
        }

        competitionTeam.setAccountId(Integer.valueOf(accountId));
        QueryWrapper<CompetitionTeam> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("team_name",competitionTeam.getTeamName());
        queryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
        queryWrapper.eq("team_id",competitionTeam.getTeamId());
        //查询团队成员
        QueryWrapper<CompetitionTeam> teamQueryWrapper = new QueryWrapper<>();
        teamQueryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
        teamQueryWrapper.eq("pid",competitionTeam.getTeamId());
        List<CompetitionTeam> list = competitionTeamService.list(teamQueryWrapper);

        if (competitionTeam.getTeamId() != null) {
            queryWrapper.last(" and team_id  != " + competitionTeam.getTeamId());
        }
        int count = competitionTeamService.count(queryWrapper);
        if (count>list.size()){
            return R.error("团队已存在！");
        }
        boolean update = competitionTeamService.updateById(competitionTeam);

        return update ? R.ok() : R.error();
    }
    @NoRepeatSubmit
    @PostMapping("/addCompetitionTeam")
    @ApiOperation(value = "新增活动团队并报名")
    @Transactional
    public R addCompetitionTeam(@RequestBody CompetitionTeam competitionTeam, HttpServletRequest request) throws ParseException {
        String accountId = "";
        if (competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()==1){
            accountId = competitionTeam.getAccountId().toString();
        }else {
            accountId = TokenUtils.getIdByJwtToken(request);
            boolean signingUp = this.signingUp(competitionTeam.getCompetitionId());
            if (!signingUp){
                return R.error("未在报名时间内！");
            }
        }

        competitionTeam.setAccountId(Integer.valueOf(accountId));
        QueryWrapper<CompetitionTeam> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("team_name",competitionTeam.getTeamName());
        queryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
        queryWrapper.eq("captain",0);
        int count = competitionTeamService.count(queryWrapper);
        if (count>0){
            return R.error("团队已存在！");
        }

        QueryWrapper<CompetitionTeam> teamQueryWrapper = new QueryWrapper<>();
        teamQueryWrapper.eq("account_id",accountId);
        teamQueryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
        CompetitionTeam one = competitionTeamService.getOne(teamQueryWrapper);
        if (one!=null){
            if (one.getCaptain()==0){
                return R.error("您已创建团队无法再次创建！");
            }
            return R.error("您已报名加入团队，无法另外创建团队，请退出团队后再创建自己的团队！");
        }

        boolean save = competitionTeamService.save(competitionTeam);

        if (competitionTeam.getWhetherSignUp()==1){
            //验证报名邀请码
*/
/*            boolean verifyRegistrationCode = this.verifyRegistrationCode(competitionTeam.getCompetitionId(), competitionTeam.getRegistrationInvitationCode());
            if (!verifyRegistrationCode && competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()!=1){
                throw new CustomException(ExceptionEnum.CODE);
            }*//*

            //创建并加入
            CompetitionRegistration competitionRegistration = new CompetitionRegistration();
            if (competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()==1){
                competitionRegistration.setIdentification(1);
            }
            competitionRegistration.setAccountId(Integer.valueOf(accountId));
            competitionRegistration.setCompetitionId(competitionTeam.getCompetitionId());
            competitionRegistration.setRegistrationInvitationCode(competitionTeam.getRegistrationInvitationCode());
            competitionRegistration.setTeamId(competitionTeam.getTeamId());
            competitionRegistration.setJoin(true);
            return competitionRegistrationService.apply(competitionRegistration);
        }
        return save ? R.ok() : R.error();
    }

    public boolean signingUp(Integer competitionId) throws ParseException {
        //查询活动是否在报名时间，在时间范围内允许加入
        Competition competition = competitionService.getById(competitionId);
        Date startTime = competition.getSignUpStartTime();
        Date endTime = competition.getSignUpEndTime();

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String day = sdf.format(Calendar.getInstance().getTime());
        Date today = sdf.parse(day);
        //判断today是否在startTime之后
        boolean after = today.after(startTime);
        //判断 today是否在endTime之前
        boolean before = today.before(endTime);
        //当true == after 和 true == before 同时成立时就是在此日期区间内
        return after && before;
    }

    public boolean verifyRegistrationCode(Integer competitionId,String registrationInvitationCode) {
        //查询活动设置，验证报名邀请码
        QueryWrapper<CompleteCompetitionSetup> setupQueryWrapper = new QueryWrapper<>();
        setupQueryWrapper.eq("competition_id",competitionId);
        CompleteCompetitionSetup setup = completeCompetitionSetupService.getOne(setupQueryWrapper);

        //是否需要报名邀请码
        Integer code = setup.getIsNeedCode();
        if (code==1){
            //验证报名邀请码
            return setup.getInvitationCode().equals(registrationInvitationCode);
        }else {
            return true;
        }
    }
    @NoRepeatSubmit
    @PostMapping("/joinCompetitionTeam")
    @ApiOperation(value = "加入活动团队并报名")
    @Transactional
    public R joinCompetitionTeam(@RequestBody CompetitionTeam competitionTeam, HttpServletRequest request) throws ParseException {
        String accountId = "";
        if (competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()==1){
            accountId = competitionTeam.getAccountId().toString();
        }else {
            accountId = TokenUtils.getIdByJwtToken(request);
        }
        CompetitionTeam team = competitionTeamService.getById(competitionTeam.getTeamId());
        CompetitionRegistration competitionRegistration = new CompetitionRegistration();
        QueryWrapper<CompetitionTeam> teamQueryWrapper1 = new QueryWrapper<>();
        teamQueryWrapper1.eq("competition_id",competitionTeam.getCompetitionId());
        teamQueryWrapper1.eq("account_id",accountId);
        CompetitionTeam team1 = competitionTeamService.getOne(teamQueryWrapper1);
        if (team1!=null){
            if (team1.getCaptain()==0){
                return R.error("您已创建团队无法再次加入！");
            }
            //如果是队员，并且是后台进行修改，可以直接修改团队
            if (competitionTeam.getIdentification() !=null && competitionTeam.getIdentification()==1){
                //删除之前所在团队数据
                competitionTeamService.removeById(team1);
                //加入新团队，更新报名信息
                competitionTeam.setCaptain(1);
                competitionTeam.setPid(team.getTeamId());
                competitionTeam.setTeamName(team.getTeamName());
                competitionTeam.setAccountId(Integer.valueOf(accountId));
                boolean save = competitionTeamService.save(competitionTeam);

                UpdateWrapper<CompetitionRegistration> wrapper = new UpdateWrapper<>();
                wrapper.eq("competition_id",competitionTeam.getCompetitionId());
                wrapper.eq("account_id",accountId);
                wrapper.set("team_id",team.getTeamId());
                competitionRegistrationService.update(competitionRegistration,wrapper);

                //参赛人员清空
                QueryWrapper<TeamParticipant> participantQueryWrapper = new QueryWrapper<>();
                participantQueryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
                participantQueryWrapper.eq("account_id",accountId);
                teamParticipantService.remove(participantQueryWrapper);
                return R.ok();
            }
            return R.error("您已报名加入团队，无法加入其他团队，请退出团队后再加入！");
        }

        //查询活动设置
        QueryWrapper<CompleteCompetitionSetup> setupQueryWrapper = new QueryWrapper<>();
        setupQueryWrapper.eq("competition_id",competitionTeam.getCompetitionId());
        CompleteCompetitionSetup setup = completeCompetitionSetupService.getOne(setupQueryWrapper);
        if (competitionTeam.getIdentification() ==null || competitionTeam.getIdentification() != 1) {
            //查询活动是否在报名时间，在时间范围内允许加入
            boolean signingUp = this.signingUp(competitionTeam.getCompetitionId());
            if (!signingUp){
                return R.error("未在报名时间内！");
            }

            if (setup.getIsNeedCode()==1){
                //验证报名邀请码
                boolean verifyRegistrationCode = this.verifyRegistrationCode(competitionTeam.getCompetitionId(), competitionTeam.getRegistrationInvitationCode());
                if (!verifyRegistrationCode){
                    return R.error("报名邀请码错误！");
                }
            }

            //团队存在，验证邀请码
            if (!team.getInvitationCode().equals(competitionTeam.getInvitationCode())){
                return R.error("团队邀请码错误！");
            }
        }else {
            competitionRegistration.setIdentification(1);
        }
        //查询是否团队有人数限制
        if (setup.getMaxTeamSize()!=null){
            //查询当前团队人数
            QueryWrapper<CompetitionTeam> teamQueryWrapper = new QueryWrapper<>();
            teamQueryWrapper.eq("pid",competitionTeam.getTeamId());
            int count = competitionTeamService.count(teamQueryWrapper);
            int total = count+1;
            if (total>=setup.getMaxTeamSize()){
                return R.error("加入失败，团队人数限制"+setup.getMaxTeamSize()+"人！");
            }
        }

        //加入团队，录入报名信息
        competitionTeam.setCaptain(1);
        competitionTeam.setPid(team.getTeamId());
        competitionTeam.setTeamName(team.getTeamName());
        competitionTeam.setAccountId(Integer.valueOf(accountId));
        boolean save = competitionTeamService.save(competitionTeam);

        competitionRegistration.setAccountId(Integer.valueOf(accountId));
        competitionRegistration.setCompetitionId(competitionTeam.getCompetitionId());
        competitionRegistration.setRegistrationInvitationCode(competitionTeam.getRegistrationInvitationCode());
        competitionRegistration.setTeamId(team.getTeamId());
        competitionRegistration.setJoin(false);
        return competitionRegistrationService.apply(competitionRegistration);
    }
    @NoRepeatSubmit
    @PostMapping("/captainOfTransfer")
    @ApiOperation(value = "转让队长")
    public R captainOfTransfer(@RequestBody @Valid TransferTeamReq transferTeamReq) {
        return competitionTeamService.captainOfTransfer(transferTeamReq);
    }
    @NoRepeatSubmit
    @PostMapping("/removeTheLine")
    @ApiOperation(value = "移除队伍")
    public R removeTheLine(
            @ApiParam(name = "teamId", value = "团队ID", required = true)
            @RequestParam(value = "teamId") Integer teamId,
            @ApiParam(name = "competitionId", value = "活动id", required = true)
            @RequestParam(value = "competitionId") Integer competitionId,
            @ApiParam(name = "accountId", value = "账号ID", required = true)
            @RequestParam(value = "accountId") Integer accountId) {
        Competition byId = competitionService.getById(competitionId);
        //添加移除标识
        String key = accountId+"removeTheLine";
        redisService.setCacheObject(key,byId.getName());
        //报名删除
        QueryWrapper<CompetitionRegistration> registrationQueryWrapper = new QueryWrapper<>();
        registrationQueryWrapper.eq("competition_id",competitionId);
        registrationQueryWrapper.eq("account_id",accountId);
        registrationQueryWrapper.eq("team_id",teamId);
        competitionRegistrationService.remove(registrationQueryWrapper);

        //参赛人员清空
        QueryWrapper<TeamParticipant> participantQueryWrapper = new QueryWrapper<>();
        participantQueryWrapper.eq("competition_id",competitionId);
        participantQueryWrapper.eq("account_id",accountId);
        participantQueryWrapper.eq("team_id",teamId);
        teamParticipantService.remove(participantQueryWrapper);

        QueryWrapper<CompetitionTeam> teamQueryWrapper = new QueryWrapper<>();
        teamQueryWrapper.eq("competition_id",competitionId);
        teamQueryWrapper.eq("account_id",accountId);
        teamQueryWrapper.eq("pid",teamId);
        boolean remove = competitionTeamService.remove(teamQueryWrapper);
        return remove ? R.ok() : R.error();
    }

    @PostMapping("/promptRemoval")
    @ApiOperation(value = "是否提示移除")
    public R promptRemoval(HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        String name = redisService.getCacheObject(accountId+"removeTheLine");
        if (name!=null){
            //清除缓存
            redisService.deleteObject(accountId);
            return R.ok().put("prompt","你报名的"+name+"活动，已被队长踢出队伍，请重新报名加入别的团队！");
        }
        return R.ok();
    }

    @PostMapping("/entryInformation")
    @ApiOperation(value = "用户参赛信息")
    public R entryInformation(
            @ApiParam(name = "competitionId", value = "活动ID", required = true)
            @RequestParam Integer competitionId,
            @ApiParam(name = "accountId", value = "账号id", required = false)
            @RequestParam(required = false) String accountId,
            HttpServletRequest request) throws ScriptException {
        String account;
        int background;
        if (accountId!=null){
            account = accountId;
            //后台标识，查询参赛信息只返回队长信息
            background = 1;
        }else {
            account = TokenUtils.getIdByJwtToken(request);
            background = 0;
        }
        return competitionTeamService.entryInformation(competitionId,account,background);
    }

}

*/
