package com.huoran.competition.controller;


import com.huoran.api.UserClient;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.CompetitionUserDel;
import com.huoran.competition.service.CompetitionUserDelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 * 记录用户删除的赛事 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2023-12-12
 */

/**
 * @描述：活动范围表控制类
 * @作者: Rong
 * @日期: 2023-12-11
 */
@RestController
@RequestMapping("/competitionUserDel")
@Api(value = "记录用户删除的赛事:CompetitionUserDelController", tags = "记录用户删除的赛事")
public class CompetitionUserDelController {

    @Autowired
    public CompetitionUserDelService service;

    @Autowired
    private UserClient userClient;


    @PostMapping("/save")
    @ApiOperation(value = "新增", response = CompetitionUserDel.class)
    public R save(@RequestBody @ApiParam(name = "用户要删除的赛事记录对象", value = "传入json格式", required = true) CompetitionUserDel activityRange, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        activityRange.setAccountId(Integer.valueOf(accountId));
        boolean addState = service.save(activityRange);
        return addState ? R.ok() : R.error("新增失败");
    }




}

