package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.competition.entity.TeamInstructor;
import com.huoran.competition.service.TeamInstructorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;

/**
 * <p>
 * 活动指导老师表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-12-02
 */
@Api(tags = "kindergarten-活动指导老师管理")
@RestController
@RequestMapping("/competition/teamInstructor")
public class TeamInstructorController {

    @Autowired
    private TeamInstructorService teamInstructorService;
    @NoRepeatSubmit
    @PostMapping("/addAnAdvisor")
    @ApiOperation(value = "添加/编辑指导老师")
    public R addAnAdvisor(@RequestBody @Valid TeamInstructor teamInstructor,HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);

        QueryWrapper<TeamInstructor> queryWrapper = new QueryWrapper<>();
        teamInstructor.setAccountId(Integer.valueOf(accountId));
        if (teamInstructor.getTeamId()!=null){
            queryWrapper.eq("competition_id",teamInstructor.getCompetitionId());
            queryWrapper.eq("team_id",teamInstructor.getTeamId());
        }else {
            queryWrapper.eq("competition_id",teamInstructor.getCompetitionId());
            queryWrapper.eq("account_id",accountId);
        }
        int count = teamInstructorService.count(queryWrapper);
        if (count >= 5){
            return R.error("添加失败，超出限制！");
        }
        queryWrapper.eq("name",teamInstructor.getName());

        if (teamInstructor.getId() != null) {
            queryWrapper.last(" and id  != " + teamInstructor.getId());
        }
        int count1 = teamInstructorService.count(queryWrapper);
        if (count1 > 0 ){
            return R.error("名字已存在！");
        }
        boolean save = teamInstructorService.saveOrUpdate(teamInstructor);
        return save ? R.ok().put("id",teamInstructor.getId()) : R.error();
    }
    @NoRepeatSubmit
    @PostMapping("/deleteAnAdvisor")
    @ApiOperation(value = "删除指导老师")
    public R deleteAnAdvisor(@RequestParam Integer id) {
        boolean remove = teamInstructorService.removeById(id);
        return remove ? R.ok() : R.error();
    }


}

