package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动公告表
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_announcement")
@ApiModel(value="CompetitionAnnouncement对象", description="活动公告表")
public class CompetitionAnnouncement implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "活动公告主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "活动主键(c_competition表主键)")
    private Integer competitionId;

    @ApiModelProperty(value = "公告标题")
    private String announcementTitle;

    @ApiModelProperty(value = "公告正文")
    private String announcementText;

    @ApiModelProperty(value = "0草稿 1为已发布")
    private Integer status;

    @ApiModelProperty(value = "是否开启(0开启 1未开启 默认0)")
    private Integer isOpen;

    @ApiModelProperty(value = "创建人")
    private Integer accountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "是否删除(默认0 1为已删除)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "创建人(列表展示)")
    @TableField(exist = false)
    private String founderName;

    @ApiModelProperty(value = "活动公告附件存储集合")
    @TableField(exist = false)
    private List<CompetitionAnnouncementAnnex> announcementAnnexList;


}
