package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_content")
@ApiModel(value="CompetitionContent对象", description="")
public class CompetitionContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "content_id", type = IdType.AUTO)
    private Integer contentId;

    @ApiModelProperty(value = "阶段id（取c_competition_stage主键id）")
    private Integer stageId;

    @ApiModelProperty(value = "活动开始时间")
    private Date startTime;

    @ApiModelProperty(value = "活动结束时间")
    private Date endTime;

    @ApiModelProperty(value = "课程id")
    private Integer cid;

    @ApiModelProperty(value = "商品id")
    private Integer mallId;

    @ApiModelProperty(value = "课程名称")
    @TableField(exist = false)
    private String cName;

    @ApiModelProperty(value = "考核配置id")
    private Integer assessmentId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "系统名称")
    @TableField(exist = false)
    private String systemName;

    @ApiModelProperty(value = "项目管理表id")
    private Integer projectId;

    @ApiModelProperty(value = "项目名称")
    @TableField(exist = false)
    private String projectName;

    @ApiModelProperty(value = "线上地址")
    private String onlineAddress;

    @ApiModelProperty(value = "线下地址")
    private String offlineAddress;

    @ApiModelProperty(value = "线上地址展示（默认为0不展示）")
    private Integer onlineButton;

    @ApiModelProperty(value = "线下地址展示（默认为0不展示）")
    private Integer offlineButton;

    @ApiModelProperty(value = "活动内容描述")
    private String contentDescription;

    @ApiModelProperty(value = "评分规则")
    private String scoreRule;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "线下内容设置信息")
    @TableField(exist = false)
    private CompetitionStageContentSetting competitionStageContentSetting;


}
