package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动范围表
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_range")
@ApiModel(value="CompetitionRange对象", description="活动范围表")
public class CompetitionRange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "活动主键(c_competition表主键)")
    private Integer competitionId;

    @ApiModelProperty(value = "省")
    private Integer provinceId;

    @ApiModelProperty(value = "市")
    private Integer cityId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "范围类型(0为学校 1为地区)")
    private Integer type;

    @ApiModelProperty(value = "是否删除(默认0 ,1为已删除)")
    @TableLogic
    private Integer isDel;


}
