package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动排名表
 * </p>
 *
 * @author cheney
 * @since 2023-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_ranking")
@ApiModel(value = "CompetitionRanking对象", description = "活动排名表")
public class CompetitionRanking implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "实验报告id")
    private Integer reportId;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "活动id")
    private Integer competitionId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "活动阶段id(c_competition_stage活动阶段设置表)")
    private Integer stageId;

    @ApiModelProperty(value = "是否为总分排名(1为是 默认0不是)")
    private Integer isOverallRanking;

    @ApiModelProperty(value = "分数")
    private String score;

    @ApiModelProperty(value = "耗时")
    private String timeSum;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "是否发布(默认0未发布 1已发布)")
    private Integer isRelease;

    @ApiModelProperty(value = "发布类型(0默认发布 1批量手动导入)")
    private Integer publicationType;


    @ApiModelProperty(value = "团队名称")
    @TableField(exist = false)
    private String teamName;


    @ApiModelProperty(value = "队长")
    @TableField(exist = false)
    private String leaderName;

    @ApiModelProperty(value = "学校")
    @TableField(exist = false)
    private String schoolName;


}
