package com.huoran.competition.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动报名人员表
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_registration")
@ApiModel(value="CompetitionRegistration对象", description="活动报名人员表")
public class CompetitionRegistration implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "活动主键Id(c_competition表主键)")
    private Integer competitionId;

    @ApiModelProperty(value = "是否禁用（0未禁用，1禁用）")
    private Integer isDisable;

    @ApiModelProperty(value = "报名邀请码")
    @TableField(exist = false)
    private String registrationInvitationCode;

    @ApiModelProperty("内部标识(默认为0，内部添加为1)")
    private Integer identification;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "团队id，默认为0无团队")
    private Integer teamId;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "签到情况(签到状态(0待签到 1.已签到 2未签到))")
    private String signInStatus;


    @ApiModelProperty(value = "签到时间")
    private String signInTime;

}
