package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动排名定时发布表
 * </p>
 *
 * @author cheney
 * @since 2023-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_release_time")
@ApiModel(value="CompetitionReleaseTime对象", description="活动排名定时发布表")
public class CompetitionReleaseTime implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "活动id")
    private Integer competitionId;

    @ApiModelProperty(value = "发布类型(0默认发布 1批量手动导入)")
    private Integer publicationType;

    @ApiModelProperty(value = "是否为总分排名(1为是 默认0不是)")
    private Integer isOverallRanking;

    @ApiModelProperty(value = "发布时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;

    @ApiModelProperty(value = "是否删除(默认0 1为已删除)")
//    @TableLogic
    private Integer isDel;


}
