package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动规则表
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_rule")
@ApiModel(value="CompetitionRule对象", description="活动规则表")
public class CompetitionRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "rule_id", type = IdType.AUTO)
    private Integer ruleId;

    @ApiModelProperty(value = "完整活动设置id（取c_complete_competition_setup表主键）")
    private Integer setupId;

    @ApiModelProperty(value = "赛制（0为积分赛，1为淘汰赛，2为单项赛）")
    private Integer rule;

    @ApiModelProperty(value = "阶段数")
    private Integer stageNum;

    @ApiModelProperty(value = "团队限制参加赛项（0不限制，1限制）默认为0")
    private Integer teamLimit;

    @ApiModelProperty(value = "总成绩计算方式（0：各阶段加权求和，1：各阶段成绩求和，2：各阶段成绩平均值）")
    private Integer resultCalculationMethod;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "各阶段设置")
    @TableField(exist = false)
    private List<CompetitionStage> competitionStageList;

}
