package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动阶段内容设置
 * </p>
 *
 * @author cheney
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_stage_content_setting")
@ApiModel(value="CompetitionStageContentSetting对象", description="活动线下阶段内容设置")
public class CompetitionStageContentSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "活动id")
    private Integer competitionId;

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "系统链接")
    private String systemLink;

    @ApiModelProperty(value = "说明")
    private String stageExplain;

    @ApiModelProperty(value = "是否支持上传文件(默认0:不支持,1:支持)")
    private Integer whetherToUploadFiles;

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @ApiModelProperty(value = "文件路径")
    private String fileName;
}
