package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 活动团队表
 * </p>
 *
 * @author cheney
 * @since 2022-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_competition_team")
@ApiModel(value="CompetitionTeam对象", description="活动团队表")
public class CompetitionTeam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "team_id", type = IdType.AUTO)
    private Integer teamId;

    @ApiModelProperty(value = "活动id")
    private Integer competitionId;

    @ApiModelProperty(value = "团队名称")
    private String teamName;

    @ApiModelProperty(value = "邀请码")
    private String invitationCode;

    @ApiModelProperty(value = "报名邀请码")
    @TableField(exist = false)
    private String registrationInvitationCode;

    @ApiModelProperty(value = "父id")
    private Integer pid;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "队长（0是队长，1为队员）默认为0")
    private Integer captain;

    @ApiModelProperty(value = "是否报名,0不报名，1报名")
    @TableField(exist = false)
    private Integer whetherSignUp;

/*    @ApiModelProperty(value = "报名相关信息")
    @TableField(exist = false)
    private CompetitionRegistration competitionRegistration;*/

    @ApiModelProperty(value = "用户名称")
    @TableField(exist = false)
    private String userName;

    @ApiModelProperty(value = "学号")
    @TableField(exist = false)
    private String workNumber;

    @ApiModelProperty(value = "学校id")
    @TableField(exist = false)
    private Integer schoolId;

    @ApiModelProperty(value = "学校名称")
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty("内部标识")
    @TableField(exist = false)
    private Integer identification;

    @ApiModelProperty(value = "是否删除(默认0 ,1为已删除)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
