package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 完整活动设置
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_complete_competition_setup")
@ApiModel(value="CompleteCompetitionSetup对象", description="完整活动设置")
public class CompleteCompetitionSetup implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "setup_id", type = IdType.AUTO)
    private Integer setupId;

    @ApiModelProperty(value = "活动id(c_competition表主键)")
    private Integer competitionId;

    @ApiModelProperty(value = "活动类型（0为个人赛，1为团队赛）默认为0")
    private Integer competitionType;

    @ApiModelProperty(value = "数量上限限制")
    private Integer quantityLimit;

    @ApiModelProperty(value = "团队人数下限")
    private Integer minTeamSize;

    @ApiModelProperty(value = "团队人数上限")
    private Integer maxTeamSize;

    @ApiModelProperty(value = "邀请码")
    private String invitationCode;

    @ApiModelProperty(value = "是否需要邀请码（0不需要，1需要）默认为0")
    private Integer isNeedCode;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
