package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 团队阶段参赛人员表
 * </p>
 *
 * @author cheney
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_team_participant")
@ApiModel(value="TeamParticipant对象", description="团队阶段参赛人员表")
public class TeamParticipant implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "活动阶段id（c_competition_stage）")
    private Integer stageId;

    @ApiModelProperty(value = "活动id（c_competition）")
    private Integer competitionId;

    @ApiModelProperty(value = "允许参赛人员账号")
    private Integer accountId;

    @ApiModelProperty(value = "选择参赛人员账号")
    @TableField(exist = false)
    private List<Integer> accountIds;

    @ApiModelProperty(value = "平台id")
    @TableField(exist = false)
    private Integer platformId;

    @ApiModelProperty(value = "团队id（c_competition_team）")
    private Integer teamId;


}
