package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：活动管理表
 * @作者: Rong
 * @日期: 2022-06-16
 */
@Data
@ApiModel(value = "登录后活动列表分页")
public class AfterLoginPageCompetitionListReq extends PageReq{

    @ApiModelProperty(value = "关键词(活动名称/创建人)",example = "事")
    private String keyWord;

    @ApiModelProperty(value = "活动范围(0:本校内 1:全平台 2.指定区域、院校 3.不限)",example = "3")
    private String competitionScope;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "平台来源(5:幼儿园，6：供应商)", example = "5")
    private Integer platformSource;


    @ApiModelProperty(value = "读取的列表(0:首页活动/1.已报名活动)", example = "5")
    private Integer listType;


    @ApiModelProperty(value = "活动分类id")
    private Integer classificationId;

    //当前角色
    @ApiModelProperty(value = "当前用户角色(5:幼儿园，6：供应商)")
    private Integer role;
}