package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@Data
@ApiModel(value = "批量导入活动成绩所需")
public class ExcelImpGradeReq {

    @ApiModelProperty(value = "姓名")
    @NotNull(message = "姓名不能为空！")
    private String userName;


    @ApiModelProperty(value = "学号")
    @NotNull(message = "学号不能为空！")
    private String workNumber;

    @ApiModelProperty(value = "分数")
    @NotNull(message = "分数不能为空！")
    private String score;

    @ApiModelProperty(value = "耗时")
    private String timeSum;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 耗时:不填默认为0
     * @return
     */
    public String getTimeSum() {
        if ("".equals(timeSum) || timeSum == null) {
            return "0";
        }
        return timeSum;
    }

    /*@ApiModelProperty(value = "提交时间(用于区分线下活动的提交时间)")
    @NotNull(message = "提交时间不能为空！")
    private Date submitTime;*/

    @ApiModelProperty(value = "团队名称")
    private String teamName;

}
