package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：活动管理表
 * @作者: Rong
 * @日期: 2022-06-16
 */
@Data
@ApiModel(value = "报名人员分页参数列表")
public class PageRegistrationStaffReq extends PageReq {

    @ApiModelProperty(value = "关键词(学生姓名/手机号)", example = "18818574533")
    private String keyWord;

    @ApiModelProperty(value = "活动ID", example = "1485860415656255489")
    private String competitionId;

    @ApiModelProperty(value = "禁用启用0未禁用，1禁用", example = "0")
    private Integer isDisable;


    @ApiModelProperty(value = "查询来源(1.前台/2.后台)")
    private Integer querySource;

    @ApiModelProperty(value = "平台来源(5:幼儿园，6：供应商)", example = "5")
    private Integer platformId;

    @ApiModelProperty(value = "签到状态(0待签到 1.已签到 2未签到:活动结束后没签到的)", example = "5")
    private Integer signInStatus;


}