package com.huoran.competition.entity.resp;

import com.baomidou.mybatisplus.annotation.*;
import com.huoran.competition.entity.CompetitionStage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
@EqualsAndHashCode(callSuper = false)
public class CompetitionRuleResp {


    @ApiModelProperty(value = "主键id")
    @TableId(value = "rule_id", type = IdType.AUTO)
    private Integer ruleId;

    @ApiModelProperty(value = "完整活动设置id（取c_complete_competition_setup表主键）")
    private Integer setupId;

    @ApiModelProperty(value = "赛制（0为积分赛，1为淘汰赛，2为单项赛）")
    private Integer rule;

    @ApiModelProperty(value = "阶段数")
    private Integer stageNum;

    @ApiModelProperty(value = "团队限制参加赛项（0不限制，1限制）默认为0")
    private Integer teamLimit;

    @ApiModelProperty(value = "成绩计算方式（0：各阶段加权求和，1：各阶段成绩求和，2：各阶段成绩平均值）")
    private Integer resultCalculationMethod;

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;


    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "序号（第几阶段）")
    private Integer number;

    @ApiModelProperty(value = "活动方式（0实操，1理论，2线下）默认为0")
    private Integer method;

    @ApiModelProperty(value = "权重（积分赛，所有阶段权和为1）")
    private Double pointWeight;

    @ApiModelProperty(value = "排名晋级人数限制（淘汰赛）")
    private String peopleLimit;

    @ApiModelProperty(value = "排名晋级百分比限制（淘汰赛）")
    private Double percentageLimit;

    @ApiModelProperty(value = "排名晋级分数限制（淘汰赛）")
    private String scoreLimit;

    @ApiModelProperty(value = "成绩公布时间")
    private Double resultAnnouncementTime;

    @ApiModelProperty(value = "活动id(c_competition表主键)")
    private Integer competitionId;

    @ApiModelProperty(value = "团队成绩计算方式（0：最高分，1：平均分，2：总分）")
    private String teamCalculationMethod;


}
