package com.huoran.competition.entity.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 活动排名表
 * </p>
 *
 * @author cheney
 * @since 2023-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DetailsOfTotalTeamScoresResp {
    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "权重（积分赛，所有阶段权和为1）")
    private Double pointWeight;

    @ApiModelProperty(value = "团队成绩计算方式（0：最高分，1：平均分，2：总分）")
    private String teamCalculationMethod;

    @ApiModelProperty(value = "团队成绩分数")
    private Double teamScore;


    @ApiModelProperty(value = "活动规则")
    private CompetitionRuleResp competitionRules;


    @ApiModelProperty(value = "本阶段参赛的团队信息")
    private List<ListOfStageResultsResp> stageTeamInformation;


}
