package com.huoran.competition.entity.resp;

import com.baomidou.mybatisplus.annotation.*;
import com.huoran.competition.entity.CompetitionContent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动阶段设置表
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "前台活动阶段", description = "前台活动阶段")
public class FrontStageCompetitionResp {


    @ApiModelProperty(value = "主键")
    @TableId(value = "stage_id", type = IdType.AUTO)
    private Integer stageId;


    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "序号（第几阶段）")
    private Integer number;

    @ApiModelProperty(value = "活动方式（0实操，1理论，2线下）默认为0")
    private Integer method;

    @ApiModelProperty(value = "权重（积分赛，所有阶段权和为1）")
    private Double pointWeight;


    @ApiModelProperty(value = "团队成绩计算方式（0：最高分，1：平均分，2：总分）")
    private String teamCalculationMethod;


}
