package com.huoran.competition.entity.resp;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel(value = "阶段成绩列表返回值")
public class ListOfStageResultsResp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "排名表主键id")
    private Integer id;

    @ApiModelProperty(value = "序号")
    private Integer serialNumber;

    @ApiModelProperty(value = "分数表id")
    private Integer scoreId;

    @ApiModelProperty(value = "分数")
    private String score;


    @ApiModelProperty(value = "团队名称")
    private String teamName;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;


    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


    @ApiModelProperty("耗时")
    private String timeSum;

    @ApiModelProperty(value = "帐户Id")
    private String accountId;

    @ApiModelProperty(value = "学号")
    private String workNumber;

    @ApiModelProperty(value = "提交时间")
    private String submitTime;

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @ApiModelProperty(value = "队长")
    private String leaderName;

    @ApiModelProperty(value = "实验报告id(删除传)")
    private Integer reportId;

    @ApiModelProperty(value = "平均分", hidden = true)
    @JsonIgnore
    private String avgScore;

    @ApiModelProperty(value = "总分", hidden = true)
    @JsonIgnore
    private String sumScore;

    @ApiModelProperty(value = "最高分", hidden = true)
    @JsonIgnore
    private String maxScore;

    @ApiModelProperty(value = "序号（第几阶段）")
    private Integer number;

    @ApiModelProperty(value = "成绩计算方式（0：各阶段加权求和，1：各阶段成绩求和，2：各阶段成绩平均值）")
    private Integer resultCalculationMethod;

    @ApiModelProperty(value = "权重（积分赛，所有阶段权和为1）")
    private Double pointWeight;

    @ApiModelProperty(value = "是否发布(默认0未发布 1已发布)")
    private Integer isRelease;

    @ApiModelProperty(value = "发布类型(0默认发布 1批量手动导入)")
    private Integer publicationType;

    @ApiModelProperty(value = "是否考试(0未考 1已考)")
    private Integer testOrNot;

}