package com.huoran.competition.entity.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.huoran.competition.entity.CompetitionContent;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.CompleteCompetitionSetup;
import com.huoran.competition.entity.resp.CompetitionRangeResp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/10/16 17:13
 * @Version 1.0
 */
@Data
public class CompetitionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "活动名称")
    private String competitionName;

    @ApiModelProperty(value = "创建人")
    private String founderName;

    @ApiModelProperty(value = "平台来源(5:幼儿园，6：供应商)", example = "5")
    private Integer platformSource;

    @ApiModelProperty(value = "活动范围(1:全平台 5:幼儿园，6：供应商)", example = "0")
    private String competitionScope;

    /*@ApiModelProperty(value = "平台来源(0:中台，1：职站)", example = "0")
    private Integer platformSource;*/

    @ApiModelProperty(value = "发布状态（0未发布，1已发布）")
    private Integer publishStatus;

   /* @ApiModelProperty(value = "中台是否开启(0开启 1未开启 默认0)", example = "0")
    private Integer ztOpen;*/

    @ApiModelProperty(value = "是否开启(0开启 1未开启 默认0)", example = "0")
    private Integer isOpen;

    @ApiModelProperty(value = "报名人数")
    private String applicantNum;

    @ApiModelProperty(value = "活动开始时间")
    private Date playStartTime;

    @ApiModelProperty(value = "活动结束时间")
    private Date playEndTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "活动范围")
    private String range;

    @ApiModelProperty(value = "活动范围(省市学校集合)")
    private List<CompetitionRangeResp> contestRangeRespList;

    @ApiModelProperty(value = "活动阶段")
    private List<CompetitionStage> competitionStageList;

    @ApiModelProperty(value = "活动内容")
    private List<CompetitionContent> contentList;

    @ApiModelProperty(value = "活动设置")
    private CompleteCompetitionSetup setup;

    @ApiModelProperty(value = "主办方", example = "或然科技")
    private String sponsor;

    @ApiModelProperty(value = "承办方", example = "或然科技")
    private String undertaker;

    @ApiModelProperty(value = "活动描述", example = "或然科技活动")
    private String description;

    @ApiModelProperty(value = "报名开始时间", example = "2021-09-10 16:24:24")
    private Date signUpStartTime;

    @ApiModelProperty(value = "报名结束时间", example = "2021-09-20 16:24:24")
    private Date signUpEndTime;

    @ApiModelProperty(value = "创建人Id", example = "1")
    private String founderId;

    @ApiModelProperty(value = "活动名称", example = "数据库数据库色即是空")
    private String name;

    @ApiModelProperty(value = "活动封面图", example = "http://localhost:9400/occupationlab/doc.html")
    private String coverUrl;

    @ApiModelProperty(value = "活动轮播图", example = "http://localhost:9400/occupationlab/doc.html")
    private String carouselUrl;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "学校id", example = "0")
    private Integer schoolId;

    @ApiModelProperty(value = "是否报名(0为已报名 1为未报名)", example = "0")
    private Integer whetherToSignUp;

    @ApiModelProperty(value = "是否禁用，0不禁用，1禁止点击")
    private Integer isDisable;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "活动赛制")
    private Integer rule;

    @ApiModelProperty(value = "活动规则id")
    private Integer ruleId;

    @ApiModelProperty(value = "报名时间")
    private Date registrationTime;

    @ApiModelProperty(value = "发布类型（0发布信息，1完整活动）默认为0")
    private Integer releaseType;

    @ApiModelProperty(value = "活动类型（0为个人赛，1为团队赛）默认为0")
    private Integer competitionType;

    @ApiModelProperty(value = "邀请码")
    private Integer invitationCode;

    @ApiModelProperty(value = "是否需要邀请码（0不需要，1需要）默认为0")
    private Integer isNeedCode;

    @ApiModelProperty(value = "指定区域名称")
    private String locations;

    @ApiModelProperty(value = "创建来源(0默认平台创建)")
    private String createSource;

    @ApiModelProperty(value = "数量上限限制")
    private Integer quantityLimit;

    @ApiModelProperty(value = "是否展示报名人员(0否，1是)")
    private String whetherToShowApplicants;

    @ApiModelProperty(value = "分类名称")
    private String classificationName;

    @ApiModelProperty(value = "活动分类id")
    private Integer classificationId;


}
