package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import com.huoran.competition.utils.poi.ExcelAttribute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@ToString
@Accessors(chain = true)
@ExcelTarget("ImportCompetitionRankingFailureVO")
public class ImportCompetitionRankingFailureVO {

    //第几行
    private Long index;

    @Excel(name = "团队", orderNum = "1", isImportField = "teamName", width = 30)
    @ApiModelProperty(value = "团队")
    private String teamName;

    @ApiModelProperty(value = "队长姓名")
    @Excel(name = "队长姓名", orderNum = "2", isImportField = "teamLeader", width = 30)
    private String teamLeader;

    @ApiModelProperty(value = "学校名称")
    @Excel(name = "学校名称", orderNum = "3", isImportField = "schoolName", width = 30)
    private String schoolName;



    @ApiModelProperty(value = "耗时")
    @Excel(name = "耗时", orderNum = "4", isImportField = "timeSum", width = 30)
    private String timeSum;

    @ApiModelProperty(value = "分数")
    @Excel(name = "分数", orderNum = "5", isImportField = "score", width = 30)
    private String score;

    @ExcelAttribute(sort = 8)
    @Excel(name = "失败原因", orderNum = "6", isImportField = "failureMsg", width = 50)
    private String failureMsg;
}
