package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.competition.entity.Competition;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.req.AfterLoginPageCompetitionListReq;
import com.huoran.competition.entity.req.CompetitionDetailReq;
import com.huoran.competition.entity.req.PageCompetitionListReq;
import com.huoran.competition.entity.vo.CompetitionDetailsVO;
import com.huoran.competition.entity.vo.CompetitionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动信息表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionMapper extends BaseMapper<Competition> {

    IPage<CompetitionVO> contestPageConditionQueryByOccupationlab(Page<CompetitionVO> page,@Param("req") PageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionVO> backgroundActivityList(Page<CompetitionVO> page, @Param("req") PageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionVO> foregroundAppletActivityList(Page<CompetitionVO> page, @Param("req") AfterLoginPageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionVO> postRegistrationList(Page<CompetitionVO> page, @Param("req") AfterLoginPageCompetitionListReq pageCompetitionListReq);



    IPage<CompetitionVO> allContestsByStu(Page<CompetitionVO> page,@Param("req") PageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionVO> designatedRangeCompetitionByStu(Page<CompetitionVO> page, @Param("req") PageCompetitionListReq req);

    //本校活动
    IPage<CompetitionVO> schoolCompetition(Page<CompetitionVO> page, @Param("req") AfterLoginPageCompetitionListReq req);

    //活动广场
    IPage<CompetitionVO> tournamentSquare(Page<CompetitionVO> page, @Param("req") AfterLoginPageCompetitionListReq req);

    IPage<CompetitionVO> registeredBySchoolAndAllPlatforms(Page<CompetitionVO> page,@Param("req") AfterLoginPageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionVO> registeredBySpecifiedRange(Page<CompetitionVO> page,@Param("req") AfterLoginPageCompetitionListReq pageCompetitionListReq);

    IPage<CompetitionDetailsVO> detailsOfCompetitionStage(Page<CompetitionDetailsVO> page, @Param("req") CompetitionDetailReq req);

    List<CompetitionStage> selectCompetitionStage(@Param("id") String id,@Param("accountId") Integer accountId);

    IPage<CompetitionVO> tournamentSquareNew(Page<CompetitionVO> page, @Param("req") AfterLoginPageCompetitionListReq pageCompetitionListReq);

    List<CompetitionStage> selectCompetitionStageNew(@Param("ruleId")Integer ruleId,@Param("accountId") Integer accountId);


    //获取sys_platform表平台信息
    String obtainPlatformInformation(@Param("platformId")String platformId );

    //查询当前账户的角色
    String obtainRole(@Param("accountId")Integer accountId);


}
