package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.School;
import com.huoran.common.entity.UserScore;
import com.huoran.competition.entity.CompetitionRanking;
import com.huoran.competition.entity.req.BatchUploadListCompetitionReq;
import com.huoran.competition.entity.req.FrontDeskStageTeamScoreDetailsReq;
import com.huoran.competition.entity.req.WhetherToPublishParameterReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.resp.TeamAndLeaderResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动排名表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2023-01-03
 */
public interface CompetitionRankingMapper extends BaseMapper<CompetitionRanking> {

    UserScore getexperimentalReportInfo(@Param("req") UserScore userScore);


    List<ListOfStageResultsResp> frontOfficeCompetitionRanking(@Param("req") FrontDeskStageTeamScoreDetailsReq req);


    School obtainSchoolInformation(@Param("schoolName")String schoolName);


    TeamAndLeaderResp queryTeamLeaderAndTeamInformation(@Param("resp")TeamAndLeaderResp resp);


    IPage<ListOfStageResultsResp> manuallyRankTheUploadList(Page<ListOfStageResultsResp> page, @Param("req") BatchUploadListCompetitionReq req);

    List<CompetitionRanking> whetherToPublish(@Param("req") WhetherToPublishParameterReq req);

    List<CompetitionRanking> whetherToPublishTheOverallScoreRanking(@Param("req") WhetherToPublishParameterReq req);


}
