package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.School;
import com.huoran.competition.entity.CompetitionRegistration;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.req.PageRegistrationStaffReq;
import com.huoran.competition.entity.vo.RegistrationNewInformationBroughtOutVO;
import com.huoran.competition.entity.vo.RegistrationVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动报名人员表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionRegistrationMapper extends BaseMapper<CompetitionRegistration> {

    School selectSchool(Integer schoolId);

    IPage<RegistrationVO> selectRegistrationByCondition(Page<RegistrationVO> page,@Param("req") PageRegistrationStaffReq req);

    int disableByIds(List<String> ids);

    boolean cancelRegistration(@Param("contestId")String contestId, @Param("accountId")Integer accountId);

    IPage<RegistrationVO> selectApplicantByCondition(Page<RegistrationVO> page,@Param("req") PageRegistrationStaffReq req);

    String selectSchoolName(@Param("accountId")String accountId);

    Integer countTheNumberOfApplicants(@Param("competitionId")Integer competitionId);
    //根据手机号带出账户组织信息
    List<RegistrationNewInformationBroughtOutVO> getOrganizationalInformation(@Param("phone")String phone,@Param("accountId")Integer accountId);

    RegistrationNewInformationBroughtOutVO detailsOfApplicants(@Param("accountId")Integer accountId,@Param("competitionId")String competitionId);

}
