package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.CompetitionTeam;
import com.huoran.competition.entity.req.FrontDeskStageRankingReq;
import com.huoran.competition.entity.req.StageRankingReq;
import com.huoran.competition.entity.req.StageTeamScoreDetailsReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.resp.ScoreReportResp;
import com.huoran.competition.entity.resp.TimeConsumingCalculationResp;
import com.huoran.competition.entity.vo.PersonalDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动团队表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-12-02
 */
public interface CompetitionTeamMapper extends BaseMapper<CompetitionTeam> {

    List<CompetitionStage> competitionStage(@Param("competitionId") Integer competitionId, @Param("accountId") String accountId, @Param("teamId") Integer teamId);

    List<CompetitionTeam> teamDetail(@Param("ids") List<Integer> accountIds, @Param("competitionId") Integer competitionId);

    PersonalDetailVO personalDetail(@Param("accountId") String accountId);

    //校验当前学生是否存在团队中
    CompetitionTeam verifyThatStudentsAreInTeam(@Param("team") CompetitionTeam team);


    //获取团队活动下的队长所在的团队名称
    String getTheTeamName(@Param("competitionId") Integer competitionId, @Param("teamName") String teamName);

    String getTeamInformation(@Param("competitionId") Integer competitionId);


    List<ListOfStageResultsResp> onlineTeamPointsContest(@Param("req") StageRankingReq req);

    //团队赛求和
    double teamSum(@Param("req") StageRankingReq req);

    //网上个人积分活动
    List<ListOfStageResultsResp> onlineIndividualPointsCompetition(@Param("req") StageRankingReq req);


    //线下团队得分成绩
    IPage<ListOfStageResultsResp> offlineTeamScores(Page<ListOfStageResultsResp> page, @Param("req") StageTeamScoreDetailsReq req);

    List<ListOfStageResultsResp> offLineTeamPointsCompetition(@Param("req") StageRankingReq req);

    TimeConsumingCalculationResp functionAcquisitionTime(@Param("req") StageRankingReq req);

    TimeConsumingCalculationResp highestScoreTakesTheLeastTime(@Param("req") StageRankingReq req);


    //线下个人积分赛
    List<ListOfStageResultsResp> offlineIndividualPointsCompetition(@Param("req") StageRankingReq req);


    IPage<ListOfStageResultsResp> stageTeamScoreDetails(Page<ListOfStageResultsResp> page, @Param("req") StageTeamScoreDetailsReq req);

    IPage<ListOfStageResultsResp> multipleStageTeamScoreDetails(Page<ListOfStageResultsResp> page, @Param("req") StageTeamScoreDetailsReq req);

    IPage<ListOfStageResultsResp> frontDeskIndividualStageRanking(Page<ListOfStageResultsResp> page, @Param("req") FrontDeskStageRankingReq req);


    IPage<ListOfStageResultsResp> frontOfficeTeamStageRanking(Page<ListOfStageResultsResp> page, @Param("req") FrontDeskStageRankingReq req);

    ScoreReportResp queryResults(@Param("stageId") Integer stageId, @Param("competitionId") Integer competitionId, @Param("accountId") String accountId, @Param("teamId") Integer teamId);

    ListOfStageResultsResp teamLeaderInformation(@Param("competitionId") Integer competitionId, @Param("accountId") Integer accountId);


    List<ListOfStageResultsResp> multipleStageTeamScoreDetails(@Param("req") StageTeamScoreDetailsReq req);

}
