package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.UserScore;
import com.huoran.competition.entity.req.PageGradeListReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.resp.UserAccountResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述：用户分数表 Mapper 接口
 * @作者: Rong
 * @日期: 2022-12-08
 */
@Mapper
public interface UserScoreMapper extends BaseMapper<UserScore> {

    UserAccountResp checkStudentNumberAndName(@Param("userName")String userName,@Param("workNumber")String workNumber,@Param("schoolId")Integer schoolId);
    IPage<ListOfStageResultsResp> stageGradeManagementList(Page<ListOfStageResultsResp> page, @Param("req") PageGradeListReq req);

    IPage<ListOfStageResultsResp> stageReportOfExperimentList(Page<ListOfStageResultsResp> page, @Param("req") PageGradeListReq req);

    Integer batchDeletionOfExperimentalReports(@Param("ids")List<Integer> ids);

    String getsTheStartTimeOfThePhase(@Param("stageId") Integer stageId);


}