package com.huoran.competition.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionRanking;
import com.huoran.competition.entity.req.BatchUploadListCompetitionReq;
import com.huoran.competition.entity.req.DetailsOfTotalTeamScoresReq;
import com.huoran.competition.entity.req.FrontDeskStageTeamScoreDetailsReq;
import com.huoran.competition.entity.req.OverallStandingsInThePointsRaceReq;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 活动排名表 服务类
 * </p>
 *
 * @author cheney
 * @since 2023-01-03
 */
public interface CompetitionRankingService extends IService<CompetitionRanking> {
    Map<String, Object> batchImportRanking(MultipartFile file, Integer competitionId, Integer stageId, Integer isOverallRanking,Integer schoolId) throws IOException;

    Map<String, Object> importIndividualRankingsInBulk(MultipartFile file, Integer competitionId, Integer stageId, Integer isOverallRanking,Integer schoolId) throws IOException;

    void exportFailureRecord(HttpServletResponse response, String token, Integer competitionId) throws Exception;

    R frontOfficeCompetitionRanking(@RequestBody FrontDeskStageTeamScoreDetailsReq req);

//    List<ListOfStageResultsResp> frontStageCompetition(@RequestBody FrontStageCompetitionReq req);

    R frontDeskOverallRanking(OverallStandingsInThePointsRaceReq req);

    R detailsOfTotalTeamScores(DetailsOfTotalTeamScoresReq req);

    R manuallyRankTheUploadList(BatchUploadListCompetitionReq req);

    //是否发布阶段排名
    List<CompetitionRanking> whetherToPublish(Integer competitionId, Integer stageId, Integer isRelease, Integer publicationType,Integer whetherToPublish);


    //是否发布总分排名
    List<CompetitionRanking> whetherToPublishTheOverallScoreRanking(Integer competitionId, Integer isRelease, Integer publicationType,Integer isOverallRanking);

    R publishRanking(List<CompetitionRanking> rankingList);


}
