package com.huoran.competition.service;

import com.huoran.common.entity.School;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionRegistration;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.competition.entity.req.PageRegistrationStaffReq;
import com.huoran.competition.entity.vo.RegistrationNewInformationBroughtOutVO;
import com.huoran.competition.entity.vo.RegistrationVO;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 活动报名人员表 服务类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionRegistrationService extends IService<CompetitionRegistration> {

    School getSchool(Integer schoolId);

    R registrationPageConditionQuery(PageRegistrationStaffReq req);

    boolean disableContests(List<String> ids);

    R cancelRegistration(String contestId, Integer valueOf);

    void export(HttpServletResponse response, PageRegistrationStaffReq req) throws IOException;

    void exportDataInBatches(List<RegistrationVO> listOfExportSub, HttpServletResponse response) throws IOException;

    R apply(CompetitionRegistration competitionRegistration);

    CompetitionRegistration enquireWhetherToRegister(Integer accountId,String competitionId);

    Integer registrationPopulation(String competitionId)  ;

    //根据手机号或者账户id带出组织信息
    R getOrganizationalInformation(String phone,Integer accountId);

    R detailsOfApplicants(Integer accountId,String competitionId);

}
