package com.huoran.competition.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.common.response.R;
import com.huoran.competition.entity.Competition;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.req.*;
import com.huoran.competition.entity.vo.CompetitionVO;

import javax.script.ScriptException;
import java.util.List;
import java.util.concurrent.Future;

/**
 * <p>
 * 活动信息表 服务类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionService extends IService<Competition> {

    boolean repeat(Competition competition);

    boolean removeCompetition(Integer competitionId);

    R competitionPageConditionQueryByOccupationlab(PageCompetitionListReq pageCompetitionListReq);

    R backgroundActivityList(PageCompetitionListReq pageCompetitionListReq);

    Future<IPage<CompetitionVO>> notLoggedInBeforeStudentEvents(PageCompetitionListReq pageCompetitionListReq);

    Future<IPage<CompetitionVO>> competitionAfterLogin(AfterLoginPageCompetitionListReq pageCompetitionListReq);

    R addCompetition(Competition competition);

//    R detailsOfCompetitionStage(CompetitionDetailReq req);

    R allowedParticipateCompetition(AllowedParticipateCompetitionReq req) throws ScriptException;

    List<CompetitionStage> queryCompetitionStage(String competitionId, String accountId);

    R isParticipant(IsParticipantReq req);

    //查询当前账户的角色
    String queryRole(String accountId);
}
