package com.huoran.competition.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.req.OverallStandingsInThePointsRaceReq;
import com.huoran.competition.entity.req.StageTeamScoreDetailsReq;
import com.huoran.competition.entity.vo.GradeExportVO;
import com.huoran.competition.entity.vo.PersonageRankingExportVO;
import com.huoran.competition.entity.vo.RankingExportVO;

import javax.script.ScriptException;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 活动阶段设置表 服务类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionStageService extends IService<CompetitionStage> {

    R queryCompetitionStageBySetupId(Integer setupId);

    R stageRaceRanking(Integer competitionId,Integer stageId,Integer pageNum,Integer pageSize,Integer publicationType) throws ScriptException;

    //总分排名
    R overallRanking(OverallStandingsInThePointsRaceReq req);

    R stageTeamScoreDetails(StageTeamScoreDetailsReq req);
    R multipleStageTeamScoreDetails(StageTeamScoreDetailsReq req);

    //总分排名得分详情
    R totalRankingScoreDetails(StageTeamScoreDetailsReq req);

    void derivedRanking(List<RankingExportVO> list, HttpServletResponse response) throws IOException;

    void individualDerivedRanking(List<PersonageRankingExportVO> list, HttpServletResponse response) throws IOException;

}
