package com.huoran.competition.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.entity.UserScore;
import com.huoran.common.response.R;
import com.huoran.competition.entity.req.PageGradeListReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.entity.vo.GradeExportVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @描述：用户分数表 service接口
 * @作者: Rong
 * @日期: 2022-12-08
 */
public interface UserScoreService extends IService<UserScore> {
    Map<String, String> batchImportGrades(MultipartFile file,Integer competitionId,Integer systemId,Integer stageId,Integer schoolId) throws IOException;
    //批量导入失败
    void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    R stageGradeManagementList(PageGradeListReq req);

    R stageReportOfExperimentList(PageGradeListReq req);

    void exportExperimentalResultsInBatch(List<GradeExportVO> list, HttpServletResponse response) throws IOException;


    boolean batchDeletionOfExperimentalReports(List<Integer> ids);

    List<ListOfStageResultsResp> getUnpaginatedEventResults(PageGradeListReq req);




}