package com.huoran.competition.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionContent;
import com.huoran.competition.entity.CompetitionStageContentSetting;
import com.huoran.competition.entity.req.CompetitionContentReq;
import com.huoran.competition.mapper.CompetitionContentMapper;
import com.huoran.competition.mapper.CompetitionStageContentSettingMapper;
import com.huoran.competition.service.CompetitionContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Service
public class CompetitionContentServiceImpl extends ServiceImpl<CompetitionContentMapper, CompetitionContent> implements CompetitionContentService {

    @Autowired
      CompetitionStageContentSettingMapper stageContentSettingMapper;

//    @Autowired
//    private XxlJobService xxlJobService;

    @Override
    public R addCompetitionContent(CompetitionContentReq contentReq) {
        List<CompetitionContent> competitionContents = contentReq.getCompetitionContents();
        competitionContents.forEach(competitionContent -> {

            if (!ObjectUtil.isEmpty(competitionContent.getCompetitionStageContentSetting())){
                //添加线下活动内容
                stageContentSettingMapper.insert(competitionContent.getCompetitionStageContentSetting());
            }
            baseMapper.insert(competitionContent);
            //新增定时关闭
//            if (competitionContent.getEndTime()!=null && competitionContent.getEndTime().after(new Date())) {
//                DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
//                Integer stopTaskId = null;
//                try {
//                    stopTaskId = xxlJobService.addJustExecuteOnceJob(competitionContent.getStageId()+"stop", dateFormat.parse(dateFormat.format(competitionContent.getEndTime())),competitionContent.getStageId().toString(), "competitionStop");
//                } catch (ParseException e) {
//                    throw new RuntimeException(e);
//                }
//                //开始运行停止考核任务
//                xxlJobService.start(stopTaskId);
//            }
        });
        return R.ok();
    }

    @Override
    public R getCompetitionContent(String competitionId) {
        List<CompetitionContent> contentList = baseMapper.selectCompetitionContent(competitionId);
        contentList.forEach(competitionContent -> {
            String cName = baseMapper.selectCid(competitionContent.getCid());
            String projectName = baseMapper.selectProjectName(competitionContent.getProjectId());
            competitionContent.setCName(cName);
            competitionContent.setProjectName(projectName);
        });

        return R.ok().put("contentList",contentList);
    }

    @Override
    public R editCompetitionContent(CompetitionContentReq contentReq) {
        List<CompetitionContent> competitionContents = contentReq.getCompetitionContents();
        competitionContents.forEach(competitionContent -> {
            if (competitionContent.getContentId()==null){
                baseMapper.insert(competitionContent);
            }else{
                if (!ObjectUtil.isEmpty(competitionContent.getCompetitionStageContentSetting())){
                    //编辑线下活动内容
                    QueryWrapper<CompetitionStageContentSetting> queryWrapper = new QueryWrapper<>();
                    queryWrapper.eq("stage_id",competitionContent.getStageId());
                    CompetitionStageContentSetting stageContentSetting = stageContentSettingMapper.selectOne(queryWrapper);
                    if (!ObjectUtil.isEmpty(stageContentSetting)){
                        stageContentSettingMapper.updateById(competitionContent.getCompetitionStageContentSetting());
                    }else {
                        //新增线下活动内容
                        stageContentSettingMapper.insert(competitionContent.getCompetitionStageContentSetting());
                    }

                }
                baseMapper.updateById(competitionContent);
                //删除已存在的考核定时任务
//                Integer removeStopTaskId = xxlJobService.getJobIdByCustomId(competitionContent.getStageId() + "stop");
                //删除任务
//                if (!ObjectUtils.isEmpty(removeStopTaskId)) {
//                    xxlJobService.remove(removeStopTaskId);
//                }
//                //新增定时关闭,结束时间不为空并且结束时间晚于当前时间
//                if (competitionContent.getEndTime()!=null && competitionContent.getEndTime().after(new Date())) {
//                    DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
//                    Integer stopTaskId = null;
//                    try {
//                        stopTaskId = xxlJobService.addJustExecuteOnceJob(competitionContent.getStageId()+"stop", dateFormat.parse(dateFormat.format(competitionContent.getEndTime())),competitionContent.getStageId().toString(), "competitionStop");
//                    } catch (ParseException e) {
//                        throw new RuntimeException(e);
//                    }
//                    //开始运行停止活动任务
//                    xxlJobService.start(stopTaskId);
//                }
            }
        });
        return R.ok();
    }
}
