package com.huoran.competition.service.impl;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionStageFile;
import com.huoran.competition.entity.req.ContestStageFileReq;
import com.huoran.competition.entity.req.OverallStandingsInThePointsRaceReq;
import com.huoran.competition.entity.resp.CompetitionStageFileResp;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import com.huoran.competition.mapper.CompetitionStageFileMapper;
import com.huoran.competition.service.CompetitionStageFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 活动阶段文件 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2023-11-13
 */
@Service
public class CompetitionStageFileServiceImpl extends ServiceImpl<CompetitionStageFileMapper, CompetitionStageFile> implements CompetitionStageFileService {

    @Override
    public R stageFile(ContestStageFileReq req) {
        Page<CompetitionStageFileResp> page = new Page<CompetitionStageFileResp>(req.getPageNum(), req.getPageSize());
        IPage<CompetitionStageFileResp> pageList = baseMapper.stageFile(page, req);
        return R.ok().put("data", pageList);
    }

    @Override
    public List<CompetitionStageFile> stageAllFiles(ContestStageFileReq req) {
        QueryWrapper<CompetitionStageFile> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", req.getCompetitionId());
        queryWrapper.eq("stage_id", req.getStageId());

        String ids = "";
        if (!ObjectUtil.isEmpty(req.getIds())) {
            for (Integer id : req.getIds()) {
                ids += id + ",";
            }
            ids = ids.substring(0, ids.length() - 1);
            queryWrapper.last(" AND FIND_IN_SET( id, " + ids + " )");
        }

        return baseMapper.selectList(queryWrapper);
    }

    @Override
    public CompetitionStageFile obtainTheFileUploadedInThisPhaseByStu(Integer accountId, Integer competitionId, Integer stageId) {
        QueryWrapper<CompetitionStageFile> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", competitionId);
        queryWrapper.eq("stage_id", stageId);
        queryWrapper.eq("account_id", accountId);
        return baseMapper.selectOne(queryWrapper);
    }

    @Override
    public String getStudentName(Integer accountId) {
        return baseMapper.getStudentName(accountId);
    }

    @Override
    public CompetitionStageFile checkWhetherTheFileHasBeenUploaded(CompetitionStageFile competitionStageFile) {
        QueryWrapper<CompetitionStageFile> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id", competitionStageFile.getCompetitionId());
        queryWrapper.eq("stage_id", competitionStageFile.getStageId());
        queryWrapper.eq("account_id", competitionStageFile.getAccountId());
        queryWrapper.eq("school_id", competitionStageFile.getSchoolId());

        CompetitionStageFile verify = baseMapper.selectOne(queryWrapper);

        return verify;
    }
}
