package com.huoran.competition.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.competition.entity.CompetitionContent;
import com.huoran.competition.entity.TeamParticipant;
import com.huoran.competition.mapper.CompetitionContentMapper;
import com.huoran.competition.mapper.TeamParticipantMapper;
import com.huoran.competition.service.TeamParticipantService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 团队阶段参赛人员表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-12-05
 */
@Service
public class TeamParticipantServiceImpl extends ServiceImpl<TeamParticipantMapper, TeamParticipant> implements TeamParticipantService {

    @Autowired
    CompetitionContentMapper competitionContentMapper;

    @Override
    public boolean inTheGame(Integer stageId) {
        QueryWrapper<CompetitionContent> wrapper = new QueryWrapper<>();
        wrapper.eq("stage_id",stageId);
        CompetitionContent competitionContent = competitionContentMapper.selectOne(wrapper);
        //当前时间大于开始时间，无法修改人员
        return new Date().after(competitionContent.getStartTime());
    }

}
