package com.huoran.competition.utils;

import java.util.*;

/**
 * @Author chen
 * @DATE 2022/4/1 11:36
 * @Version 1.0
 * 该类提供对集合类的高效操作
 */
public class CollectionUtil {
    /**
     * 不允许实例化
     */
    private CollectionUtil() {
    }

    /**
     *  获取两个集合的不同元素
     * @param collmax
     * @param collmin
     * @return
     */
    @SuppressWarnings({ "rawtypes", "unchecked" })
    public static Collection getDifferent(Collection collmax, Collection collmin)
    {
        //使用LinkedList防止差异过大时,元素拷贝
        Collection csReturn = new LinkedList();
        Collection max = collmax;
        Collection min = collmin;
        //先比较大小,这样会减少后续map的if判断次数
        if(collmax.size()<collmin.size())
        {
            max = collmin;
            min = collmax;
        }
        //直接指定大小,防止再散列
        Map<Object,Integer> map = new HashMap<Object,Integer>(max.size());
        for (Object object : max) {
            map.put(object, 1);
        }
        for (Object object : min) {
            if(map.get(object)==null)
            {
                csReturn.add(object);
            }else{
                map.put(object, 2);
            }
        }
        for (Map.Entry<Object, Integer> entry : map.entrySet()) {
            if(entry.getValue()==1)
            {
                csReturn.add(entry.getKey());
            }
        }
        return csReturn;
    }
    /**
     *  获取两个集合的不同元素,去除重复
     * @param collMax
     * @param collMin
     * @return
     */
    @SuppressWarnings({ "rawtypes", "unchecked" })
    public static Collection getDifferentNoDuplicate (Collection collMax,Collection collMin)
    {
        return new HashSet(getDifferent(collMax, collMin));
    }
}
