package com.huoran.competition.utils;

/**
 * @描述：
 * @作者: Rong
 * @日期: 2022/3/24 16:36
 */
public class DelTagsUtil {
    /**
     * 去除html代码中含有的标签
     *
     * @param htmlStr
     * @return
     */
    public static String delHtmlTags(String htmlStr) {
        //定义script的正则表达式，去除js可以防止注入
        String scriptRegex = "<script[^>]*?>[\\s\\S]*?<\\/script>";
        //定义style的正则表达式，去除style样式，防止css代码过多时只截取到css样式代码
        String styleRegex = "<style[^>]*?>[\\s\\S]*?<\\/style>";
        //定义HTML标签的正则表达式，去除标签，只提取文字内容
        String htmlRegex = "<[^>]+>";
        //定义空格,回车,换行符,制表符
        String spaceRegex = "\\s*|\t|\r|\n";

        // 过滤script标签
        htmlStr = htmlStr.replaceAll(scriptRegex, "");
        // 过滤style标签
        htmlStr = htmlStr.replaceAll(styleRegex, "");
        // 过滤html标签
        htmlStr = htmlStr.replaceAll(htmlRegex, "");
        // 过滤空格等
        htmlStr = htmlStr.replaceAll(spaceRegex, "");
        return htmlStr.trim(); // 返回文本字符串
    }

    /**
     * 获取HTML代码里的内容
     *
     * @param htmlStr
     * @return
     */
    public static String getTextFromHtml(String htmlStr) {
        //去除html标签
        htmlStr = delHtmlTags(htmlStr);
        //去除空格" "
        htmlStr = htmlStr.replaceAll(" ", "");
        return htmlStr;
    }

    public static void main(String[] args) {
        String htmlStr = "import requests\nimport json\n\ndef get_sogou_img():\n&nbsp; &nbsp; category = '卡通'\n&nbsp; &nbsp; length = 5\n&nbsp; &nbsp; imgs = requests.get(\n&nbsp; &nbsp; &nbsp; &nbsp; 'https://pic.sogou.com/pics/channel/getAllRecomPicByTag.jsp?category=%E5%A3%81%E7%BA%B8&amp;tag=' + category + '&amp;start=0&amp;len=' + str(\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; length) + '&amp;width=1920&amp;height=1080')\n&nbsp; &nbsp; jd = json.loads(imgs.text)\n&nbsp; &nbsp; jd = jd['all_items']\n&nbsp; &nbsp; imgs_url = []\n&nbsp; &nbsp; for j in jd:\n&nbsp; &nbsp; &nbsp; &nbsp; imgs_url.append(j['pic_url'])\n&nbsp; &nbsp; print(imgs_url)\n1111111111111111111111111111\n\n\n\n\nif __name__ == \"__main__\":\n&nbsp; &nbsp; get_sogou_img()\n"
                ;
        System.out.println(getTextFromHtml(htmlStr));
    }
}
