package com.huoran.competition.utils.attestation;

import com.alibaba.fastjson.JSON;
import com.huoran.competition.entity.CardVerify;
import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * 实名认证工具类
 */
public class CardVerifyUtil {




    /**
     *
     * @param frontImg 人脸面照片转base64得出的字符串
     * @param backImg 国徽面照片转base64得出的字符串
     * @return
     */
    public static CardVerify cardVerify(String frontImg, String backImg) {
        String host = "https://miitangs14.market.alicloudapi.com";//调用地址
        String path = "/v1/tools/ocr/idCard"; //调用路径
        String method = "POST";
        String appcode = "4c22c2b34b2d4b5aaa57186a49aa3a4c"; //阿里云中自己的APPCode
        Map<String, String> headers = new HashMap<String, String>();
        //最后在header中的格式(中间是英文空格)为Authorization:APPCODE 83359fd73fe94948385f570e3c139105
        headers.put("Authorization", "APPCODE " + appcode);
        //根据API的要求，定义相对应的Content-Type
        headers.put("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
        //需要给X-Ca-Nonce的值生成随机字符串，每次请求不能相同
        headers.put("X-Ca-Nonce", UUID.randomUUID().toString());
        Map<String, String> querys = new HashMap<String, String>();
        Map<String, String> bodys = new HashMap<String, String>();
        bodys.put("backImg",backImg);
        bodys.put("frontImg", frontImg);
        bodys.put("reqNo", "miitangtest01");
        bodys.put("userLicenseNo", "userLicenseNo");
        try {
            /**
             * 重要提示如下:
             * HttpUtils请从
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/src/main/java/com/aliyun/api/gateway/demo/util/HttpUtils.java
             * 下载
             *
             * 相应的依赖请参照
             * https://github.com/aliyun/api-gateway-demo-sign-java/blob/master/pom.xml
             */
            HttpResponse response = HttpUtils.doPost(host, path, method, headers, querys, bodys);
            //获取response的body
            String s = EntityUtils.toString(response.getEntity());
            CardVerify cardVerify = JSON.parseObject(s, CardVerify.class);
            return cardVerify;
        } catch (Exception e) {
            CardVerify cardVerify = new CardVerify();
            cardVerify.setCode("10000");
            return cardVerify;
        }
    }
}