package com.huoran.nakadai;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.rabbit.config.RabbitListenerConfigUtils;
import org.springframework.amqp.rabbit.listener.RabbitListenerEndpointRegistry;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableDiscoveryClient
@EnableScheduling
//@EnableRabbit//开启rabbitmq
@EnableFeignClients(basePackages = "com.huoran.api")
@MapperScan(basePackages = "com.huoran.nakadai.mapper")
@ComponentScan(basePackages = {"com.huoran"})
public class NakadaiApplication {

	public static void main(String[] args) {
		ConfigurableApplicationContext applicationContext = SpringApplication.run(NakadaiApplication.class, args);

		Runtime.getRuntime().addShutdownHook(new Thread() {
			public void run() {
				try {
					RabbitListenerEndpointRegistry rabbitListenerEndpointRegistry = applicationContext.getBean(
							RabbitListenerConfigUtils.RABBIT_LISTENER_ENDPOINT_REGISTRY_BEAN_NAME,RabbitListenerEndpointRegistry.class);
					rabbitListenerEndpointRegistry.stop();
//					log.info("kill -15 主动结束");
					Thread.sleep(20000);
//					log.info("结束完毕");
				} catch (Throwable e) {
					e.printStackTrace();
				}
			}
		});
	}
}
