package com.huoran.nakadai.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 此配置类用于区分正式、测试环境相关配置，如有需要配置变量等自行添加
 *
 * @author Mr.JK
 * @date 2021年4月23日10:27:49
 */

@Configuration
@ConfigurationProperties(prefix = "environment")
public class EnvironmentConfig {

    //python生成的图片储存地址
    public static String imageURL;

    //python脚本地址
    public static String pythonURL;

    //编码
    public static String coding;

    //项目图片地址
    public static String projectImgUrl;

    @Value("${environment.imageUrl}")
    public void setENVIRONMENTURL(String imageURL) {
        this.imageURL = imageURL;
    }

    @Value("${environment.pythonURL}")
    public void setPythonURL(String pythonURL) {
        this.pythonURL = pythonURL;
    }

    @Value("${environment.coding}")
    public void setCoding(String coding) {
        this.coding = coding;
    }

    @Value("${environment.projectImgUrl}")
    public void setProjectImgUrl(String projectImgUrl) {
        EnvironmentConfig.projectImgUrl = projectImgUrl;
    }
}

