package com.huoran.nakadai.config;

import com.huoran.nakadai.config.interceptor.UserInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Author chen
 * @DATE 2022/6/24 11:54
 * @Version 1.0
 */
@Configuration
public class InterceptorConfig implements WebMvcConfigurer {

    // 这个方法是用来配置静态资源的，比如html，js，css等等
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
    }

    // 这个方法用来注册拦截器，我们自己写好的拦截器需要通过这里添加注册才能生效
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //注册拦截器
        InterceptorRegistration ir=registry.addInterceptor(new UserInterceptor());
        //配置拦截路径
        ir.addPathPatterns(
                "/nakadai/partnerAccount/**",
                "/nakadai/partnerClassification/**",
                "/nakadai/partner-team/**",
                "/nakadai/applets/**",
                "/nakadai/nakadai/order/**",
                "/nakadai/nakadai/orderOther/**",
                "/nakadai/nakadai/customer/**");//加拦截路径才会走配置的拦截器（进行相关业务判断）
        //配置不拦截路径
        // ir.excludePathPatterns("/login");

    }
}
