package com.huoran.nakadai.controller;


import com.huoran.common.response.R;
import com.huoran.common.utils.PageUtils;
import com.huoran.nakadai.entity.City;
import com.huoran.nakadai.entity.req.CustomerListReq;
import com.huoran.nakadai.service.ICityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 城市 前端控制器
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Api(value = "城市管理", tags = "城市管理")
@RestController
@RequestMapping("/nakadai/city")
public class CityController {

    @Autowired
    private ICityService iCityService;

    /**
     * 根据省份查询城市信息
     * @return
     */
    @ApiOperation(value = "根据省份查询城市信息",notes = "根据省份查询城市信息")
    @GetMapping("/queryCity")
    public R queryCity(@RequestParam Integer provinceId) {
        List<City> list = iCityService.queryCityList(provinceId);
        return R.ok(list);
    }
}
