package com.huoran.nakadai.controller;


import com.huoran.common.exception.ExceptionEnum;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.HrIndustryClass;
import com.huoran.nakadai.service.IHrIndustryClassService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 行业类 前端控制器
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Api(value = "行业类管理", tags = "行业类管理")
@RestController
@RequestMapping("/nakadai/hrIndustryClass")
public class HrIndustryClassController {

    @Autowired
    private IHrIndustryClassService iHrIndustryClassService;

    /**
     * 查询行业类
     * @return
     */
    @ApiOperation(value = "查询行业类",notes = "查询行业类")
    @GetMapping("/queryIndustryClass")
    public R queryIndustryClass() {
        List<HrIndustryClass> result = iHrIndustryClassService.queryIndustryClass();
        return R.ok(result);
    }
}
