package com.huoran.nakadai.controller;


import com.huoran.common.response.R;
import com.huoran.nakadai.entity.HrIndustry;
import com.huoran.nakadai.entity.HrIndustryClass;
import com.huoran.nakadai.service.IHrIndustryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 行业 前端控制器
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Api(value = "行业管理", tags = "行业管理")
@RestController
@RequestMapping("/nakadai/hrIndustry")
public class HrIndustryController {

    @Autowired
    private IHrIndustryService iHrIndustryService;

    /**
     * 查询行业
     * @return
     */
    @ApiOperation(value = "查询行业",notes = "查询行业")
    @GetMapping("/queryIndustry")
    public R queryIndustry(@RequestParam Integer industryClassId) {
        List<HrIndustry> result = iHrIndustryService.queryIndustry(industryClassId);
        return R.ok(result);
    }

}
