package com.huoran.nakadai.controller;


import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.nakadai.entity.Notify;
import com.huoran.nakadai.entity.vo.MessageNotificationVo;
import com.huoran.nakadai.service.NotifyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 消息通知表 前端控制器
 * </p>
 *
 * @author chen
 * @since 2023-05-29
 */
@Api(value = "消息通知管理", tags = "消息通知管理")
@RestController
@RequestMapping("/notify")
public class NotifyController {

    @Autowired
    private NotifyService notifyService;

    @ApiOperation(value = "消息通知列表", response = MessageNotificationVo.class)
    @GetMapping("/messageNotificationList")
    public R commentTreeList(
            @ApiParam(name = "type", value = "通知类型", required = false)
            @RequestParam(required = false) Integer type, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        return notifyService.messageNotificationList(accountId,type);
    }

    @ApiOperation(value = "通知已读")
    @PostMapping("/noticeRead")
    public R noticeRead(
            @ApiParam(name = "isRead", value = "是否已读", required = true)
            @RequestParam Integer isRead,
            @ApiParam(name = "noticeId", value = "多个通知id", required = true)
            @RequestParam String notifyId) {
        String[] strArray = notifyId.split(",");
        // 注意foreach循环的用法
        for (String id : strArray) {
            Notify notify = notifyService.getById(Integer.valueOf(id));
            notifyService.updateById(notify.setIsRead(isRead));
        }
        return R.ok();
    }

}

