package com.huoran.nakadai.controller;


import com.huoran.common.response.R;
import com.huoran.nakadai.entity.City;
import com.huoran.nakadai.entity.Province;
import com.huoran.nakadai.service.IProvinceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 省份表 前端控制器
 * </p>
 *
 * @author huoran
 * @since 2021-07-08
 */
@Api(value = "省份管理", tags = "省份管理")
@RestController
@RequestMapping("/nakadai/province")
public class ProvinceController {

    @Autowired
    private IProvinceService iProvinceService;

    /**
     * 查询省份
     * @return
     */
    @ApiOperation(value = "查询省份",notes = "查询省份")
    @GetMapping("/queryProvince")
    public R queryProvince() {
        List<Province> list = iProvinceService.queryProvince();
        return R.ok(list);
    }
}
