package com.huoran.nakadai.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ServiceConfiguration;
import com.huoran.nakadai.entity.req.ServiceConfigurationReq;
import com.huoran.nakadai.service.IServiceConfigurationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 服务配置表 前端控制器
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-08
 */
@RestController
@RequestMapping("/nakadai/serviceConfiguration")
@Api(tags = "服务配置")
public class ServiceConfigurationController {

    @Autowired
    private IServiceConfigurationService serviceConfigurationService;

    @ApiOperation(value = "服务配置列表")
    @PostMapping("/getAllService")
    public R getAllService(@RequestBody @Valid ServiceConfigurationReq serviceReq){
        IPage<ServiceConfiguration> serviceList = serviceConfigurationService.getAllService(serviceReq);
        return R.ok().put("serviceList",serviceList);
    }

    @ApiOperation(value = "根据系统id获取系统名称 Feign")
    @GetMapping("/getSystemNameBySystemId")
    public String getSystemNameBySystemId(@RequestParam Integer SystemId){
        return serviceConfigurationService.getSystemNameBySystemId(SystemId);
    }

}
