package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 收藏供应商
 * </p>
 *
 * @author chen
 * @since 2024-01-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CollectionProvider对象", description="收藏供应商")
public class CollectionProvider implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "账号id(关注人id)")
    private Integer accountId;

    @ApiModelProperty(value = "被关注供应商的账号id")
    private Integer supplierAccountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "关注id(用于取消关注，没有表示没有关注过)")
    @TableField(exist = false)
    private Integer attentionId;

    @ApiModelProperty(value = "是否关注(0未关注 1已关注)")
    @TableField(exist = false)
    private Integer whetherAttention;
}
