package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程评论回复表
 * </p>
 *
 * @author chen
 * @since 2023-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_comment")
@ApiModel(value="Comment对象", description="课程评论回复表")
public class Comment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "comment_id", type = IdType.AUTO)
    private Integer commentId;

    @ApiModelProperty(value = "父id")
    private Integer pid;

    @ApiModelProperty(value = "回复用户id")
    private Integer replyAccountId;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "状态：1评论，2评论回复")
    private Integer status;

    @ApiModelProperty("创建时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private Integer createAccountId;

    @ApiModelProperty(value = "商品id")
    private Integer mallId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "回复评论id")
    @TableField(exist = false)
    private Integer replyCommentId;


}
