package com.huoran.nakadai.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 课程表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("course")
public class Course implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课程主键id")
    @TableId(value = "course_id", type = IdType.AUTO)
    private Integer courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("课程类别(实训课程 、理论课程)")
    private String courseType;

    @ApiModelProperty("绑定学科ID")
    private Integer disciplineId;

    @ApiModelProperty("绑定专业类ID")
    private Integer professionalClassId;

    @ApiModelProperty("绑定专业ID")
    private Integer professionalId;

    @ApiModelProperty("预计课时(32 、64学时，目前只有这个两个学时)")
    private Integer courseHours;

    @ApiModelProperty("市场价格")
    private BigDecimal marketPrice;

    @ApiModelProperty("课程简介")
    private String courseIntroduction;

    @ApiModelProperty("教学目标")
    private String teachingGoal;

    @ApiModelProperty("是否删除(0、未删除 1、已删除)")
    @TableLogic(value = "0",delval = "1")
    private int isDel;

    @ApiModelProperty("员工表中的id")
    private Integer staffId;

    @ApiModelProperty("绑定系统id")
    private String systemId;

    @ApiModelProperty("是否上架(0、上架 1、下架)")
    private int isShelves;

    @ApiModelProperty("绑定项目id")
    private String projectId;

    @ApiModelProperty("更新时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
