package com.huoran.nakadai.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;
import java.util.List;

import com.huoran.nakadai.entity.res.CurriculumDetailRes;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 课程管理
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Curriculum对象", description = "课程管理")
public class Curriculum implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer cid;

    @ApiModelProperty(value = "创建人id")
    private Integer accountId;

    @ApiModelProperty(value = "课程名称")
    private String curriculumName;

    @ApiModelProperty(value = "课程封面图片路径")
    private String coverUrl;

    @ApiModelProperty(value = "课程类别(0->理论 1-实训)")
    private Integer curriculumType;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "学科类别id")
    private Integer categoryId;

    @ApiModelProperty(value = "专业类id")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id")
    private Integer professionalId;

    @ApiModelProperty(value = "预计课时")
    private String expectedCourse;

    @ApiModelProperty(value = "市场价格")
    private BigDecimal marketPrice;

    @ApiModelProperty(value = "简介")
    private String briefIntroduction;

    @ApiModelProperty(value = "教学目标")
    private String teachingObjectives;

    @ApiModelProperty(value = "练习配置id")
    private Integer practiceId;

    @ApiModelProperty(value = "考核配置id")
    private Integer assessmentId;

    @ApiModelProperty(value = "资源配置id")
    private Integer resourcesId;

    @ApiModelProperty(value = "区分标识：1为企业端课程，0为管理端课程")
    private Integer distinguish;

    @ApiModelProperty(value = "是否启用（0启用，1未启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "上下架（0下架 1上架 默认 1）")
    private Integer isShelves;


    @ApiModelProperty(value = "是否删除(默认0未删 1为已删)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "练习配置")
    @TableField(exist = false)
    private List<CurriculumDetailRes> practiceConfig;

    @ApiModelProperty(value = "考核配置")
    @TableField(exist = false)
    private List<CurriculumDetailRes> assessmentConfig;

    @ApiModelProperty(value = "竞赛配置")
    @TableField(exist = false)
    private List<CurriculumDetailRes> competitionConfig;

    @ApiModelProperty(value = "系统id")
    @TableField(exist = false)
    private String systemIds;

    @ApiModelProperty(value = "结算方式，0为单价，1为分成")
    private String settlementMethod;

    @ApiModelProperty(value = "供应商id")
    private String supplier;

    @ApiModelProperty(value = "供应商名称")
    @TableField(exist = false)
    private String supplierName;

    @ApiModelProperty(value = "结算单价")
    private BigDecimal settlementPrice;

    @ApiModelProperty(value = "商务占比")
    private String businessProportion;

    @ApiModelProperty(value = "厂商占比")
    private String manufacturerProportion;

    @ApiModelProperty(value = "小程序图片地址")
    private String miniProgramPictureAddress;
}
