package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 课程配置表
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "CurriculumConfigure对象", description = "课程配置表")
public class CurriculumConfigure implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "config_id", type = IdType.AUTO)
    private Integer configId;

    @ApiModelProperty(value = "课程表主键id(curriculum表主键) 关联查询用")
    private Integer cid;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "项目管理表id")
    private Integer projectId;

    @ApiModelProperty(value = "排序(对项目展示进行排序)")
    private Integer sort;

    @ApiModelProperty(value = "项目权限(0、练习 1、考核)")
    private Integer permissions;

    @ApiModelProperty(value = "是否展示(默认0展示 1为不展示)")
    private Integer isShow;

    @ApiModelProperty(value = "是否删除(默认0未删 1为已删除)")
    private Integer isDel;


}
