package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程笔记表
 * </p>
 *
 * @author chen
 * @since 2023-05-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CurriculumNotes对象", description="课程笔记表")
public class CurriculumNotes implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "note_id", type = IdType.AUTO)
    private Integer noteId;

    @ApiModelProperty(value = "笔记名称")
    private String noteName;

    @ApiModelProperty(value = "笔记内容")
    private String noteContent;

    @ApiModelProperty(value = "账号id",hidden = true)
    private Integer accountId;

    @ApiModelProperty(value = "课程id")
    private Integer cid;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    @TableLogic(value = "0",delval = "1")
    private int isDel;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;


}
