package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业课程小节表
 * </p>
 *
 * @author lr
 * @since 2021-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "CurriculumSubsection对象", description = "企业课程小节表")
public class CurriculumSubsection implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "小节ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "小节名称")
    private String name;

    @ApiModelProperty(value = "课程ID")
    private Integer cid;

    @ApiModelProperty(value = "章节ID")
    private Integer chapterId;

    @ApiModelProperty(value = "资源文件ID")
    private String fileId;

    @ApiModelProperty(value = "文件存储路径")
    private String fileUrl;

    @ApiModelProperty(value = "资源文件类型")
    private String fileType;

    @ApiModelProperty(value = "阿里云文件名称")
    private String fileName;

    @ApiModelProperty(value = "原始文件名称")
    private String originalFileName;

    @ApiModelProperty(value = "排序字段")
    private Integer sort;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
