package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 沙盘-关卡表
 * </p>
 *
 * @author chen
 * @since 2023-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_customs_pass")
@ApiModel(value = "CustomsPass对象", description = "沙盘-关卡表")
public class CustomsPass implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "关卡id")
    private Integer checkpointId;

    @ApiModelProperty(value = "序号")
    private Integer serialNumber;

    @ApiModelProperty(value = "关卡名称")
    private String customsPassName;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "是否禁用(默认0:禁用,1:启用)")
    private Integer isEnable;

    @ApiModelProperty(value = "是否删除(默认0:未删除,1:已删除)")
    @TableLogic
    private Integer isDel;


    @ApiModelProperty(value = "引用中台的关卡id(用于复制checkpoint_id所用)")
    private Integer copyId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;



    @ApiModelProperty(value = "创建人")
    @TableField(exist = false)
    private String creator;

    @ApiModelProperty(value = "是否收藏")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableField(exist = false)
    private boolean isCollect;

    @ApiModelProperty(value = "收藏id")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableField(exist = false)
    private Integer favoriteId;
}
