package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @描述：数据平台产品表
 * @作者: Rong
 * @日期: 2021-06-28
 */
@Data
@ApiModel(value = "数据平台产品表")
@TableName("data_product")
public class DataProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "用户账户id(hr_user_account表主键)")
    private Integer accountId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "表数据量")
    private String tableNum;

    @ApiModelProperty(value = "可改变表id(sys_table主键) 用逗号隔开")
    private String tableId;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "订单数量")
    private Integer orderNum;

    @ApiModelProperty(value = "市场价")
    private String market;

    @ApiModelProperty(value = "上下架（0下架 1上架 默认 0）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "逻辑删除(默认0，1为删除)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "结算方式，0为单价，1为分成")
    private String settlementMethod;

    @ApiModelProperty(value = "供应厂商")
    private String supplier;

    @ApiModelProperty(value = "结算单价")
    private BigDecimal settlementPrice;

    @ApiModelProperty(value = "商务占比")
    private String businessProportion;

    @ApiModelProperty(value = "厂商占比")
    private String manufacturerProportion;

}