package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 学科
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Discipline对象", description = "学科")
public class Discipline implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "discipline_id", type = IdType.AUTO)
    private Integer disciplineId;

    @ApiModelProperty(value = "学科名称")
    private String disciplineName;

    @ApiModelProperty(value = "引用次数")
    @TableField(exist = false)
    private Integer level;

    @ApiModelProperty(value = "引用专类类")
    @TableField(exist = false)
    private List<ProfessionalClass> professionalClasses;


}
