package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author chen
 * @since 2023-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ExplosiveRecommendation对象", description="")
public class ExplosiveRecommendation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "封面图(多张逗号隔开)")
    private String coverUrl;

    @ApiModelProperty(value = "顺序")
    private Integer sequence;

    @ApiModelProperty(value = "(0.爆款推荐 1.banner管理")
    private Integer type;

    @ApiModelProperty(value = "启用状态(0开启 1未开启 默认0)")
    private Integer enabledState;


    @ApiModelProperty(value = "产品详情（1详情/2链接）")
    private String details;

    @ApiModelProperty(value = "链接类型(1小程序链接/2.外链接)")
    private String link;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "选择链接内容(1.商品、2.活动、3.供应商、4.店铺)")
    private String  selectLinkId;

    @ApiModelProperty(value = "对应链接id的主键(如:选择活动则保存的活动id)")
    private String  correspondingLinkId;

    @ApiModelProperty(value = "跳转链接")
    private String  jumpLink;

    @ApiModelProperty(value = "描述")
    private String  description;

    @ApiModelProperty(value = "发布状态(0默认未发布/1已发布)")
    private Integer  publishStatus;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;



    


}
