package com.huoran.nakadai.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 数据平台权限表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("hr_data_permissions")
public class HrDataPermissions implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 数据权限主键Id
     */
    @TableId(value = "data_permissions_id", type = IdType.AUTO)
    private Integer dataPermissionsId;

    /**
     * 使用期限(月)
     */
    private Integer usePeriod;

    /**
     * 市场价格
     */
    private BigDecimal marketPrice;

    /**
     * 交易价格
     */
    private BigDecimal transactionPrice;

    /**
     * 折扣率
     */
    private Integer discount;

    /**
     * 绑定端口地址id
     */
    private Integer portAddressId;

    /**
     * 是否发货(0、未发货 1、已发货)
     */
    private Integer isDeliverGoods;

    /**
     * 发货日期
     */
    private Date deliveryDate;

    /**
     * 截止日期
     */
    private Date deadlineDate;

    /**
     * 剩余期限（天）
     */
    private Integer remainPeriod;

    /**
     * 是否删除(0、未删除 1、已删除)
     */
    private Integer isDel;

    /**
     * 绑定数据平台id
     */
    private Integer dataPlatformId;

    /**
     * 绑定订单id
     */
    private Integer orderId;

    /**
     * 账号数
     */
    private Integer countNumber;

    /**
     * 总金额
     */
    private BigDecimal sumMoney;

    /**
     * 是否启用
     */
    private Integer isEnabled;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
