package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="HrLog对象", description="")
public class HrLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "log_id", type = IdType.AUTO)
    private Integer logId;

    @ApiModelProperty(value = "平台名称(1职站，2数据，3中台)")
    private Integer platformId;

    @ApiModelProperty(value = "版本名称")
    @NotNull(message = "版本标题不能为空")
    private String versionName;

    @ApiModelProperty(value = "更新内容")
    @TableField(exist = false)
    @NotNull(message = "更新内容不能为空")
    private List<LogContent> logContents;

    @ApiModelProperty(value = "封面图片地址")
    private String coverUrl;

    @ApiModelProperty(value = "是否为草稿，默认为0不是草稿，1为草稿")
    private Integer draft;

    @ApiModelProperty(value = "撤回（默认为0，1为撤回）")
    private Integer withdraw;

    @ApiModelProperty(value = "撤回次数")
    private Integer withdrawNum;

    @ApiModelProperty(value = "是否开启，默认为0开启，1为关闭")
    private Integer open;

    @ApiModelProperty(value = "版本更新标识")
    private Integer version;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    @TableLogic(value = "0",delval = "1")
    private int isDel;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "发布时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date draftTime;

}
