package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 中台后台员工账号表
 * </p>
 *
 * @author chen
 * @since 2022-03-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="HrStaff对象", description="中台后台员工账号表")
public class HrStaff implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "员工主键ID")
    @TableId(value = "staff_id", type = IdType.AUTO)
    private Integer staffId;

    @ApiModelProperty(value = "组织架构id(多个部门id)")
    private List<Integer> staffArchitectureId;

    @ApiModelProperty(value = "绑定账号id")
    private Integer accountId;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    private Integer isDel;


}
