package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商品学科类别关联表
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_mall_discipline")
@ApiModel(value="MallDiscipline对象", description="商品学科类别关联表")
public class MallDiscipline implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商品学科专业关联表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "商品id《hr_mall》")
    private Integer mallId;

    @ApiModelProperty(value = "学科类别id《discipline》")
    private Integer categoryId;

    @ApiModelProperty(value = "专业类id《professional_class》")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id《professional》")
    private Integer professionalId;


}
