package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 商品价格表
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_mall_price")
@ApiModel(value="MallPrice对象", description="商品价格表")
public class MallPrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商品价格主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "结算价类型，0为厂商结算价，1为平台结算价")
    private Integer settlementPriceType;

    @ApiModelProperty(value = "地区id，为省份id，0表示普适地区，默认为0")
    private Integer area;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

    @ApiModelProperty(value = "结算价")
    private BigDecimal settlementPrice;

    @ApiModelProperty(value = "录入类型，0为手动录入，1为折扣价，默认为0")
    private Integer entryType;

    @ApiModelProperty(value = "折扣率")
    private BigDecimal discountRate;

    @ApiModelProperty(value = "商品id《hr_mall》")
    private Integer mallId;


}
