package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商品供应商关联表
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_mall_supplier")
@ApiModel(value="MallSupplier对象", description="商品供应商关联表")
public class MallSupplier implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商品产品类型关联主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "商品id《hr_mall》")
    private Integer mallId;

    @ApiModelProperty(value = "供应商id《hr_supplier》")
    private Integer supplierId;


}
