package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 引用模型-分类表
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ModelReferenceCategory对象", description = "引用模型-分类表")
public class ModelReferenceCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "父id")
    private Integer parentId;

    @ApiModelProperty(value = "系统id")
    @NotNull(message = "系统id不能为空")
    private Integer systemId;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "创建人")
    private Integer accountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "源模型分类表主键(引用id)")
    private Integer copyId;

    @ApiModelProperty(value = "用于前台展示(默认0为展示 1为不展示)")
    private Integer isShow;

    @ApiModelProperty(value = "是否删除")
    @TableLogic
    private Integer isDel;


    @ApiModelProperty(value = "创建人角色(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "子级")
    private transient List<ModelReferenceCategory> children;

}
