package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 引用模型代码记录表
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ModelReferenceDemo对象", description = "引用模型代码记录表")
public class ModelReferenceDemo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "分类id")
    private Integer categoryId;

    @ApiModelProperty(value = "创建人id")
    private Integer accountId;

    @ApiModelProperty(value = "逻辑删除(默认0 1为已删)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "源模型代码记录表主键(引用id)")
    private Integer copyId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;



    @ApiModelProperty(value = "模型名称")
    @TableField(exist = false)
    private String modelName;

    @ApiModelProperty(value = "分类名称")
    @TableField(exist = false)
    private String categoryName;


    @ApiModelProperty(value = "模型代码")
    @TableField(exist = false)
    private String modelDemo;


    @ApiModelProperty(value = "创建人来源(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;

    @ApiModelProperty(value = "学校id(不用传)")
    private Integer schoolId;

    @ApiModelProperty(value = "编辑人id")
    private Integer modifyAccountId;

    @ApiModelProperty(value = "编辑人")
    @TableField(exist = false)
    private String editor;


    @ApiModelProperty(value = "启用状态(0开启 1未开启 默认0)")
    @TableField(exist = false)
    private Integer isOpen;

    @ApiModelProperty(value = "中台端是否开启(0开启,1未开启 默认0)")
    @TableField(exist = false)
    private Integer ztOpen;


    @ApiModelProperty(value = "教师端是否关闭系统当前内置模型(0未关闭 1已关闭)")
    @TableField(exist = false)
    private Integer isClose;


}
