package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 源模型-分类表
 * </p>
 *
 * @author chen
 * @since 2022-03-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ModelSysCategory对象", description = "源模型-分类表")
public class ModelSysCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "父id")
    @NotNull(message = "父id不能为空")
    private Integer parentId;

    @ApiModelProperty(value = "分类名称")
    @NotNull(message = "分类名称不能为空")
    private String categoryName;

    @ApiModelProperty(value = "级别")
    @NotNull(message = "等级不能为空")
    private Integer level;

    @ApiModelProperty(value = "创建人")
    private Integer accountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @ApiModelProperty(value = "创建人角色(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


    @ApiModelProperty(value = "是否开启(0开启,1未开启 默认0)")
    private Integer isOpen;

    @ApiModelProperty(value = "是否删除(0未删除,1已删除 默认0)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "子级")
    private transient List<ModelSysCategory> children;
}
