package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * <p>
 *
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ModelSysDemo对象", description = "")
public class ModelSysDemo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模型名称")
    @NotNull(message = "模型名称不能为空")
    private String modelName;

    @ApiModelProperty(value = "模型代码")
    @NotNull(message = "模型代码不能为空")
    private String modelDemo;

    @ApiModelProperty(value = "分类id")
    @NotNull(message = "分类id不能为空")
    private Integer categoryId;

    @ApiModelProperty(value = "发布状态(0草稿 1发布)")
    @NotNull(message = "发布状态不能为空")
    private Integer postStatus;

    @ApiModelProperty(value = "创建人id")
    private Integer accountId;

    @ApiModelProperty(value = "编辑人id")
    private Integer modifyAccountId;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "最新编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    @ApiModelProperty(value = "创建人来源(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;

    @ApiModelProperty(value = "学校id(不用传)")
    private Integer schoolId;


    @ApiModelProperty(value = "院校端是否开启(0开启,1未开启 默认0)")
    private Integer isOpen;

    @ApiModelProperty(value = "中台端是否开启(0开启,1未开启 默认0)")
    private Integer ztOpen;

    @ApiModelProperty(value = "院校端是否删除(0未删除,1已删除 默认0)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "中台端是否删除(0未删除,1已删除 默认0)")
    private Integer ztDel;


    @ApiModelProperty(value = "编辑人")
    @TableField(exist = false)
    private String modifyName;

    @ApiModelProperty(value = "分类名称")
    @TableField(exist = false)
    private String categoryName;


    @ApiModelProperty(value = "学校名称")
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty(value = "是否为中台操作(1：是)")
    @TableField(exist = false)
    private Integer isAdmin;

}
