package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 消息通知表
 * </p>
 *
 * @author chen
 * @since 2023-05-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_notify")
@ApiModel(value="Notify对象", description="消息通知表")
public class Notify implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "通知id")
    @TableId(value = "notify_id", type = IdType.AUTO)
    private Integer notifyId;

    @ApiModelProperty(value = "消息类型：1、点赞  2、回复 ")
    private Integer type;

    @ApiModelProperty(value = "消息是否已读   0未读  1已读")
    private Integer isRead;

    @ApiModelProperty(value = "评论id")
    private Integer commentId;

    @ApiModelProperty("创建时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "评论账号id")
    private Integer commentAccountId;

}
