package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 合伙人账号表
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_partner_account")
@ApiModel(value="PartnerAccount对象", description="合伙人账号表")
public class PartnerAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "合伙人主键ID")
    @TableId(value = "partner_id", type = IdType.AUTO)
    private Integer partnerId;

    @ApiModelProperty(value = "绑定账号id")
    private Integer accountId;

    @ApiModelProperty(value = "邀请账号")
    private String invitationAccount;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    @TableLogic
    private Integer isDel;

}
