package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @描述：合伙人——文章管理——文章所属分类
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Data
@ApiModel(value = "合伙人——文章管理——文章所属分类")
@TableName("partner_article_classification")
public class PartnerArticleClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "分类名称")
    private String classificationName;

    @ApiModelProperty(value = "创建人id")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    private Integer editorId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "是否删除(默认0未删除；1为已删除)",example = "0")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "类型(1.学习2.资讯)",example = "1")
    private Integer typeId;

    @ApiModelProperty(value = "关联方案id")
    @TableField(exist = false)
    private String schemeId;

    @ApiModelProperty(value = "关联商品id")
    @TableField(exist = false)
    private String mallId;


}