package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 合伙人——方案管理
 * </p>
 *
 * @author chen
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "PartnerSchemeManagement对象", description = "合伙人——方案管理")
public class PartnerSchemeManagement implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键(方案id)")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "文章标题(判重)")
    private String title;

    @ApiModelProperty(value = "是否删除(默认0未删除；1为已删除)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "产品介绍")
    private String product;

    @ApiModelProperty(value = "适用专业")
    private String applicableMajor;

    @ApiModelProperty(value = "是否发布(0:草稿 1:已发布)")
    private Integer isRelease;

    @ApiModelProperty(value = "创建人id")
    private Integer founderId;

    @ApiModelProperty(value = "编辑人id")
    private Integer editorId;

    @ApiModelProperty(value = "方案文件")
    private String schemeFile;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "所属分类(partner_article_classification表外键)")
    private Integer classificationId;

    @ApiModelProperty(value = "是否禁用(0默认，0启用 1禁用)")
    private Integer isDisable;


    @ApiModelProperty(value = "方案简介")
    private String schemeIntroduction;

    @ApiModelProperty(value = "文件名")
    private String fileName;


    @ApiModelProperty(value = "产品")
    @TableField(exist = false)
    private List<PartnerSchemeManagementProductConfig> productList;

}
