package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 合伙人团队表（合伙人账号与分类中间表）
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_partner_team")
@ApiModel(value="PartnerTeam对象", description="合伙人团队表（合伙人账号与分类中间表）")
public class PartnerTeam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "合伙人团队主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "合伙人主键id")
    private Integer partnerId;

    @ApiModelProperty(value = "合伙人分类id")
    private Integer classificationId;

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

    @ApiModelProperty(value = "团队年费")
    private BigDecimal annualTeamFee;

    @ApiModelProperty(value = "市场服务年费")
    private BigDecimal annualMarketingFee;

    @ApiModelProperty(value = "省份名称")
    @TableField(exist = false)
    private String provinceName;

    @ApiModelProperty(value = "团队名称")
    @TableField(exist = false)
    private String teamName;

    @ApiModelProperty(value = "城市名称")
    @TableField(exist = false)
    private String cityName;

    @ApiModelProperty(value = "用户名称")
    @TableField(exist = false)
    private String userName;

    @ApiModelProperty(value = "账号名称")
    @TableField(exist = false)
    private String accountName;

    @ApiModelProperty(value = "是否团队")
    @TableField(exist = false)
    private int isTeam;

    @ApiModelProperty(value = "teamId")
    @TableField(exist = false)
    private Integer teamId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("是否删除(0、未删除 1、已删除)")
    @TableLogic(value = "0",delval = "1")
    private Integer isDel;
}
