package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 幼教产业平台团队账号表
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("k_platform_team_account")
@ApiModel(value="PlatformTeamAccount对象", description="幼教产业平台团队账号表")
public class PlatformTeamAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "manage_id", type = IdType.AUTO)
    private Integer manageId;

    @ApiModelProperty(value = "绑定账号id")
    private Integer accountId;

    @ApiModelProperty(value = "邀请账号")
    private String invitationAccount;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    private Integer isDel;

    @ApiModelProperty(value = "平台id")
    private Integer platformId;


}
