package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 幼教产业平台团队分类表
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("k_platform_team_classification")
@ApiModel(value="PlatformTeamClassification对象", description="幼教产业平台团队分类表")
public class PlatformTeamClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "团队分类名称")
    private String classificationName;

    @ApiModelProperty(value = "父id 一级为0", example = "0", name = "parentId")
    private Integer parentId;

    @ApiModelProperty(value = "层级")
    private Integer level;

    @ApiModelProperty(value = "子级")
    @TableField(exist = false)
    private List<PartnerClassification> children;

    @ApiModelProperty(value = "层级拼接")
    @TableField(exist = false)
    private String splicingLevel;

    @ApiModelProperty(value = "logo_url")
    private String logoUrl;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "是否禁用，默认为0，1为禁用")
    private Integer isEnable;

    @ApiModelProperty(value = "slogan")
    private String slogan;

    @ApiModelProperty(value = "province")
    private String province;

    @ApiModelProperty(value = "city")
    private String city;

    @ApiModelProperty(value = "picture_url")
    private String pictureUrl;

    @ApiModelProperty(value = "qrCode_one_name")
    private String qrCodeOneName;

    @ApiModelProperty(value = "qrCode_one_url")
    private String qrCodeOneUrl;

    @ApiModelProperty(value = "qrCode_two_name")
    private String qrCodeTwoName;

    @ApiModelProperty(value = "qrCode_two_url")
    private String qrCodeTwoUrl;

    @ApiModelProperty(value = "qrCode_three_name")
    private String qrCodeThreeName;

    @ApiModelProperty(value = "qrCode_three_name")
    private String qrCodeThreeUrl;

    @ApiModelProperty(value = "qrCode_three_name")
    private String phone;

    @ApiModelProperty(value = "简介")
    private String briefIntroduction;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "逻辑删除")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "是否为团队（默认0不是团体，1为团队）")
    private Integer isTeam;

    @ApiModelProperty(value = "团队主键id")
    @TableField(exist = false)
    private Integer manageId;


}
