package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 产品分类表
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hr_product_classification")
@ApiModel(value="ProductClassification对象", description="产品分类表")
public class ProductClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商城产品分类主键id")
    @TableId(value = "classification_id", type = IdType.AUTO)
    private Integer classificationId;

    @ApiModelProperty(value = "分类名称")
    private String classificationName;


}
