package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 学校表
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Data
@TableName("school")
public class School implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学校主键id
     */
    @TableId(value = "school_id", type = IdType.AUTO)
    private Integer schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 绑定省份Id
     */
    private Integer provinceId;

    /**
     * 绑定城市Id
     */
    private Integer cityId;

    /**
     * 学历(1、本科 2、大专 3、高职 4、中专 5、其他)
     */
    private Integer level;

    /**
     * 是否删除(0、未删除 1、已删除)
     */
    @TableLogic
    private String isDel;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市名称
     */
    private String cityName;


}
