package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 服务配置表
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("service_configuration")
public class ServiceConfiguration implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Integer id;

    /**
     * 系统id
     */
    @ApiModelProperty(value = "系统id",required = false)
    private String systemId;

    /**
     * 系统名称
     */
    @ApiModelProperty(value = "系统名称",required = false)
    private String systemName;

    /**
     * 系统类型
     */
    @ApiModelProperty(value = "系统类型(0编程类 1流程类)")
    private Integer type;

    /**
     * 系统归属
     */
    @ApiModelProperty(value = "系统归属(0内部产品 1外部产品)")
    private Integer belong;

    /**
     * 系统状态(0 进行中 默认0)
     */
    @ApiModelProperty(value = "系统状态(0 进行中 默认0)")
    private Integer state;

    /**
     * 是否删除(0未删除 1已删除 默认0)
     */
    @ApiModelProperty(value = "是否删除(0未删除 1已删除 默认0)")
    @TableLogic(value = "0",delval = "1")
    private Integer isDel;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;

    @ApiModelProperty(value = "供应商id")
    private Integer supplierId;

    @ApiModelProperty(value = "供应商名称")
    @TableField(exist = false)
    private String supplierName;

}