package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 供应商分类信息
 * </p>
 *
 * @author chen
 * @since 2023-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SupplierSupplierClassification对象", description = "供应商分类信息")
public class SupplierClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分类主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "分类名称")
    private String classificationName;

    @ApiModelProperty(value = "父id")
    private Integer parentId;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "创建人Id")
    private Integer accountId;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "是否删除(0未删除 1已删除 默认0)")
    private Integer isDel;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


    
    @ApiModelProperty(value = "子分类集合")
    @TableField(exist = false)
    private List<SupplierClassification> children;



}
