/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.entity.app.dto;

 
import com.huoran.common.entity.UserAccount;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 订单下的每个店铺
 *
 * @author YaMi
 */
@Data
public class OrderShopDto implements Serializable {

    /**
     * 店铺ID
     **/
    @ApiModelProperty(value = "店铺id" , required = true)
    private Integer shopId;

    @ApiModelProperty(value = "采购人" , hidden = true)
    private String purchasingPerson;

    @ApiModelProperty(value = "采购人联系方式" , hidden = true)
    private String phone;

    @ApiModelProperty(value = "幼儿园" , hidden = true)
    private String kindergarten;

    @ApiModelProperty(value = "是否认证" , hidden = true)
    private String authentication;

    @ApiModelProperty(value = "店铺logo" , hidden = true)
    private String shopLogo;

    @ApiModelProperty(value = "订单类型：1为个人、2为组织")
    private Integer orderType;

    /**
     * 店铺名称
     **/
    @ApiModelProperty(value = "店铺名称" , required = true)
    private String shopName;

    @ApiModelProperty(value = "实际总值" , required = true)
    private Double actualTotal;

    @ApiModelProperty(value = "商品总值" , required = true)
    private Double total;

    @ApiModelProperty(value = "商品总数" , required = true)
    private Integer totalNum;

    @ApiModelProperty(value = "地址Dto" , required = true)
    private UserAddrDto userAddrDto;

    @ApiModelProperty(value = "产品信息" , required = true)
    private List<OrderItemDto> orderItemDtos;

    @ApiModelProperty(value = "运费" , required = true)
    private Double transfee;

    @ApiModelProperty(value = "优惠总额" , required = true)
    private Double reduceAmount;

    @ApiModelProperty(value = "促销活动优惠金额" , required = true)
    private Double discountMoney;

    @ApiModelProperty(value = "优惠券优惠金额" , required = true)
    private Double couponMoney;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "订单创建时间" , required = true)
    private Date createTime;

    /**
     * 订单备注信息
     */
    @ApiModelProperty(value = "订单备注信息" , required = true)
    private String remarks;

    /**
     * 订单状态
     */
    @ApiModelProperty(value = "订单状态" , required = true)
    private Integer status;
}
