/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.entity.app.param;

 
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lanhai
 */
@Data
public class ProdCommParam {
    /**
     * 商品ID
     */
    @ApiModelProperty(value = "商品id" )
    private Integer prodId;
    /**
     * 订单项ID
     */
    @ApiModelProperty(value = "订单项ID" )
    private Long orderItemId;

    /**
     * 评价，0-5分
     */
    @ApiModelProperty(value = "评价，0-5分" ,required=true)
    @NotNull(message = "评价不能为空")
    private Integer score;

    @ApiModelProperty(value = "评论内容" ,required=true)
    private String content;

    @ApiModelProperty(value = "评论图片, 用逗号分隔" )
    private String pics;

    /**
     * 是否匿名(1:是  0:否)
     */
    @ApiModelProperty(value = "是否匿名(1:是  0:否) 默认为否" )
    private Integer isAnonymous;


    @ApiModelProperty(value = "* 评价(0好评 1中评 2差评)" )
    private Integer evaluate;

}
