/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.entity.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lanhai
 */
@Data
@TableName("tz_sku")
public class Sku implements Serializable {
    /**
     * 单品ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "单品ID")
    private Integer skuId;

    /**
     * 商品ID
     */
    @ApiModelProperty(value = "商品ID")
    private Integer prodId;

    /**
     * 销售属性组合字符串,格式是p1:v1;p2:v2
     */
    @ApiModelProperty(value = "销售属性组合字符串,格式是p1:v1;p2:v2")
    private String properties;

    /**
     * 原价
     */
    @ApiModelProperty(value = "原价")
    private Double oriPrice;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;

    /**
     * 库存
     */
    @ApiModelProperty(value = "库存")
    private Integer stocks;

    /**
     * 实际库存
     */
    @ApiModelProperty(value = "实际库存")
    private Integer actualStocks;

    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    /**
     * 记录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "记录时间")
    private Date recTime;

    /**
     * 商家编码
     */
    @ApiModelProperty(value = "商家编码",hidden = true)
    private String partyCode;

    /**
     * 商品条形码
     */
    @ApiModelProperty(value = "商品条形码",hidden = true)
    private String modelId;

    /**
     * sku图片
     */
    @ApiModelProperty(value = "sku图片")
    private String pic;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String prodName;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    /**
     * 重量
     */
    @ApiModelProperty(value = "重量",hidden = true)
    private Double weight;

    /**
     * 体积
     */
    @ApiModelProperty(value = "体积",hidden = true)
    private Double volume;

    /**
     * 状态：0禁用 1 启用
     */
    @ApiModelProperty(value = "状态：0禁用 1 启用")
    private Integer status;

    /**
     * 0 正常 1 已被删除
     */
    @ApiModelProperty(value = "0 正常 1 已被删除")
    private Integer isDelete;

}
