package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "复制模型所需参数", description = "复制模型所需参数")
public class CopyTheModelToTheNakadaiReq {

    @ApiModelProperty(value = "模型名称")
    @NotNull(message = "模型名称不能为空")
    private String modelName;

    @ApiModelProperty(value = "要复制到中台的哪个分类ID下(分类id)")
    @NotNull(message = "分类id不能为空")
    private Integer categoryId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "账号id(不用传，能通过token解析)")
    private Integer accountId;

    @ApiModelProperty(value = "当前被复制的院校的模型Id")
    private Integer beCopiedModelId;
}
