package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
//@Data
@Getter
@Setter
@TableName("customer")
public class CustomerListReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "customer_id", type = IdType.AUTO)
    @ApiModelProperty("主键ID")
    private Integer customerId;

    /**
     * 国家
     */
    @ApiModelProperty("国家")
    private String countries;

    /**
     * 省份ID
     */
    @ApiModelProperty("省份ID")
    private Integer provinceId;

    /**
     * 城市ID
     */
    @ApiModelProperty("城市ID")
    private Integer cityId;

    @TableField(exist = false)
    private Integer page;

    @TableField(exist = false)
    private Integer size;

    @ApiModelProperty("搜索内容")
    private String searchContent;

    @ApiModelProperty(value = "供应商id", required = false)
    @TableField(exist = false)
    private String supplierId;

    @ApiModelProperty(value = "客户id", hidden = true)
    @TableField(exist = false)
    private List<Integer> customerIds;


    @ApiModelProperty(value = "要导出的客户id")
    @TableField(exist = false)
    private List<Integer> exportCustomerIds;

    @ApiModelProperty("客户类型(1、正式 2、试用 3、到期)")
    private Integer customerType;

}
