package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 企业认证审核
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Data
@ApiModel(value = "EnterpriseCertification对象", description = "企业认证审核列表请求参数")
public class EnterpriseCertificationLIstReq {


    @ApiModelProperty(value = "关键字")
    private String keyWord;

    @ApiModelProperty(value = "开始提交时间")
    private String startCommitTime;

    @ApiModelProperty(value = "结束提交时间")
    private String endCommitTime;

    @ApiModelProperty(value = "审核状态(0默认待审核，1通过，2驳回)")
    private Integer auditStatus;


    @ApiModelProperty(value = "认证状态(0默认未认证 1.认证中2.已认证)")
    private Integer authenticationStatus;

    @ApiModelProperty(value = "来源区分(5:幼儿园，6：供应商)")
    private String platformSource;


    @ApiModelProperty(value = "账号")
    private String account;


    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "供应商分类id")
    private Integer supplierClassificationId;

    /*@ApiModelProperty(value = "供应商分类名称")
    private String supplierClassificationName;*/

    @ApiModelProperty(value = "当前页数", name = "pageNum", example = "1", required = true)
    private Integer pageNum;
    @ApiModelProperty(value = "当前页需要显示的数量", name = "pageSize", example = "10", required = true)
    private Integer pageSize;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "是否关注(0未关注 1已关注)")
    @TableField(exist = false)
    private Integer whetherAttention;

}
