package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GoodsListReq {
    @ApiModelProperty(value = "产品名称", example = "xxx")
    private String productName;

    @ApiModelProperty(value = "上下架（0为上架）")
    private Integer isShelves;

    @ApiModelProperty(value = "商品精选（1为精选）")
    private Integer selection;

    @ApiModelProperty(value = "购买状态（1已购买，2未购买）")
    private Integer purchaseStatus;

    @ApiModelProperty(value = "排序（0创建时间倒序，1按订单量来排序所有产品，2按照上架时间倒排序，3按照精选排序，4按照不精选排序,5按照上架时间顺排序）")
    private Integer sort;

    @ApiModelProperty(value = "产品分类", example = "1")
    private Integer productClassification;

    @ApiModelProperty(value = "产品类型", example = "1")
    private Integer productType;

    @ApiModelProperty(value = "热门标签（默认传1，2（查询标签不为空的产品）", example = "1")
    private Integer hotTag;

    @ApiModelProperty(value = "标签id", example = "1")
    private Integer tagId;

    @ApiModelProperty(value = "学科类别id", example = "1")
    private Integer categoryId;

    @ApiModelProperty(value = "专业类id", example = "1")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id", example = "1")
    private Integer professionalId;

    @ApiModelProperty(value = "1为查询关联产品的商品（只查询实训课程和理论课程，中台赛事内容传值）", example = "1")
    private Integer isAssociatedProduct;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页数")
    private Integer pageSize;

    @ApiModelProperty(value = "学校id",hidden = true)
    private Integer schoolId;

    @ApiModelProperty(value = "学校id",hidden = true)
    private Integer schoolPurchaseSign;

    @ApiModelProperty(value = "商品id",hidden = true)
    private List<Integer> mallIds;

    @ApiModelProperty(value = "官网商品id")
    private String websiteMallId;
}
