package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 课程管理
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "筛选课程所需参数", description = "筛选课程所需参数")
public class PageCurriculumReq extends PageReq {

    @ApiModelProperty(value = "创建人id", hidden = true)
    private Integer accountId;

    @ApiModelProperty(value = "课程名称", example = "小贷业务实训课程")
    private String curriculumName;

    @ApiModelProperty(value = "课程类别(0->理论 1-实训)", example = "0")
    private Integer curriculumType;

    @ApiModelProperty(value = "学科类别id", example = "1")
    private Integer categoryId;

    @ApiModelProperty(value = "专业类id", example = "1")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id", example = "1")
    private Integer professionalId;

    @ApiModelProperty(value = "是否启用（0启用，1未启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "上下架（0下架 1上架 默认 1）")
    private Integer isShelves;

    @ApiModelProperty(value = "供应商id",required = false)
    private String supplierId;

    @ApiModelProperty(value = "权限id",required = false)
    private Integer permissions;

    @ApiModelProperty(value = "课程ids")
    private List<Integer> cIds;

}
