package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "筛选模型所需参数", description = "筛选模型所需参数")
public class PageImportModelReq extends PageReq {

    @ApiModelProperty(value = "模型名称")
    private String modelName;

    @ApiModelProperty(value = "分类id")
    private Integer categoryId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;


    @ApiModelProperty(value = "创建人来源(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;

    @ApiModelProperty(value = "是否为中台用户", hidden = true)
    private Integer isAdmin;

    @ApiModelProperty(value = "用于导入筛选启用状态(0开启 1未开启 默认0)")
    private Integer isOpen;
}
