package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "筛选模型所需参数", description = "筛选模型所需参数")
public class PageModelReq extends PageReq {

    @ApiModelProperty(value = "模型名称")
    private String modelName;

    @ApiModelProperty(value = "分类id")
    @NotNull(message = "分类id不能为空")
    private Integer categoryId;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;


    @ApiModelProperty(value = "创建人来源(0、系统 1、院校)")
    @NotNull(message = "创建人来源传值不能为空")
    private Integer founder;


    @ApiModelProperty(value = "发布状态(0草稿 1发布)")
    private Integer postStatus;

    @ApiModelProperty(value = "是否开启(默认0启用 1禁用)", example = "0")
    private Integer isOpen;


    @ApiModelProperty(value = "中台端是否开启(0开启,1未开启 默认0)")
    private Integer ztOpen;


    @ApiModelProperty(value = "是否为中台用户",hidden = true)
    private Integer isAdmin;
}
