package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：合伙人——文章管理
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Data
@ApiModel(value = "合伙人——文章管理分页请求参数")
public class PagePartnerArticleManagementReq extends PageReq {


    @ApiModelProperty(value = "文章id")
    private Integer contentId;

    @ApiModelProperty(value = "文章标题")
    private String title;

    @ApiModelProperty(value = "创建人")
    private String founderName;

    @ApiModelProperty(value = "编辑人")
    private String editorName;

    @ApiModelProperty(value = "所属分类排序(升序:asc 倒序:desc)")
    private String classificationNameSort;


    @ApiModelProperty(value = "文章名排序(升序:asc 倒序:desc)")
    private String articleNameSort;


    @ApiModelProperty(value = "所属分类Id")
    private Integer classificationId;

    @ApiModelProperty(value = "编辑时间排序(升序:asc 倒序:desc)")
    private String editTimeSort;

    @ApiModelProperty(value = "发布日期排序(升序:asc 倒序:desc)")
    private String releaseDateSort;

    @ApiModelProperty(value = "创建时间排序(升序:asc 倒序:desc)")
    private String createTimeSort;

    @ApiModelProperty(value = "序号排序(升序:asc 倒序:desc)")
    private String sequenceSort;


    @ApiModelProperty(value = "置顶排序(升序:asc 倒序:desc)")
    private String topSort;

    @ApiModelProperty(value = "序号")
    private Integer sequence;

    @ApiModelProperty(value = "类型(1.学习2.资讯)")
    private Integer typeId;


    /**
     * 关键词(小程序条件查询使用)
     */
    @ApiModelProperty(value = "关键词(小程序条件查询使用)")
    private String keyWord;

    /**
     * 中台、小程序共用 用此字段区分 取决于sys_platform表中的平台id
     */
    @ApiModelProperty(value = "查询来源(3.中台 4.合伙人小程序) 取自:sys_platform表中的平台id")
    private Integer querySource;

    @ApiModelProperty(value = "账号id",hidden = true)
    private Integer accountId;

}