package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/5/18 16:54
 * @Version 1.0
 */
@Data
@ApiModel(value = "PartnerAccountAddReq对象", description = "新增合伙人账号")
public class PartnerAccountAddReq {

    @ApiModelProperty(value = "accountId，账号id")
    private String id;

    @ApiModelProperty(value = "手机验证码")
    private String code;

    //----------------------------用户表相关字段Start----------------------------
    @ApiModelProperty(value = "用户姓名", example = "example")
    @NotNull(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号", example = "example")
    @NotNull(message = "唯一标识账号不能为空")
    private String uniqueIdentification;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "分类id")
    private Integer partnerClassificationId;

    @ApiModelProperty(value = "账号角色信息，新增默认分配")
    private List<Integer> roleList;

    //----------------------------用户表相关字段End----------------------------

    //----------------------------账户表相关字段Start----------------------------
    @ApiModelProperty(value = "新增账号")
    private String account;

    @ApiModelProperty(value = "工号")
    private String workNumber;
    //----------------------------账户表相关字段End----------------------------

    @ApiModelProperty(value = "是否为团队（0为分类或成员（团队之上为分类，之下为成员），1为团队）")
    private Integer isTeam;

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;
}
