package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/5/18 17:18
 * @Version 1.0
 */
@Data
public class PartnerAccountUpdateReq {

    @ApiModelProperty(value = "合伙人id")
    private Integer partnerId;

    @ApiModelProperty(value = "合伙人账号id", example = "503")
    private Integer accountId;

    @ApiModelProperty(value = "合伙人分类id(多个团队id)")
    private List<Integer> partnerClassificationId;

    @ApiModelProperty(value = "账号", example = "90000")
    private String account;

    @ApiModelProperty(value = "用户姓名", example = "遛遛")
    private String userName;

    @ApiModelProperty(value = "工号", example = "90000")
    private String workNumber;

    @ApiModelProperty(value = "电话", example = "17788771965")
    private String phone;

    @ApiModelProperty(value = "邮箱", example = "17788771965@qq.com")
    private String email;

    @ApiModelProperty(value = "账号角色信息")
    @NotNull(message = "账号角色不能为空")
    private List<Integer> roleList;
}
