package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;

/**
 * @Author chen
 * @DATE 2022/5/18 17:15
 * @Version 1.0
 */
@Data
public class PlatformTeamAccountListReq {

    @ApiModelProperty(value = "类型:必填一个(1.有团队 2.未加入团队)", required = true, example = "1")
    private Integer type;

    @ApiModelProperty(value = "搜索关键词", example = "1")
    private String keyWord;

    @ApiModelProperty(value = "分类主键ID", example = "2")
    @NotNull(message = "先选择分类/团队进行查询！")
    private String classificationId;

    @ApiModelProperty(value = "平台ID", example = "5")
    @NotNull(message = "平台ID不能为空")
    private String platformId;

    @ApiModelProperty(value = "当前页数", name = "pageNum", example = "1", required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "当前页需要显示的数量", name = "pageSize", example = "10", required = true)
    private Integer pageSize;

    //合伙人id
    private ArrayList<Integer> ids;
}
