package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/3/22 14:41
 * @Version 1.0
 */
@Data
@ApiModel(value = "StaffAddReq对象", description = "新增员工")
public class StaffAddReq {
    @ApiModelProperty(value = "绑定账号id", hidden = true)
    private Integer accountId;

    //----------------------------用户表相关字段Start----------------------------
    @ApiModelProperty(value = "用户姓名", example = "example")
    @NotNull(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号", example = "example")
    @NotNull(message = "唯一标识账号不能为空")
    private String uniqueIdentification;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "账号角色信息")
    @NotNull(message = "账号角色不能为空")
    private List<Integer> roleList;

    @ApiModelProperty(value = "组织架构id(多个部门id)")
    private List<Integer> staffArchitectureId;

    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;

    //----------------------------用户表相关字段End----------------------------

    //----------------------------账户表相关字段Start----------------------------
    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "工号")
    private String workNumber;
    //----------------------------账户表相关字段End----------------------------
}
