package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/3/22 17:35
 * @Version 1.0
 */
@Data
public class StaffUpdateReq {

    @ApiModelProperty(value = "员工id")
    private Integer staffId;

    @ApiModelProperty(value = "员工账号id", example = "503")
    private Integer accountId;

    @ApiModelProperty(value = "组织架构id(多个部门id)")
    private List<Integer> staffArchitectureId;

    @ApiModelProperty(value = "账号", example = "90000")
    private String account;

    @ApiModelProperty(value = "用户姓名", example = "遛遛")
    private String userName;

    @ApiModelProperty(value = "工号", example = "90000")
    private String workNumber;

    @ApiModelProperty(value = "电话", example = "17788771965")
    @TableField(strategy = FieldStrategy.IGNORED)
    private String phone;

    @ApiModelProperty(value = "邮箱", example = "17788771965@qq.com")
    @TableField(strategy = FieldStrategy.IGNORED)
    private String email;

    @ApiModelProperty(value = "账号角色信息")
    @NotNull(message = "账号角色不能为空")
    private List<Integer> roleList;

}
