package com.huoran.nakadai.entity.res;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "营业执照OCR文件识别")
public class BusinessLicenseOCRResp {

    /*@ApiModelProperty(value = "配置字符串信息")
    private String config_str;*/



    @ApiModelProperty(value = "#统一社会信用代码或注册号，没有识别出来时返回FailInRecognition")
    private String reg_num;

    @ApiModelProperty(value = "公司名称，没有识别出来时返回FailInRecognition")
    private String name;

    @ApiModelProperty(value = "公司类型，没有识别出来时返回FailInRecognition")
    private String type;


    @ApiModelProperty(value = "公司法人，没有识别出来时返回FailInRecognition")
    private String person;


    @ApiModelProperty(value = "公司注册日期(例：证件上为2014年04月16日，算法返回20140416")
    private String establish_date;

    @ApiModelProperty(value = "公司营业期限终止日期(例：证件上为2014年04月16日至2034年04月15日，算法返回20340415)")
    private String valid_period;

    @ApiModelProperty(value = "公司地址，没有识别出来时返回FailInRecognition")
    private String address;


    @ApiModelProperty(value = "注册资本，没有识别出来时返回FailInRecognition")
    private String capital;


    @ApiModelProperty(value = "经营范围，没有识别出来时返回FailInRecognition")
    private String business;


/*    @ApiModelProperty(value = "国徽位置［top,left,height,width］，没有识别出来时返回FailInDetection")
    private String emblem;*/






    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "识别结果，true表示成功，false表示失败")
    private Boolean success;



}
