package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "商务经理订单列表", description = "商务经理订单列表")
public class BusinessManagerOrderResp {



    @ApiModelProperty(value = "商务经理id(partner_id)")
    private Integer businessManagerId;

    @ApiModelProperty(value = "订单id")
    private Integer orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNumber;

    @ApiModelProperty(value = "产品内容")
    private String productName;

    @ApiModelProperty(value = "绑定客户id")
    private Integer customerId;


    @ApiModelProperty(value = "订单类型(1、正式 2、试用)")
    private Integer orderType;

    @ApiModelProperty(value = "订单状态(1、待发货 2、已完成 3、已取消)")
    private Integer orderStatus;

    @ApiModelProperty(value = "订单性质(1、初签 2、续签)")
    private Integer orderNature;

    @ApiModelProperty(value = "总金额")
    private BigDecimal orderAmount;

    @ApiModelProperty(value = "订单时间")
    @TableField(fill = FieldFill.INSERT)
//    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createTime;


}
