package com.huoran.nakadai.entity.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class CommentRes {

    @ApiModelProperty(value = "评论id")
    private Integer commentId;

    @ApiModelProperty(value = "父id")
    private Integer pid;

    @ApiModelProperty(value = "回复用户id")
    private Integer replyAccountId;

    @ApiModelProperty(value = "回复用户名称")
    private String replyUsername;

    @ApiModelProperty(value = "回复评论账号名称头像")
    private String replyUserAvatars;

    @ApiModelProperty(value = "回复评论账号角色",hidden = true)
    private String replyRoleName;

    @ApiModelProperty(value = "回复评论账号老师标识")
    private Integer teacherIDOfReplyAccount;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "状态：1评论未读，2评论已读，3回复未读，4回复已读")
    private Integer status;

    @ApiModelProperty("创建时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private Integer createAccountId;

    @ApiModelProperty(value = "创建人名称")
    private String createUsername;

    @ApiModelProperty(value = "创建人账号名称头像")
    private String createUserAvatars;

    @ApiModelProperty(value = "创建人账号角色",hidden = true)
    private String createRoleName;

    @ApiModelProperty(value = "创建人账号老师标识")
    private Integer teacherIDOfCreateAccount;

    @ApiModelProperty(value = "课程id")
    private Integer mallId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "当前登录id")
    private String currentAccountId;

    @ApiModelProperty(value = "当前登录角色")
    private String currentRoleName;

    @ApiModelProperty(value = "点赞数量")
    private Integer likeCount;

    @ApiModelProperty(value = "层级")
    private Integer level;

    @ApiModelProperty(value = "是否点赞，0未点赞，1点赞")
    private Integer isLike;

    @ApiModelProperty(value = "下级评论")
    private List<CommentRes> children;

}
