package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.huoran.nakadai.entity.Customer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
public class ContractInformationsRes implements Serializable {

        //合同信息主键id
        @ApiModelProperty("合同信息主键id")
        private Integer contractId;
        //合同名称
        @ApiModelProperty("合同名称")
        private String contractName;
        //合同编号
        @ApiModelProperty("合同编号")
        private String contractNumber;
        //合同金额
        @ApiModelProperty("合同金额")
        private String contractMoney;
        //合同文件链接
        @ApiModelProperty("合同文件链接")
        private String contractFile;
        //绑定订单id
        @ApiModelProperty("绑定订单id")
        private Integer orderId;

        @ApiModelProperty("合同期限（起）")
        private Date startTime;

        @ApiModelProperty("合同期限（止）")
        private Date endTime;

        @ApiModelProperty("数据产品或课程id")
        private Integer dataOrCourseId;

        @ApiModelProperty("数据产品或课程名称")
        private String dataOrCourseName;

        @ApiModelProperty("区分权限（0为数据平台权限，1为课程权限）")
        private Integer authority;

}
