package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 课程管理
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Curriculum对象", description = "课程管理")
public class CurriculumRes {


    @ApiModelProperty(value = "主键")
    @TableId(value = "cid", type = IdType.AUTO)
    private Integer cid;

    @ApiModelProperty(value = "课程名称")
    private String curriculumName;

    @ApiModelProperty(value = "课程类别(0->理论 1-实训)")
    private Integer curriculumType;

    @ApiModelProperty(value = "预计课时")
    private String expectedCourse;

    @ApiModelProperty(value = "订单量")
    private Integer orderVolume;

    @ApiModelProperty(value = "是否上架(默认0上架 1为下架)")
    private Integer isEnable;

    @ApiModelProperty(value = "配置的实训应用")
    private String sysName;

    @ApiModelProperty(value = "创建人")
    private String userName;

    @ApiModelProperty(value = "系统id")
    private String sysId;

    @ApiModelProperty(value = "市场价格")
    private String marketPrice;

    @ApiModelProperty(value = "结算方式，0为单价，1为分成")
    private String settlementMethod;

    @ApiModelProperty(value = "供应厂商")
    private String supplier;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "结算单价")
    private BigDecimal settlementPrice;

    @ApiModelProperty(value = "商务占比")
    private String businessProportion;

    @ApiModelProperty(value = "厂商占比")
    private String manufacturerProportion;

    @ApiModelProperty(value = "小程序图片地址")
    private String miniProgramPictureAddress;

    @ApiModelProperty(value = "上下架（0下架 1上架 默认 1）")
    private Integer isShelves;

    @ApiModelProperty(value = "关联产品标识")
    private boolean associatedProductIdentification;
}
