package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.huoran.nakadai.entity.Customer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("customer")
public class CustomerDetailRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("客户id")
    @TableId(value = "customer_id", type = IdType.AUTO)
    private Integer customerId;

    @ApiModelProperty("客户对象")
    private CustomerRes customer;

    @ApiModelProperty("合同详细")
    private List<ContractInformationsRes> contractInformations;

    @ApiModelProperty("课程权限")
    private List<CoursePermissionssRes> coursePermissionss;

    @ApiModelProperty("数据平台权限")
    private List<DataPermissionssRes> dataPermissionss;

}
