package com.huoran.nakadai.entity.res;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("customer")
public class CustomerListRes implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1", isImportField = "rownum", width = 30)
    private Integer rownum;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(value = "customer_id", type = IdType.AUTO)
    private Integer customerId;

    /**
     * 国家
     */
    @ApiModelProperty("国家")
    private String countries;





    /**
     * 客户名称(学校名称)
     */
    @ApiModelProperty("客户名称(学校名称)")
    @Excel(name = "客户名称", orderNum = "2", isImportField = "customerName", width = 30)
    private String customerName;

    /**
     * 绑定行业ID
     */
    @ApiModelProperty("绑定行业ID")
    private Integer industryId;

    /**
     * 行业
     */
    @ApiModelProperty("行业")
    @Excel(name = "行业", orderNum = "3", isImportField = "industryName", width = 30)
    private String industryName;

    @ApiModelProperty("客户类型(1、正式 2、试用 3、到期)")
    @Excel(name = "客户类型", orderNum = "4", isImportField = "customerTypeStr", width = 30)
    private String customerTypeStr;



    /**
     * 省份
     */
    @ApiModelProperty("省份")
    @Excel(name = "省份", orderNum = "5", isImportField = "provinceName", width = 30)
    private String provinceName;

    /**
     * 城市ID
     */
    @ApiModelProperty("城市")
    @Excel(name = "城市", orderNum = "6", isImportField = "cityName", width = 30)
    private String cityName;

    /**
     * 联系人姓名
     */
    @ApiModelProperty("联系人姓名")
    @Excel(name = "联系人", orderNum = "7", isImportField = "name", width = 30)
    private String name;

    /**
     * 账号
     */
    @ApiModelProperty("账号")
    @Excel(name = "账号", orderNum = "8", isImportField = "account", width = 30)
    private String account;

    @ApiModelProperty("登录次数")
    @Excel(name = "登录次数", orderNum = "9", isImportField = "loginNumber", width = 30)
    @TableField(exist = false)
    private String loginNumber;

    @ApiModelProperty("学校id")
    private Integer schoolId;


    @ApiModelProperty("联系人")
    private String   contacts;

    @ApiModelProperty("产品到期时间")
    private String   expireDate;

    @ApiModelProperty("客户类型(1、正式 2、试用 3、到期)")
    private Integer customerType;



}
