package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("customer")
public class CustomerRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    @TableId(value = "customer_id", type = IdType.AUTO)
    private Integer customerId;

    /**
     * 国家
     */
    @ApiModelProperty("国家")
    private String countries;


    @ApiModelProperty("省份名称")
    private String provinceName;


    @ApiModelProperty("城市名")
    private String cityName;



    /**
     * 客户类型(1、正式 2、试用 3、到期)
     */
    @ApiModelProperty("客户类型(1、正式 2、试用 3、到期)")
    private Integer customerType;

    /**
     * 省份ID
     */
    @ApiModelProperty("省份ID")
    private Integer provinceId;

    /**
     * 城市ID
     */
    @ApiModelProperty("城市ID")
    private Integer cityId;

    /**
     * 到期时间
     */
    @ApiModelProperty("到期时间")
    private Date expireDate;

    /**
     * 客户名称(学校名称)
     */
    @ApiModelProperty("客户名称(学校名称)")
    private String customerName;


    @ApiModelProperty("学校名称")
    private String schoolName;

    /**
     * 绑定行业ID
     */
    @ApiModelProperty("绑定行业ID")
    private Integer industryId;

    /**
     * 绑定行业类ID
     */
    @ApiModelProperty("绑定行业类ID")
    private Integer industryClassId;

    @ApiModelProperty("行业类名")
    @TableField(exist = false)
    private String industryClassName;

    @ApiModelProperty("行业名")
    @TableField(exist = false)
    private String industryName;

    @ApiModelProperty("绑定学校ID")
    private Integer schoolId;

    /**
     * 行业
     */
    @ApiModelProperty("行业")
    private String industry;

    /**
     * 联系人姓名
     */
    @ApiModelProperty("联系人姓名")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String phone;

    /**
     * 职务
     */
    @ApiModelProperty("职务")
    private String position;

    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("账号")
    private String account;

    /**
     * 是否删除(0、未删除 1、已删除)
     */
    @ApiModelProperty("是否删除(0、未删除 1、已删除)")
    private Integer isDel;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
