package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
public class DataPermissionssRes implements Serializable {

    //数据平台权限主键id
    @ApiModelProperty("数据平台权限主键id")
    private Integer id;
    //产品名称
    @ApiModelProperty("产品名称")
    private String productName;
    //使用期限
    @ApiModelProperty("使用期限")
    private Integer periodOfUse;
    //市场价
    @ApiModelProperty("市场价")
    private double marketValue;
    //交易价格
    @ApiModelProperty("交易价格")
    private double finalPrice;
    //折扣率
    @ApiModelProperty("折扣率")
    private String discountRate;
    //绑定端口地址id
    @ApiModelProperty("绑定端口地址id")
    private Integer portId;
    //是否发货
    @ApiModelProperty("是否发货")
    private Integer ship;
    //绑定数据平台id
    @ApiModelProperty("绑定数据平台id")
    private Integer dataOrCourseId;
    //绑定订单id
    @ApiModelProperty("绑定订单id")
    private Integer orderId;

    //起始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("起始时间")
    private Date startTime;

    //结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private Date endTime;

    //剩余期限
    @ApiModelProperty("剩余期限")
    private Integer remainingPeriod;

    //账号数
    @ApiModelProperty("账号数")
    private Integer accountNum;

    //总金额
    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("是否开启（0不开启，1开启，发货后，默认开启）")
    private Integer isEnable;

    @ApiModelProperty(value = "使用期限单位选择0日，1月，2年")
    private Integer options;

}
