package com.huoran.nakadai.entity.res;

import com.huoran.nakadai.entity.MallNonAssociatedLinks;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class GoodsRes implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "商品id")
    private Integer mallId;

    @ApiModelProperty(value = "产品类型")
    private String typeName;

    @ApiModelProperty(value = "厂商名称")
    private String supplierName;

    @ApiModelProperty(value = "关联产品名称")
    private String associatedProductName;

    @ApiModelProperty(value = "关联产品id")
    private String associatedProduct;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "编辑人")
    private String userName;

    @ApiModelProperty(value = "精选")
    private Integer selected;

    @ApiModelProperty(value = "上架状态")
    private Integer isShelves;

    @ApiModelProperty(value = "学习次数")
    private Integer learningCount;

    @ApiModelProperty(value = "订单量")
    private Integer orderQuantity;

    @ApiModelProperty(value = "学科")
    private String disciplineName;

    @ApiModelProperty(value = "专业类")
    private String professionalClassName;

    @ApiModelProperty(value = "专业")
    private String professionalName;

    @ApiModelProperty(value = "上架时间")
    private Date shelfTime;

    @ApiModelProperty(value = "市场建议单价")
    private BigDecimal marketUnitPrice;

    @ApiModelProperty(value = "我校标识")
    private boolean logoOfOurSchool;

    @ApiModelProperty(value = "封面图")
    private String coverDrawing;

    @ApiModelProperty(value = "界面图（支持上传4张，使用逗号分隔）")
    private String interfaceDiagram;

    @ApiModelProperty(value = "小程序图标")
    private String appletIcon;

    @ApiModelProperty(value = "产品简介")
    private String productIntroduction;

    @ApiModelProperty(value = "产品分类")
    private String classificationName;

    @ApiModelProperty(value = "产品分类id")
    private Integer classificationId;

    @ApiModelProperty(value = "产品标签")
    private String tagsName;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "是否关联产品，默认为0关联，1不关联   (0表示平台官方)")
    private Integer isAssociatedProduct;

    @ApiModelProperty(value = "产品链接")
    private List<MallNonAssociatedLinks> mallNonAssociatedLinks;

}
