package com.huoran.nakadai.entity.res;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "身份证OCR文件识别")
public class IdCardOCRResp {
    @ApiModelProperty(value = "地址信息")
    private String address;

    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "身份证号码")
    private String num;

    @ApiModelProperty(value = "民族")
    private String nationality;

    @ApiModelProperty(value = "配置信息，同输入configure")
    private String config_str;

    @ApiModelProperty(value = "返回信息")
    private String respMessage;

    @ApiModelProperty(value = "返回错误码")
    private String respCode;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "县/区")
    private String county;

    @ApiModelProperty(value = "生日")
    private String birth;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "是否是复印件")
    private String is_fake;

    @ApiModelProperty(value = "有效期起始时间")
    private String start_date;

    @ApiModelProperty(value = "有效期结束时间")
    private String end_date;

    @ApiModelProperty(value = "签发机关")
    private String issue;


    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "识别结果，true表示成功，false表示失败")
    private Boolean success;



}
