package com.huoran.nakadai.entity.res;

import com.huoran.nakadai.entity.req.ConfigurationReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "中台客户下商务经理列表", description = "中台客户下商务经理列表")
public class ListOfClientCommercialManagersResp {

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "商务经理id(partner_id)")
    private Integer businessManagerId;

    @ApiModelProperty(value = "账号id" )
    private Integer accountId;


    @ApiModelProperty(value = "团队id" )
    private Integer teamId;


    @ApiModelProperty(value = "用户id" )
    private Integer userId;

    @ApiModelProperty(value = "头像" )
    private String userAvatars;

    @ApiModelProperty(value = "手机号" )
    private String phone;

    @ApiModelProperty(value = "合伙人分类名称")
    private String partnerClassificationName;

    @ApiModelProperty(value = "最近一次订单时间")
    private String latestTime;

    @ApiModelProperty(value = "订购数量")
    private Integer quantityOfOrder;

    @ApiModelProperty(value = "产品名称")
    private String productName;


    /*@ApiModelProperty(value = "团队删除状态")
    private Integer teamDel;*/

    @ApiModelProperty(value = "成员删除状态")
    private Integer peopleDel;

    @ApiModelProperty(value = "团队信息")
    private List<TeamInformationResp> teamInformationRespList;



}
