package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @描述：合伙人——文章管理
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Data
@ApiModel(value = "分页文章管理")
public class PartnerArticleManagementResp {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "文章id")
    private Integer id;

    @ApiModelProperty(value = "文章标题(依据站点判重)")
    private String title;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "标题图")
    private String titleImg;

    @ApiModelProperty(value = "封面图")
    private String bannerImg;


    @ApiModelProperty(value = "发布时间(不要时分秒)")
    private String releaseTime;

    @ApiModelProperty(value = "摘要")
    private String summary;

    @ApiModelProperty(value = "正文")
    private String mainBody;


    @ApiModelProperty(value = "是否发布(0:草稿 1:已发布)")
    private Integer isRelease;

    @ApiModelProperty(value = "创建人")
    private String founderName;

    @ApiModelProperty(value = "编辑人")
    private String editorName;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "文章总浏览量")
    private Integer totalBrowsing;


    @ApiModelProperty(value = "编辑")
    private String edit;

    @ApiModelProperty(value = "主题标签,可多选逗号隔开")
    private String labelName;

    @ApiModelProperty(value = "所属分类名称")
    private String classificationName;

    @ApiModelProperty(value = "是否禁用(0默认，0启用 1禁用)")
    private Integer isDisable;

    @ApiModelProperty(value = "序号")
    private Integer sequence;

    @ApiModelProperty(value = "类型(1.学习2.资讯)")
    private Integer typeId;

    @ApiModelProperty(value = "学习人数量")
    private Integer learnerNumber;

    @ApiModelProperty(value = "上次阅读")
    private boolean lastReading;

    @ApiModelProperty(value = "产品介绍")
    private String product;

    @ApiModelProperty(value = "适用专业")
    private String applicableMajor;

    @ApiModelProperty(value = "方案简介")
    private String schemeIntroduction;

    @ApiModelProperty(value = "是否置顶(默认为0 不置顶 1为置顶)")
    private Integer isTop;

    @ApiModelProperty(value = "是否收藏：(state = 1收藏,0：未收藏)")
    private Integer collectionStatus;

    @ApiModelProperty(value = "收藏人数")
    private Integer collectionNumber;

    @ApiModelProperty(value = "产品id(逗号隔开多个)")
    private String mallIds;


    @ApiModelProperty(value = "产品名(多个逗号隔开)")
    private String productNames;

}