package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单其他信息（包含课程权限、数据平台权限、合同信息等）
 * </p>
 *
 * @author cheney
 * @since 2021-07-01
 */
@Data
public class PermissiontogetordersResp {

    @ApiModelProperty(value = "数据产品或课程id（根据权限authority字段判断）")
    private Integer dataOrCourseId;

    @ApiModelProperty(value = "订单id")
    private Integer orderId;

    @ApiModelProperty(value = "订单其他信息主键")
    private Integer id;

    @ApiModelProperty(value = "区分权限（0为数据平台权限，1为课程权限，对应data_or_course_id）")
    @Size(max = 1)
    private Integer authority;

    @ApiModelProperty(value = "是否开启（0不开启，1开启，发货后，默认开启）")
    @Size(max = 1)
    private Integer isEnable;

    @ApiModelProperty(value = "使用开始时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private String startTime;

    @ApiModelProperty(value = "使用结束时间")
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private String endTime;

}
