package com.huoran.nakadai.entity.res;

import com.huoran.nakadai.entity.PartnerClassification;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/5/18 17:04
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "platformTeamAccountResp", description = "平台团队列表")
public class PlatformTeamAccountResp {

    @ApiModelProperty(value = "主键IDd")
    private Integer manageId;

    @ApiModelProperty(value = "父id")
    private Integer parentId;

    @ApiModelProperty(value = "邀请人")
    private String invitationAccount;

    @ApiModelProperty(value = "分类id")
    private String classificationId;

    @ApiModelProperty(value = "分类名称（团队名称）")
    private String classificationName;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "职工姓名")
    private String userName;

    @ApiModelProperty(value = "职工工号")
    private String workNumber;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentification;

    @ApiModelProperty("用户头像路径")
    private String userAvatars;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    //用于列表逗号隔开展示
    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "角色id")
    private String roleId;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "登陆次数")
    private Integer loginNumber;

    @ApiModelProperty(value = "最后登陆时间")
    private String lastLoginTime;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "商务经理ids")
    private List<Integer> businessManagerIds;

    @ApiModelProperty(value = "加入时间")
    private String joinTime;

    @ApiModelProperty(value = "是否认证")
    private String authentication;

    @ApiModelProperty(value = "是否是团队")
    private String isTeam;

    @ApiModelProperty(value = "团队数")
    private Integer teamSize;

    @ApiModelProperty(value = "团队名称")
    private String teamName;

}
