package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 小程序—购物车
 * </p>
 *
 * @author chen
 * @since 2023-06-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProgramShoppingCartResp {

    @ApiModelProperty(value = "购物车主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "商品主键")
    private Integer mallId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "编辑时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "是否删除(默认0未删，1为已删)")
    @TableLogic
    private Integer isDel;

    @ApiModelProperty(value = "关联产品（产品表为的课程、数据产品、职站增值模块）")
    private Integer associatedProduct;

    @ApiModelProperty(value = "是否关联产品，默认为0关联，1不关联")
    private Integer isAssociatedProduct;

    @ApiModelProperty(value = "关联产品名称")
    private String associatedProductName;

    @ApiModelProperty(value = "区分产品权限（0为数据平台权限，1为课程权限，2为职站增值模块，3为实训课程（非集成），4为实验工具，对应id为商城管理中的产品）")
    private Integer authority;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "匹配课程")
    private String matchingCourse;

    @ApiModelProperty(value = "课程耗时")
    private String courseHours;

    @ApiModelProperty(value = "适用场景")
    private String applicationScenario;

    @ApiModelProperty(value = "封面图")
    private String coverDrawing;

    @ApiModelProperty(value = "界面图（支持上传4张，使用逗号分隔）")
    private String interfaceDiagram;

    @ApiModelProperty(value = "小程序图标")
    private String appletIcon;

    @ApiModelProperty(value = "市场建议单价")
    private BigDecimal marketUnitPrice;

    @ApiModelProperty(value = "产品简介")
    private String productIntroduction;

    @ApiModelProperty(value = "详情介绍")
    private String detailedIntroduction;


}
