package com.huoran.nakadai.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.nakadai.entity.res
 * @ClassName: SchoolCourseRes
 * @Description: 学校课程展示
 * @Author: Maureen.Rong
 * @CreateDate: 2021/9/28 15:21
 * @UpdateDate: 2021/9/28 15:21
 * @Version: 1.0
 * @create: 2021-09-28 15:21
 */
@Data
public class SchoolCourseRes {
    @ApiModelProperty(value = "主键")
    private Integer cid;

    @ApiModelProperty(value = "课程名称")
    private String curriculumName;

    @ApiModelProperty(value = "订单id")
    private Integer orderId;

    @ApiModelProperty(value = "区分权限（0为数据平台权限，1为课程权限，对应data_or_course_id）")
    @Size(max = 1)
    private Integer authority;

    @ApiModelProperty(value = "数据产品或课程id（根据权限authority字段判断）")
    private Integer dataOrCourseId;

    @ApiModelProperty(value = "课程地址")
    private String coverUrl;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "商品id")
    private Integer mallId;

    @ApiModelProperty(value = "系统名称")
    private String systemName;

    @ApiModelProperty(value = "商品名字")
    private String goodsName;

    @ApiModelProperty(value = "商品id")
    private Integer goodsId;

}
