package com.huoran.nakadai.entity.res;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * @Author chen
 * @DATE 2021/10/13 15:51
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "StaffResp", description = "员工列表")
public class StaffResp {

    @ApiModelProperty(value = "员工主键ID")
    private Integer staffId;

    @ApiModelProperty(value = "组织架构ID")
    private String staffArchitectureId;

    @ApiModelProperty(value = "组织架构名称（部门名称）")
    private String staffArchitectureName;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "职工姓名")
    private String userName;

    @ApiModelProperty(value = "职工工号")
    private String workNumber;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentification;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    //用于列表逗号隔开展示
    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "角色id")
    private String roleId;

    //用于查看详情是否角色选中
    /*@ApiModelProperty(value = "角色列表")
    private List<Sting> roleList;*/

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "登陆次数")
    private Integer logInNumber;

    @ApiModelProperty(value = "最后登陆时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String lastLoginTime;

    @ApiModelProperty(value = "用户id")
    private Integer userId;
 

}
