package com.huoran.nakadai.entity.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2020/10/4 12:20
 * @Version 1.0
 */
@ApiModel(value = "课程vo", description = "课程vo封装")
@Data
public class CourseVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程ID")
    private String cid;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ApiModelProperty(value = "创建人")
    private String founder;

    @ApiModelProperty(value = "章节数")
    private Integer chapterNum;

    @ApiModelProperty(value = "课程封面图片路径")
    private String coverUrl;

    @ApiModelProperty(value = "课程描述")
    private String description;

    @ApiModelProperty(value = "区分标识：1为企业端课程，0为管理端课程")
    private Integer distinguish;

    @ApiModelProperty(value = "课程分类id")
    private String classificationId;

    @ApiModelProperty(value = "小节数")
    private Integer subsectionNum;

    @ApiModelProperty(value = "分类名称")
    private String classification;

    @ApiModelProperty(value = "是否开启")
    private Integer isEnable;

}
