package com.huoran.nakadai.entity.vo;

import com.huoran.nakadai.entity.*;
import com.huoran.nakadai.entity.res.GoodsRes;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

@Data
public class GoodsVo implements Serializable {

    private static final long serialVersionUID = 6471558434681123441L;

    @ApiModelProperty(value = "商品基本数据")
    private Mall mall;

    @ApiModelProperty(value = "实验项目数量")
    private Integer numberOfExperimentalItems;

    @ApiModelProperty(value = "系统id")
    private String systemId;

    @ApiModelProperty(value = "商品详情数据")
    private GoodsRes goodsRes;

    @ApiModelProperty(value = "产品分类id")
    @NotEmpty(message = "产品分类不能为空")
    private List<Integer> classificationIds;

    @ApiModelProperty(value = "产品类型id")
    @NotEmpty(message = "产品类型不能为空")
    private List<Integer> typeIds;

    @ApiModelProperty(value = "分类标签id")
    private List<Integer> tagsIds;

    @ApiModelProperty(value = "供应商id")
    private List<Integer> supplierIds;

    @ApiModelProperty(value = "适用学科专业集")
    private List<MallDiscipline> mallDisciplines;

    @ApiModelProperty(value = "商品结算价格集")
    private List<MallPrice> mallPrices;

    @ApiModelProperty(value = "产品参数（附件）")
    private List<MallAnnex> mallAnnex;

    @ApiModelProperty(value = "非关联产品链接")
    private List<MallNonAssociatedLinks> mallNonAssociatedLinks;


}
