package com.huoran.nakadai.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import com.huoran.nakadai.utils.ExcelAttribute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@ToString
@Accessors(chain = true)
@ExcelTarget("ImportStaffFailureVo")
public class ImportStaffFailureVo {

    //第几行
    private Long index;

    @Excel(name = "姓名", orderNum = "1", isImportField = "id", width = 30)
    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "账号")
    @Excel(name = "账号", orderNum = "2", mergeVertical = false, isImportField = "account", width = 30)
    private String account;

    @ApiModelProperty(value = "角色")
    @Excel(name = "角色", orderNum = "3", isImportField = "roleName", width = 30)
    private String roleName;

    @ApiModelProperty(value = "工号")
    @Excel(name = "工号", orderNum = "4", isImportField = "workNumber", width = 30)
    private String workNumber;

    @ApiModelProperty(value = "所在部门")
    @Excel(name = "所在部门", orderNum = "5", isImportField = "dept", width = 30)
    private String dept;

    @ApiModelProperty(value = "手机号码")
    @Excel(name = "手机号码", orderNum = "6", isImportField = "phone", width = 20)
    private String phone;

    @ApiModelProperty(value = "邮箱")
    @Excel(name = "邮箱", orderNum = "7", isImportField = "email", width = 20)
    private String email;

    @ExcelAttribute(sort = 8)
    @Excel(name = "失败原因", orderNum = "8", isImportField = "failureMsg", width = 50)
    private String failureMsg;
}
