package com.huoran.nakadai.entity.vo;

import com.huoran.nakadai.entity.HrContractInformation;
import com.huoran.nakadai.entity.Order;
import com.huoran.nakadai.entity.OrderOther;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @Author chen
 * @DATE 2021/7/1 15:09
 * @Version 1.0
 */
@Data
public class OrderVo implements Serializable {

    private static final long serialVersionUID = 6471558434681123441L;

    @ApiModelProperty(value = "订单基本数据")
    private Order order;

    @ApiModelProperty(value = "订单其他数据")
    @NotEmpty(message = "产品不能为空")
    private List<OrderOther> orderOther;

    @ApiModelProperty(value = "合同信息")
    private HrContractInformation contractInformation;

}
