package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.CurriculumChapter;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 企业课程章节表 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-09-26
 */
public interface CurriculumChapterMapper extends BaseMapper<CurriculumChapter> {
    Integer selectMaxSort();

    Integer selectMinSort();

    /**
     * 查询上一章节
     *
     * @param currentChapterId 当前章节id
     * @return 上一章节id
     */
    String selectPreviousChapter(String currentChapterId);

    /**
     * 查询下一章节
     *
     * @param currentChapterId 当前章节id
     * @return 下一章节id
     */
    String selectNextChapter(String currentChapterId);
}
