package com.huoran.nakadai.mapper;

import com.huoran.common.entity.ProjectManage;
import com.huoran.nakadai.entity.Curriculum;
import com.huoran.nakadai.entity.CurriculumConfigure;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.res.CourseByProjectInfoRes;
import com.huoran.nakadai.entity.res.CurriculumDetailRes;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 课程配置表 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
public interface CurriculumConfigureMapper extends BaseMapper<CurriculumConfigure> {
    List<CourseByProjectInfoRes> projectListByCourseId(@RequestParam @Param("cid") Integer cid,
                                                       @RequestParam @Param("permissions") Integer permissions,
                                                       @RequestParam @Param("projectName") String projectName);

    List<CurriculumDetailRes> getCurriculumConfigure(@RequestParam @Param("cid") Integer cid, @RequestParam @Param("permissions") Integer permissions);

    String checkConfig(@RequestParam @Param("projectId") Integer projectId);

    String getConfigureSystemId(@RequestParam @Param("cid") Integer cid);

    List<ProjectManage> getProjectBySystemIdRemoteCall(@Param("systemId")String systemId,
                                                       @Param("accountId") Integer accountId,
                                                       @Param("permissions")Integer permissions,
                                                       @Param("cid")Integer cId,
                                                       @Param("mallId")Integer mallId,
                                                       @Param("schoolId")Integer schoolId);

    List<Integer> selectCurriculumProject(@Param("schoolId") Integer schoolId, @Param("systemId") String systemId, @Param("permissions") Integer permissions, @Param("cId") Integer cId);

    ProjectManage projectIdGetDetails(@Param("projectId") Integer projectId);
}
