package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.Curriculum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.PageCurriculumReq;
import com.huoran.nakadai.entity.res.CurriculumRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 课程管理 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Mapper
public interface CurriculumMapper extends BaseMapper<Curriculum> {

    IPage<CurriculumRes> curriculumList(Page<CurriculumRes> page, @Param("req") PageCurriculumReq req);


    /**
     * 根据客户id获取订单中所有的系统
     * @param customerId
     * @return
     */
    Set<Integer> getSystemIdByCustomerId(Integer customerId);

    Curriculum selectCurriculum(@Param("cid") Integer cid);

    List<Integer> selectCurriculumBySupplier(@Param("supplierId") String supplierId);

    int selectAssociatedListedGoods(@Param("cid")Integer cid);

    String selectDetailedIntroduction(@Param("cid")Integer cid);

    Curriculum courseListDeletedNotDeleted(@Param("cid")Integer cid);

    List<Integer> selectProductCurriculum();
}
