package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.CurriculumSubsection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 企业课程小节表 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-09-26
 */
@Mapper
public interface CurriculumSubsectionMapper extends BaseMapper<CurriculumSubsection> {
    Integer selectMaxSort();

    Integer selectMinSort();

    /**
     * 查询上一小节
     *
     * @param currentSubsectionId 当前小节id
     * @return 上一小节id
     */
    String selectPreviousSubsection(String currentSubsectionId);

    /**
     * 查询下一小节
     *
     * @param currentSubsectionId 当前小节id
     * @return 下一小节id
     */
    String selectNextSubsection(String currentSubsectionId);
}
