package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.UserAccount;
import com.huoran.nakadai.entity.Customer;
import com.huoran.nakadai.entity.req.CustomerListReq;
import com.huoran.nakadai.entity.req.ListOfClientCommercialManagersReq;
import com.huoran.nakadai.entity.req.SalesProgressReq;
import com.huoran.nakadai.entity.res.AnnualOperatingAnalysisResp;
import com.huoran.nakadai.entity.res.AppletsMyClientsForBusinessResp;
import com.huoran.nakadai.entity.res.CustomerListRes;
import com.huoran.nakadai.entity.res.CustomerRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashSet;
import java.util.List;

/**
 * <p>
 * 客户表 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Mapper
public interface CustomerMapper extends BaseMapper<Customer> {

    IPage<CustomerListRes> pageByCondition(@Param("page") Page page, @Param("customerListReq") CustomerListReq customerListReq);

    CustomerRes selectCustomer(Integer customerId);

    int delCustomers(@Param("ids") List<Integer> ids);

    boolean insertUserAccount(UserAccount account);

    int queryAccountExists(String account);

    int updatePwdByCustomerId(UserAccount hrUserAccount);

    boolean updateDelById(Integer customerId);

    boolean updateAccountById(@Param("customerId") Integer customerId, @Param("account") String account);

    boolean delAccountsById(@Param("ids") List<Integer> ids);

    boolean delDataRecords(@Param("schoolId") Integer schoolId);

    boolean updateUserInfo(@Param("schoolId") Integer schoolId);

    boolean updateAccount(Integer schoolId);

    List<Integer> selectSchoolIds(@Param("ids") List<Integer> ids);

    boolean delDataRecordsBySchoolIds(@Param("schoolIds") List<Integer> schoolIds);

    boolean updateUserInfoBySchoolIds(@Param("schoolIds") List<Integer> schoolIds);

    boolean updateAccountBySchoolIds(@Param("schoolIds") List<Integer> schoolIds);

    int updateCustomerByRoleId(@Param("customerId") Integer customerId, @Param("roleId") String roleId);

    List<Customer> checkEmailOrPhone(@Param("customer")Customer customer);

    UserAccount selectCustomerAccount(Integer customerId);

    void updateAccountCustomer(UserAccount userAccount);


    IPage<AppletsMyClientsForBusinessResp> getCustomerListBasedOnBusinessManagerId(Page<AppletsMyClientsForBusinessResp> page, @Param("req") ListOfClientCommercialManagersReq req);

    List<Integer> selectDataPermissionCustomer(@Param("orderIds") HashSet<Integer> orderIds);

    //订单新增客户
    Integer getNewCustomerOnOrder(@Param("req")SalesProgressReq req);

    //订单新增产品
    Integer getNewProductAddedToOrder(@Param("req")SalesProgressReq req);

    AnnualOperatingAnalysisResp annualOperatingAnalysis(@Param("req")SalesProgressReq req);
}
