package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.common.entity.UserAccount;
import com.huoran.common.entity.EnterpriseCertification;
import com.huoran.nakadai.entity.UserInfo;
import com.huoran.nakadai.entity.req.EnterpriseCertificationLIstReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业认证审核 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Mapper
public interface EnterpriseCertificationMapper extends BaseMapper<EnterpriseCertification> {

    IPage<EnterpriseCertification> selectEnterpriseCertificationList(IPage<EnterpriseCertification> page, @Param("req")EnterpriseCertificationLIstReq req);


    IPage<EnterpriseCertification> supplierList(IPage<EnterpriseCertification> page, @Param("req")EnterpriseCertificationLIstReq req);

    EnterpriseCertification enterpriseCertificationDetails(@Param("id")Integer id);


    Integer deleteTeamInformation(@Param("accountId")Integer accountId);


    UserAccount queryAccountInformation(@Param("openId")String openId, @Param("platformId")Integer platformId);

    //逻辑删除用户信息
    Integer updateUserInformation(@Param("userId")Integer userId);

    //逻辑删除账户信息
    Integer updateAccountInformation(@Param("accountId")Integer accountId);

    Integer updateAccountInfo(@Param("userAccount")UserAccount userAccount);

    Integer updateUserInfo(@Param("userInfo") UserInfo userInfo);


}
