package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.UserAccount;
import com.huoran.nakadai.entity.HrStaff;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.UserInfo;
import com.huoran.nakadai.entity.req.StaffListReq;
import com.huoran.nakadai.entity.res.StaffResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 中台后台员工账号表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-03-22
 */
@Mapper
public interface HrStaffMapper extends BaseMapper<HrStaff> {

    int addUserInfo(UserInfo userInfo);

    int addUserAccount(UserAccount userAccount);

    IPage<StaffResp> staffList(Page<StaffResp> page, @Param("req") StaffListReq req);

    StaffResp staffDetail(Integer accountId);

    Integer getUserId(Integer accountId);

    boolean modifyUserInfo(UserInfo userInfo);

    boolean modifyUserAccount(UserAccount userAccount);

    Integer delRoleByAccountId(Integer accountId);

    List<UserAccount> checkUserAccount(UserAccount checkAccount);

    String selectUserNameById(Integer userId);

    List<Integer> selectRolesByAccountId(Integer accountId1);

    Integer checkAccount(String account);
}
