package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.Mall;
import com.huoran.nakadai.entity.PartnerArticleClassification;
import com.huoran.nakadai.entity.req.GoodsListReq;
import com.huoran.nakadai.entity.res.GoodsRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商城管理表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Mapper
public interface MallMapper extends BaseMapper<Mall> {

    IPage<GoodsRes> goodsList(Page<GoodsRes> page,@Param("req") GoodsListReq goodsListReq);

    List<Integer> schoolGoods(@Param("schoolId")Integer schoolId);

    GoodsRes selectGoods(@Param("mallId")Integer mallId);

    String selectSystem(@Param("cid")Integer cid, @Param("permissions")int permissions);

    List<Integer> selectGoodsList();

    List<Integer> schoolCourseIds(@Param("schoolId")Integer schoolId);

    String selectMallSystem(@Param("associatedProduct") String associatedProduct);

    List<PartnerArticleClassification> selectAssociationScheme();

    String selectAssociationMall(@Param("schemeId")String schemeId);

    IPage<GoodsRes> websiteProductList(Page<GoodsRes> page, @Param("req") GoodsListReq goodsListReq);
}
