package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.ModelReferenceDemo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.ModelSysDemo;
import com.huoran.nakadai.entity.req.PageImportModelReq;
import com.huoran.nakadai.entity.req.PageModelReq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 引用模型代码记录表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
public interface ModelReferenceDemoMapper extends BaseMapper<ModelReferenceDemo> {
    IPage<ModelReferenceDemo> referenceDemoList(Page<ModelReferenceDemo> page, @Param("req") PageModelReq req);

    IPage<ModelReferenceDemo> sortReadingModelByTeacherSideSystem(Page<ModelReferenceDemo> page, @Param("req") PageModelReq req);

    IPage<ModelReferenceDemo> getAllModelList(Page<ModelReferenceDemo> page, @Param("req") PageImportModelReq req);

    IPage<ModelReferenceDemo> teacherModelList(Page<ModelReferenceDemo> page, @Param("req") PageImportModelReq req);


    IPage<ModelReferenceDemo> referenceDemoListByNakadai(Page<ModelReferenceDemo> page, @Param("req") PageModelReq req);

    IPage<ModelReferenceDemo> studentModelList(Page<ModelReferenceDemo> page, @Param("req") PageImportModelReq req);


    //教师端：读取中台的模型列表的数据
    IPage<ModelReferenceDemo> systemModelByTeacher(Page<ModelReferenceDemo> page, @Param("req") PageImportModelReq req);
}
