package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelSysDemo;
import com.huoran.nakadai.entity.OrderOther;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.ServiceConfiguration;
import com.huoran.nakadai.entity.req.GetTheSystemUnderTheProductReq;
import com.huoran.nakadai.entity.req.ListOfClientCommercialManagersReq;
import com.huoran.nakadai.entity.req.QueryTimeReq;
import com.huoran.nakadai.entity.res.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 订单其他信息（包含课程权限、数据平台权限、合同信息等） Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2021-07-01
 */
@Mapper
public interface OrderOtherMapper extends BaseMapper<OrderOther> {

    List<CoursePermissionssRes> selectCoursePermissions(Integer customerId);

    List<DataPermissionssRes> selectDataPermissions(Integer customerId);

    //查询剩余天数
    List<OrderOtherResp> remainingDay();

    Integer isTimePeriod(QueryTimeReq queryTimeReq);

    String OrderOtherEndTime(QueryTimeReq queryTimeReq);

    List<OrderOther> selectOtherList(QueryTimeReq queryTimeReq);

    List<OrderOther> getProductsSubscribedByCustomers(@Param("customerId") Integer customerId);

    List<PermissiontogetordersResp> permissionToGetOrders(@Param("customerId") Integer customerId, @Param("authority") Integer authority, @Param("mallId") Integer mallId);

    IPage<ListOfClientCommercialManagersResp> getAListOfClientBusinessManagersByCustomerId(Page<ListOfClientCommercialManagersResp> page, @Param("req")ListOfClientCommercialManagersReq req);

    String getTheProductPurchasedByTheBusinessManager(@Param("businessManagerId")Integer businessManagerId,@Param("customerId") Integer customerId,@Param("teamIds")List<TeamInformationResp>  teamIds);

    IPage<BusinessManagerOrderResp> getBusinessManagerOrder(Page<BusinessManagerOrderResp> page, @Param("req")ListOfClientCommercialManagersReq req);


    IPage<ServiceConfiguration> getSystemByCustomers(Page<ServiceConfiguration> page,@Param("req") GetTheSystemUnderTheProductReq req);
}
