package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.PartnerAccount;
import com.huoran.nakadai.entity.PartnerTeam;
import com.huoran.nakadai.entity.req.PartnerAccountListReq;
import com.huoran.nakadai.entity.res.PartnerAccountResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 合伙人账号表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
@Mapper
public interface PartnerAccountMapper extends BaseMapper<PartnerAccount> {

    IPage<PartnerAccountResp> pagePartnerAccountList(Page<PartnerAccountResp> page, PartnerAccountListReq req);

    PartnerAccountResp partnerAccountDetail(Integer accountId);

    List<PartnerAccountResp> getTeamsByAccountId(@Param("accountId") Integer accountId);

    Integer selectAdmin(@Param("platform") Integer platform,@Param("port") Integer port,@Param("roleName") String roleName);

    Integer selectAccount(String phone);

    Integer checkAccount(String account);

    Integer selectMember(@Param("platform") Integer platform,@Param("port") Integer port);

    Integer selectRoleExist(@Param("accountId")Integer accountId,@Param("roleId") Integer roleId,@Param("teamId")Integer teamId);

    IPage<PartnerAccountResp> pagePartnerNotTeamList(Page<PartnerAccountResp> page, PartnerAccountListReq req);

    String selectTeamRole(@Param("adminTeamId")Integer adminTeamId, @Param("accountId")Integer accountId);

    Integer updateTeamRole(@Param("userRoleId")String userRoleId,@Param("accountId") Integer accountId);

    IPage<PartnerAccountResp> partnerAccountMergeList(Page<PartnerAccountResp> page, PartnerAccountListReq req);

    String selectUsername(@Param("accountId")String id);

    IPage<PartnerAccountResp> teamPartnerList(Page<PartnerAccountResp> page, PartnerAccountListReq req);

    String area(@Param("teamId")Integer teamId);

    Integer teamSize(@Param("teamId")Integer teamId);

    List<Integer> teamMembers(@Param("teamId")Integer teamId);

    List<PartnerAccountResp> selectTeamMembersDetails(@Param("ids")List<Integer> ids,@Param("name")String name);

    ArrayList<Integer> selectTeamIdByClassificationId(@Param("partnerClassificationId")String partnerClassificationId);

    Integer selectTeamManager(@Param("accountId") Integer accountId);

    PartnerTeam selectProvinceCity(@Param("partnerId")Integer partnerId,@Param("classificationId") Integer id);

    String selectAccountName(@Param("accountId")String toString);

    List<String> selectUserRole(@Param("accountId")Integer accountId,@Param("teamId") String partnerClassificationId);

    PartnerAccount selectAccountByPartnerId(@Param("partnerId")String businessManagerId);
}
