package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.PartnerClassification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.res.TeamInformationResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 合伙人分类表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
@Mapper
public interface PartnerClassificationMapper extends BaseMapper<PartnerClassification> {

    List<Integer> selectIdByPid(@Param("id") Integer id,@Param("type") Integer type);

    List<Integer> getBusinessManagersUnderTheSameTeam(  @Param("parentId") Integer parentId);

    List<Integer> queryBusinessManagerIdBasedOnTeamId(@Param("teamId")String teamId);

    //根据商务经理id查询该用户所在的团队信息(一个商务经理可在多个团队)
    List<TeamInformationResp> getTeamInformation(@Param("parentId")Integer parentId);

    PartnerClassification getParentInformationBasedOnChild(@Param("id") Integer id);

    void updateRole(@Param("teamId")String teamId, @Param("accountId")Integer accountId);

    List<TeamInformationResp> getTeamInformationByCustomerId(@Param("customerId")Integer customerId,@Param("businessManagerId")Integer businessManagerId);

    PartnerClassification selectTeamNameById(@Param("teamId")Integer teamId);
}
