package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.PartnerTeam;
import com.huoran.nakadai.entity.res.PartnerAccountResp;
import com.huoran.nakadai.entity.res.UserInfoByPhoneRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 合伙人团队表（合伙人账号与分类中间表） Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
@Mapper
public interface PartnerTeamMapper extends BaseMapper<PartnerTeam> {
    List<Integer> getMembersUnderTheSameTeam(Integer classificationId);

    List<PartnerAccountResp> selectTeamInfo(@Param("ids") List<Integer> ids,@Param("current")int current,@Param("pageSize")int pageSize,@Param("name")String name);

    UserInfoByPhoneRes selectInfo(@Param("phone")String phone);

    String queryPhone(@Param("id")String id,@Param("platformId")int platformId);

    Integer queryUserId(String accountId);

    Integer updateUserMail(@Param("userId")Integer userId, @Param("email") String email);

    Integer selectTeam(String id);

    String selectPlatform(String id);

    UserInfoByPhoneRes selectInfoByPlatformId(@Param("phone")String phone,@Param("platformId")Integer platformId);

    Integer queryUsername(@Param("accountId")Integer accountId, @Param("userName")String userName);

    void editUsername(@Param("userId")Integer userId, @Param("userName")String userName);

    void delRoleByAccountIdAndTeamId(@Param("accountId")Integer accountId,@Param("teamId") Integer classificationId);
}