package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.OrganizationInfo;
import com.huoran.common.entity.UserAccount;
import com.huoran.nakadai.entity.PlatformTeamAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.PlatformTeamAccountListReq;
import com.huoran.nakadai.entity.res.PlatformTeamAccountResp;
import com.huoran.nakadai.entity.res.TeamAccountResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 幼教产业平台团队账号表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Mapper
public interface PlatformTeamAccountMapper extends BaseMapper<PlatformTeamAccount> {

    IPage<PlatformTeamAccountResp> platformTeamAccountMergeList(Page<PlatformTeamAccountResp> page, PlatformTeamAccountListReq req);

    UserAccount selectAccount(@Param("phone") String phone,@Param("platformId") String platformId);

    UserAccount selectAccountByOpenId(@Param("openid") String openid,@Param("platformId") Integer platform);

    List<TeamAccountResp> getTeamsByPlatformId(@Param("accountId")String accountId,@Param("platformId") Integer platformId);

    ArrayList<Integer> selectTeamIdByClassificationId(@Param("classificationId")String classificationId);

    IPage<PlatformTeamAccountResp> pagePlatformTeamAccountList(Page<PlatformTeamAccountResp> page, PlatformTeamAccountListReq req);

    void updateUserInfo(@Param("userId")Integer userId);

    void updateAccountOpenId(@Param("openid")String openid,@Param("accountId")Integer accountId);

    void updateAccountPhone(@Param("phone")String phone, @Param("accountId")Integer accountId);

    Long selectShopIdByOpenId(@Param("openId")String openId,@Param("platformId") Integer platformId);

    UserAccount selectAccountPlatform(@Param("accountId")String accountId);

    List<OrganizationInfo> selectOrganizationInfo(@Param("openId")String openId);

    void deleteTeam(@Param("teamId")Integer teamId);

    void deleteOrganization(@Param("accountId")Integer accountId);
}
