/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.app.dto.ProdCommDataDto;
import com.huoran.nakadai.entity.app.dto.ProdCommDto;
import com.huoran.nakadai.entity.model.ProdComm;
import org.apache.ibatis.annotations.Param;

/**
 * @author lanhai
 */
public interface ProdCommMapper extends BaseMapper<ProdComm> {
    /**
     * 根据商品id获取商品评论信息
     * @param prodId
     * @return
     */
    ProdCommDataDto getProdCommDataByProdId(@Param("prodId") Integer prodId);

    /**
     * 根据评价等级和商品id分页获取商品评价
     * @param page
     * @param prodId
     * @param evaluate
     * @return
     */
    IPage<ProdCommDto> getProdCommDtoPageByProdId(@Param("page") Page page, @Param("prodId") Integer prodId, @Param("evaluate") Integer evaluate);

    /**
     * 根据用户id分页获取评论列表
     * @param page
     * @param userId
     * @return
     */
    IPage<ProdCommDto> getProdCommDtoPageByUserId(Page page, @Param("userId") String userId);

    /**
     * 根据参数分页获取商品评论
     * @param page
     * @param prodComm
     * @return
     */
    IPage<ProdComm> getProdCommPage(Page page, @Param("prodComm") ProdComm prodComm);
}
