package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.Curriculum;
import com.huoran.nakadai.entity.req.AddCurriculumReq;
import com.huoran.nakadai.entity.req.ModifyCurriculumReq;
import com.huoran.nakadai.entity.req.PageCurriculumReq;

import java.util.List;

/**
 * <p>
 * 课程管理 服务类
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
public interface ICurriculumService extends IService<Curriculum> {

    R createCurriculum(AddCurriculumReq curriculum);

    R modifyCourse(ModifyCurriculumReq curriculum);

    R delCourse(List<Integer> cids);

    R curriculumList(PageCurriculumReq req);

    R schoolCourse(Integer schoolId);//获取学校购买过的课程(包含生效、过期的)

    R getSchoolEffectiveCourse(Integer schoolId);//获取学校购买过的课程(只包含在有效期内的)

    R schoolCourseByAchievement(Integer schoolId);

    R curriculumDetail(Integer cid,Integer mallId);

    List<Integer> getSystemIdByCustomerId(Integer customerId);

    String getSchoolCourse(Integer schoolId);

    R whetherToRenewTheFee(Integer schoolId, Integer cid);

    R deleteCoursePrompt(List<Integer> cids);
}
