package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.common.utils.PageUtils;
import com.huoran.nakadai.entity.Customer;
import com.huoran.nakadai.entity.req.CustomerListReq;
import com.huoran.nakadai.entity.req.CustomerReq;
import com.huoran.nakadai.entity.req.ListOfClientCommercialManagersReq;
import com.huoran.nakadai.entity.req.SalesProgressReq;
import com.huoran.nakadai.entity.res.AnnualOperatingAnalysisResp;
import com.huoran.nakadai.entity.res.CustomerDetailRes;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * <p>
 * 客户表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
public interface ICustomerService extends IService<Customer> {

    int addCustomer(CustomerReq customerReq) throws ExecutionException, InterruptedException;

    PageUtils queryPage(Integer page, Integer size, CustomerListReq customerListReq);

    int resetPwd(Integer customerId);

    int delCustomer(Integer customerId);

    CustomerDetailRes queryCustomerDetails(Integer customerId);

    int updateCourseEnabled(Integer coursePermissionsId, Integer isEnabled);

    int updateDataEnabled(Integer dataPermissionsId, Integer isEnabled);

    int updateCustomer(CustomerReq customerReq);

    int updateCustomerByRoleId(@Param("customerId") Integer customerId, @Param("roleId") String roleId);

    int updateEnabled(Integer id, Integer isEnable);

    Integer queryCustomerIsExists(Integer schoolId);

    int delCustomers(List<Integer> ids);

    List<Customer> checkEmailOrPhone(Customer customer);

    R getCustomerListBasedOnBusinessManagerId(@Param("req") ListOfClientCommercialManagersReq req);

    //订单新增客户
    Integer newCustomerOnOrder(SalesProgressReq req);


    //订单新增产品
    Integer newProductAddedToOrder(SalesProgressReq req);


    AnnualOperatingAnalysisResp annualOperatingAnalysis(SalesProgressReq req);


    void exportClient(CustomerListReq req, HttpServletResponse response) throws Exception;

}
