package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.Order;
import com.huoran.nakadai.entity.req.GetTheSystemUnderTheProductReq;
import com.huoran.nakadai.entity.req.ListOfClientCommercialManagersReq;
import com.huoran.nakadai.entity.req.OrderListReq;
import com.huoran.nakadai.entity.req.OrderRecordParametersReq;
import com.huoran.nakadai.entity.res.ExportSubscribedRecordsResp;
import com.huoran.nakadai.entity.vo.OrderVo;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
public interface IOrderService extends IService<Order> {

    R addOrder(OrderVo orderVo) throws ExecutionException, InterruptedException;

    HashMap<String, Object> orderList(OrderListReq orderListReq);

    OrderVo queryOrderDetails(Integer orderId);

    boolean deleteOrders(List<Integer> orderIds);

    boolean updateOrder(OrderVo orderVo);

    R getProductsSubscribedByCustomers(@RequestParam Integer customeId);

    void exportSubscribedRecords(List<ExportSubscribedRecordsResp> listOfExportSub, HttpServletResponse response) throws Exception;

   R getAListOfClientBusinessManagers(ListOfClientCommercialManagersReq req);

    R getBusinessManagerOrder(ListOfClientCommercialManagersReq req);

    R getOrderBasedOnBusinessManagerId(ListOfClientCommercialManagersReq req);

    R miniProgramOrderRecord( OrderRecordParametersReq req);

    R getSystemByCustomers( GetTheSystemUnderTheProductReq req);
}
