package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelReferenceCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.ModelSysCategory;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 引用模型-分类表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
public interface ModelReferenceCategoryService extends IService<ModelReferenceCategory> {
    //模型列表
    List<ModelReferenceCategory> modelClassList(Integer systemId,Integer founder,Integer schoolId);

    //删除模型分类及分类下的python模型记录
    R deleteModelClass(@RequestParam("categoryId") @ApiParam(value = "分类id") Integer categoryId);

    boolean checkRepeat(ModelReferenceCategory modelSysCategory, Integer type);

    R checkIsShowBySystemId( Integer systemId);

    R modifyIsShowState( Integer systemId, Integer isShow);


    //读取的是中台创建的引用模型分类
    List<ModelReferenceCategory> builtInClassificationByNakadai(Integer systemId);

}
