package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.entity.to.JudgmentPointDataTo;
import com.huoran.nakadai.entity.OrderOther;
import com.huoran.nakadai.entity.req.BulkShipOrdersReq;
import com.huoran.nakadai.entity.req.QueryTimeReq;
import com.huoran.nakadai.entity.vo.OrderRenewVo;

import java.util.ArrayList;

/**
 * <p>
 * 订单其他信息（包含课程权限、数据平台权限、合同信息等） 服务类
 * </p>
 *
 * @author cheney
 * @since 2021-07-01
 */
public interface OrderOtherService extends IService<OrderOther> {

    boolean ship(OrderOther orderOther);

    boolean enable(Integer id, Integer flag);

    void remainingPeriod();

    ArrayList<OrderOther> renew(OrderRenewVo orderRenewVo);

    void customerExpiration();

    JudgmentPointDataTo getCustomerOrderOther(Integer schoolId, Integer systemId,String name);

    String getOrderOtherTime(QueryTimeReq queryTimeReq);

    boolean bulkShipping(BulkShipOrdersReq bulkShipOrdersReq);
}
