package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.PartnerAccount;
import com.huoran.nakadai.entity.req.*;
import com.huoran.nakadai.entity.vo.TeamMemberVo;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 合伙人账号表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
public interface PartnerAccountService extends IService<PartnerAccount> {

    R savePartnerAccount(PartnerAccountAddReq partnerAccountAddReq);

    R pagePartnerAccountList(PartnerAccountListReq req);

    R partnerAccountDetail(Integer accountId);

    R modifyPartnerAccount(PartnerAccountUpdateReq updateReq);

    R delPartnerAccount(Integer accountId);

    void generationQrCode(String url, HttpServletResponse response);

    R  getTeamsByAccountId( Integer accountId);

    R transferTeam(TransferTeamReq transferTeamReq);

    R transferAdmin(TransferAdminReq transferAdminReq);

    R partnerAccountMergeList(PartnerAccountListReq req);

    R mailFileSend(FileSendReq fileSendReq);

    String checkRepeatClassName(String teamName);

    R teamPartnerList(PartnerAccountListReq req);

    R queryTeamMembers(TeamMemberVo teamMemberVo);

    R queryPartnerAccount(String phone);

    R partnerAccountApplication(PartnerRegisterReq registerReq);
}
