package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.PartnerTeam;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.EditProvinceCityReq;
import com.huoran.nakadai.entity.res.PartnerAccountResp;
import com.huoran.nakadai.entity.vo.CheckVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 合伙人团队表（合伙人账号与分类中间表） 服务类
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
public interface PartnerTeamService extends IService<PartnerTeam> {

    List<Integer> getMembersUnderTheSameTeam(Integer classificationId);

    List<PartnerAccountResp> selectTeamList(String id,int current,int pageSize,String name);

    BigDecimal teamIncome(String id);

    BigDecimal myIncome();

    R queryUserInfoByPhone(String phone,String partnerId,String teamId);

    String getPhone(String id, int platformId);

    R queryPhone(String phone);

    R updateMyEmail(CheckVo checkVo);

    boolean mailCodeSend(CheckVo checkVo);

    boolean checkName(EditProvinceCityReq provinceCityReq);

    void editUsername(EditProvinceCityReq provinceCityReq);

    void delRoleByAccountIdAndTeamId(Integer accountId, Integer classificationId);
}
