package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.City;
import com.huoran.nakadai.mapper.CityMapper;
import com.huoran.nakadai.service.ICityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 城市 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Service
public class CityServiceImpl extends ServiceImpl<CityMapper, City> implements ICityService {

    @Override
    // @Cacheable(value = {"n_city_"},key = "#root.methodName")
    public List<City> queryCityList(Integer provinceId) {
        List<City> list= this.baseMapper.selectList(new QueryWrapper<City>()
                .eq("is_del",0).eq("province_id",provinceId).orderByAsc("city_id"));
        return list;
    }
}
