package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.constant.DelConstant;
import com.huoran.common.entity.ProjectManage;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.CurriculumConfigure;
import com.huoran.nakadai.entity.res.CourseByProjectInfoRes;
import com.huoran.nakadai.entity.res.CurriculumDetailRes;
import com.huoran.nakadai.mapper.CurriculumConfigureMapper;
import com.huoran.nakadai.service.ICurriculumConfigureService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 课程配置表 服务实现类
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
@Service
public class CurriculumConfigureServiceImpl extends ServiceImpl<CurriculumConfigureMapper, CurriculumConfigure> implements ICurriculumConfigureService {

    @Override
    public R projectListByCourseId(Integer cid, Integer permissions, String projectName) {
        return R.ok().put("data", baseMapper.projectListByCourseId(cid, permissions, projectName));
    }

    @Override
    public List<CurriculumDetailRes> getCurriculumConfigure(Integer cid, Integer permissions) {
        return baseMapper.getCurriculumConfigure(cid, permissions);
    }

    @Override
    public R checkConfig(Integer projectId) {

        String curriculumName = baseMapper.checkConfig(projectId);
        if (curriculumName != null) {
            return R.ok("项目权限已更改,请在课程管理重新配置" + curriculumName + "的课程项目!");
        }

        return R.ok();

    }

    @Override
    public List<ProjectManage> getProjectBySystemIdRemoteCall(String systemId, Integer accountId, Integer permissions, Integer cId, Integer mallId, Integer schoolId) {

        List<ProjectManage> projectManages = baseMapper.getProjectBySystemIdRemoteCall(systemId, accountId, permissions, cId, mallId, schoolId);

        //课程排序优于老师创建的项目
        List<ProjectManage> projectManageList = new ArrayList<>();
        List<Integer> projectIds = baseMapper.selectCurriculumProject(schoolId, systemId, permissions, cId);

        for (Integer projectId : projectIds) {
            ProjectManage manage = baseMapper.projectIdGetDetails(projectId);
            projectManageList.add(manage);
        }
        projectManageList.addAll(projectManages);
        return projectManageList;
    }
}
