package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.utils.AliyunOssUtil;
import com.huoran.nakadai.entity.CurriculumSubsection;
import com.huoran.nakadai.mapper.CurriculumSubsectionMapper;
import com.huoran.nakadai.service.CurriculumSubsectionService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 企业课程小节表 服务实现类
 * </p>
 *
 * @author lr
 * @since 2021-09-26
 */
@Service
public class CurriculumSubsectionServiceImpl extends ServiceImpl<CurriculumSubsectionMapper, CurriculumSubsection> implements CurriculumSubsectionService {

    /**
     * 删除小节及资源
     *
     * @param subsectionId 小节id
     */
    @Transactional
    @Override
    public boolean removeSubsection(String subsectionId) {
        CurriculumSubsection courseSubsection = baseMapper.selectById(subsectionId);
//        String fileType = courseSubsection.getFileType();
//        //删除资源
//        boolean isVideo = VideoUtil.isVideo(fileType);
//        if (isVideo) {
//            AliyunOssUtil.removeVideo(courseSubsection.getFileId());
//        } else {
//        }
        List<String> keys = new ArrayList<>();
        keys.add(courseSubsection.getFileName());
        AliyunOssUtil.deleteFiles(keys);
        //删除小节
        int count = baseMapper.deleteById(Integer.valueOf(subsectionId));
        return count > 0;
    }

    @Override
    public boolean saveSubsection(CurriculumSubsection courseSubsection) {
        //查询章节小节的总数
//        QueryWrapper<CurriculumSubsection> wrapper = new QueryWrapper<>();
//        wrapper.eq("chapter_id", courseSubsection.getChapterId());
//        int count = baseMapper.selectCount(wrapper);
//        if (count == 0) {
//            courseSubsection.setSort(1);
//        } else {
//            //查询章节小节最大排序数
//            count = baseMapper.selectMaxSort();
//            courseSubsection.setSort(count + 1);
//        }
        int insert = baseMapper.insert(courseSubsection);
        return insert > 0;
    }

    @Override
    public boolean repeat(CurriculumSubsection courseSubsection) {
        QueryWrapper<CurriculumSubsection> wrapper = new QueryWrapper<>();
        wrapper.eq("chapter_id", courseSubsection.getChapterId());
        wrapper.eq("cid", courseSubsection.getCid());
        wrapper.eq("name", courseSubsection.getName());
        Integer count = baseMapper.selectCount(wrapper);
        return count > 0;
    }
}
