package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.DataProduct;
import com.huoran.nakadai.entity.req.MiniProgramProductsReq;
import com.huoran.nakadai.entity.res.AppletsDataProductResp;
import com.huoran.nakadai.entity.res.BusinessManagerOrderResp;
import com.huoran.nakadai.mapper.DataProductMapper;
import com.huoran.nakadai.service.IDataProductService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 数据平台产品表 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Service
public class DataProductServiceImpl extends ServiceImpl<DataProductMapper, DataProduct> implements IDataProductService {

    /**
     * 当前需求为：强行将产品功能与课程功能合并为一个
     * @param req
     * @return
     */
    @Override
    public R AppletsDataProductList( MiniProgramProductsReq req) {
        Page<AppletsDataProductResp> page = new Page<AppletsDataProductResp>(req.getPageNum(), req.getPageSize());
        IPage<AppletsDataProductResp> pageList = baseMapper.AppletsDataProductList(page, req);
        return R.ok().put("data", pageList);
    }
}
