package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.Discipline;
import com.huoran.nakadai.entity.Professional;
import com.huoran.nakadai.entity.ProfessionalClass;
import com.huoran.nakadai.mapper.DisciplineMapper;
import com.huoran.nakadai.mapper.ProfessionalClassMapper;
import com.huoran.nakadai.mapper.ProfessionalMapper;
import com.huoran.nakadai.service.IDisciplineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学科 服务实现类
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
@Service
public class DisciplineServiceImpl extends ServiceImpl<DisciplineMapper, Discipline> implements IDisciplineService {

    @Autowired
    private ProfessionalClassMapper professionalClassMapper;

    @Autowired
    private ProfessionalMapper professionalMapper;

    @Override
    public List<Discipline> disciplineLevel() {
        return baseMapper.disciplineLevel();
    }

    @Override
    public List<Discipline> subjectCategoryCited() {
        List<Discipline> disciplines = baseMapper.subjectCategoryCited();
        for (Discipline discipline : disciplines) {
            List<ProfessionalClass> professionalClasses = professionalClassMapper.professionalClassLevelNoLeft(discipline.getDisciplineId());
            for (ProfessionalClass professionalClass : professionalClasses) {
                List<Professional> professionals = professionalMapper.professionalLevelNoLeft(professionalClass.getProfessionalClassId());
                professionalClass.setProfessionals(professionals);
            }
            discipline.setProfessionalClasses(professionalClasses);
        }
        return disciplines;
    }
}
