package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.entity.UserAccount;
import com.huoran.common.response.R;
import com.huoran.common.entity.EnterpriseCertification;
import com.huoran.nakadai.entity.UserInfo;
import com.huoran.nakadai.entity.req.EnterpriseCertificationLIstReq;
import com.huoran.nakadai.mapper.EnterpriseCertificationMapper;
import com.huoran.nakadai.service.EnterpriseCertificationService;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

/**
 * <p>
 * 企业认证审核 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Service
public class EnterpriseCertificationServiceImpl extends ServiceImpl<EnterpriseCertificationMapper, EnterpriseCertification> implements EnterpriseCertificationService {

    @Override
    public EnterpriseCertification checkWhetherItExists(String company_name, Integer id, String opnenId) {
        QueryWrapper<EnterpriseCertification> wrapper = new QueryWrapper<>();
        wrapper.eq("company_name", company_name);
        wrapper.eq("audit_status", 2);
        wrapper.eq("authentication_status", 2);

        if (!ObjectUtils.isEmpty(id)) {
            wrapper.last(" and id <> " + id);
        }
        return getOne(wrapper);
    }

    @Override
    public R selectEnterpriseCertificationList(EnterpriseCertificationLIstReq req) {
        Page<EnterpriseCertification> page = new Page<EnterpriseCertification>(req.getPageNum(), req.getPageSize());
        IPage<EnterpriseCertification> pageList = baseMapper.selectEnterpriseCertificationList(page, req);


        return R.ok().put("data", pageList);
    }

    @Override
    public R supplierList(EnterpriseCertificationLIstReq req) {
        Page<EnterpriseCertification> page = new Page<EnterpriseCertification>(req.getPageNum(), req.getPageSize());
        IPage<EnterpriseCertification> pageList = baseMapper.supplierList(page, req);


        return R.ok().put("data", pageList);
    }

    @Override
    public R enterpriseCertificationDetails(Integer id) {
        return R.ok().put("data", baseMapper.enterpriseCertificationDetails(id));
    }

    @Override
    public boolean deleteTeamInformation(Integer accountId) {
        return baseMapper.deleteTeamInformation(accountId) > 0;
    }

    @Override
    public UserAccount queryAccountInformation(String openId, Integer platformId) {
        return baseMapper.queryAccountInformation(openId, platformId);
    }

    @Override
    public boolean deleteUserInformation(Integer userId) {
        return baseMapper.updateUserInformation(userId) > 0;
    }

    @Override
    public boolean deleteAccountInformation(Integer accountId) {
        return baseMapper.updateAccountInformation(accountId) > 0;
    }

    @Override
    public boolean updateAccountInfo(UserAccount userAccount) {
        return baseMapper.updateAccountInfo(userAccount)>0;
    }

    @Override
    public boolean updateUserInfo(UserInfo userInfo) {
        return baseMapper.updateUserInfo(userInfo)>0;
    }
}
