package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.constant.ModellConstant;
import com.huoran.common.entity.PythonCodeResp;
import com.huoran.common.entity.RunCode;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.DataProduct;
import com.huoran.nakadai.entity.ModelReferenceDemo;
import com.huoran.nakadai.entity.ModelSysDemo;
import com.huoran.nakadai.entity.req.CopyTheModelToTheNakadaiReq;
import com.huoran.nakadai.entity.req.PageModelReq;
import com.huoran.nakadai.mapper.ModelSysDemoMapper;
import com.huoran.nakadai.service.ModelSysDemoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.utils.RunCodeHelperUtil;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.Date;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Service
public class ModelSysDemoServiceImpl extends ServiceImpl<ModelSysDemoMapper, ModelSysDemo> implements ModelSysDemoService {

    @Override
    public R sysModelDemoList(PageModelReq req) {
        Page<ModelSysDemo> page = new Page<ModelSysDemo>(req.getPageNum(), req.getPageSize());
        IPage<ModelSysDemo> pageList = baseMapper.sysModelDemoList(page, req);
        return R.ok().put("data", pageList);
    }

    @Override
    public R runCode(String code) throws IOException {
        //执行运行操作
        PythonCodeResp runResult = RunCodeHelperUtil.runPython(code);
        return R.ok().put("code", runResult);
    }

    @Override
    public R getAllModelListBySys(PageModelReq req) {
        Page<ModelSysDemo> page = new Page<ModelSysDemo>(req.getPageNum(), req.getPageSize());
        IPage<ModelSysDemo> pageList = baseMapper.getAllModelListBySys(page, req);
        return R.ok().put("data", pageList);
    }

    @Override
    public R InstitutionSourceModel(PageModelReq req) {

        Page<ModelSysDemo> page = new Page<ModelSysDemo>(req.getPageNum(), req.getPageSize());
        IPage<ModelSysDemo> pageList = baseMapper.InstitutionSourceModel(page, req);
        return R.ok().put("data", pageList);
    }

    @Override
    public R copyTheModelToTheNakadai(CopyTheModelToTheNakadaiReq req) {

        //获取当前要复制到中台的院校的模型信息
        ModelSysDemo institutionalModelInfo = baseMapper.selectById(req.getBeCopiedModelId());

        ModelSysDemo copyInfo = new ModelSysDemo();
//        BeanUtils.copyProperties( copyInfo,institutionalModelInfo);
        copyInfo.setCategoryId(req.getCategoryId());
        copyInfo.setSchoolId(0);
        copyInfo.setIsOpen(0);
        copyInfo.setZtOpen(0);
        copyInfo.setZtDel(0);
        copyInfo.setIsDel(0);
        copyInfo.setFounder(ModellConstant.SOURCE_SYSTEM);
        copyInfo.setAccountId(req.getAccountId());
        copyInfo.setModifyAccountId(req.getAccountId());
        copyInfo.setCreateTime(new Date());
        copyInfo.setUpdateTime(new Date());
        copyInfo.setPostStatus(institutionalModelInfo.getPostStatus());
        copyInfo.setModelDemo(institutionalModelInfo.getModelDemo());
        copyInfo.setModelName(req.getModelName());

        int ret = baseMapper.insert(copyInfo);
        return ret > 0 ? R.ok() : R.error();
    }
}
