package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.constant.DelConstant;
import com.huoran.nakadai.entity.PartnerArticleFile;
import com.huoran.nakadai.mapper.PartnerArticleFileMapper;
import com.huoran.nakadai.service.PartnerArticleFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @描述：合伙人——文章管理——文章附件管理表 服务类
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Service
public class PartnerArticleFileServiceImpl extends ServiceImpl<PartnerArticleFileMapper, PartnerArticleFile> implements PartnerArticleFileService {

    @Autowired
    private PartnerArticleFileMapper mapper;

    @Override
    public List<PartnerArticleFile> getFileByContentId(Integer contentId) {
        QueryWrapper<PartnerArticleFile> queryWrap = new QueryWrapper<>();
        queryWrap.eq("content_id",contentId);
        queryWrap.eq("is_del", DelConstant.NOT_DEL);
        List<PartnerArticleFile> list = mapper.selectList(queryWrap);
        return list;
    }
}



