package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.PartnerArticleStatistic;
import com.huoran.nakadai.mapper.PartnerArticleStatisticMapper;
import com.huoran.nakadai.service.PartnerArticleStatisticService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @描述：合伙人——文章管理——文章浏览记录 服务类
 * @作者: Rong
 * @日期: 2023-03-17
 */
@Service
public class PartnerArticleStatisticServiceImpl extends ServiceImpl<PartnerArticleStatisticMapper, PartnerArticleStatistic> implements PartnerArticleStatisticService {

    @Autowired
    private PartnerArticleStatisticMapper mapper;

    @Override
    public boolean checkForExistence(PartnerArticleStatistic partnerArticleStatistics) {
        QueryWrapper<PartnerArticleStatistic> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("content_id", partnerArticleStatistics.getContentId());
        queryWrapper.eq("account_id", partnerArticleStatistics.getAccountId());
        PartnerArticleStatistic statistics = mapper.selectOne(queryWrapper);
        if (statistics == null) {
            //还未浏览 返回true表示可新增
            return true;
        }
        //已存在 不做新增
        return false;
    }

    @Override
    public Integer statisticsOfVisitors(Integer contentId) {
        return baseMapper.statisticsOfVisitors(contentId);
    }
}



