package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.Professional;
import com.huoran.nakadai.mapper.ProfessionalMapper;
import com.huoran.nakadai.service.IProfessionalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专业 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Service
public class ProfessionalServiceImpl extends ServiceImpl<ProfessionalMapper, Professional> implements IProfessionalService {

    @Override
    @Cacheable(value = {"n_professional_"},key = "#root.methodName")
    public List<Professional> queryProfessional(Integer professionalClassId) {
        return this.baseMapper.selectList(new QueryWrapper<Professional>()
                .eq("professional_class_id",professionalClassId));
    }

    @Override
    public List<Professional> professionalLevel(Integer professionalClassId) {
        return baseMapper.professionalLevel(professionalClassId);
    }
}
