package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ProgramShoppingCart;
import com.huoran.nakadai.entity.req.ProgramShoppingCartReq;
import com.huoran.nakadai.entity.res.PartnerArticleManagementResp;
import com.huoran.nakadai.entity.res.ProgramShoppingCartResp;
import com.huoran.nakadai.mapper.ProgramShoppingCartMapper;
import com.huoran.nakadai.service.ProgramShoppingCartService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 小程序—购物车 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-06-09
 */
@Service
public class ProgramShoppingCartServiceImpl extends ServiceImpl<ProgramShoppingCartMapper, ProgramShoppingCart> implements ProgramShoppingCartService {


    @Override
    public R shoppingCartList(ProgramShoppingCartReq req) {
        Page<ProgramShoppingCartResp> page = new Page<ProgramShoppingCartResp>(req.getPageNum(), req.getPageSize());
        IPage<ProgramShoppingCartResp> pageList = baseMapper.shoppingCartList(page, req);
        return R.ok().put("data", pageList);
    }
}
