package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.Province;
import com.huoran.nakadai.mapper.ProvinceMapper;
import com.huoran.nakadai.service.IProvinceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 省份表 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-07-08
 */
@Service
public class ProvinceServiceImpl extends ServiceImpl<ProvinceMapper, Province> implements IProvinceService {

    @Override
    @Cacheable(value = {"n_province_"},key = "#root.methodName")
    public List<Province> queryProvince() {
        List<Province> provinces = this.baseMapper.selectList(new QueryWrapper<Province>());
        return provinces;
    }
}
