package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.School;
import com.huoran.nakadai.mapper.SchoolMapper;
import com.huoran.nakadai.service.ISchoolService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学校表 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Service
public class SchoolServiceImpl extends ServiceImpl<SchoolMapper, School> implements ISchoolService {

    @Override
    @Cacheable(value = {"n_school_"},key = "#root.methodName")
    public List<School> querySchool(String schoolName, Integer provinceId, Integer cityId) {
        List<School> list = this.baseMapper.querySchool(schoolName,provinceId,cityId);
        return list;
    }

    @Override
    public List<School> getSchoolsByProvince(String schoolName, Integer provinceId, Integer cityId) {
        List<School> list = this.baseMapper.querySchool(schoolName,provinceId,cityId);
        return list;
    }
}
