package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ServiceConfiguration;
import com.huoran.nakadai.entity.req.ServiceConfigurationReq;
import com.huoran.nakadai.entity.res.CurriculumRes;
import com.huoran.nakadai.mapper.ServiceConfigurationMapper;
import com.huoran.nakadai.service.IServiceConfigurationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * <p>
 * 服务配置表 服务实现类
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-08
 */
@Service
public class ServiceConfigurationServiceImpl extends ServiceImpl<ServiceConfigurationMapper, ServiceConfiguration> implements IServiceConfigurationService {

    @Autowired
    private ServiceConfigurationMapper serviceConfigurationMapper;

    @Override
    public IPage<ServiceConfiguration> getAllService(ServiceConfigurationReq serviceReq) {

//        IPage page = new Page(serviceReq.getPageNum(),serviceReq.getPageSize());

        /*QueryWrapper<ServiceConfiguration> queryWrapper = new QueryWrapper<ServiceConfiguration>();
        if (!ObjectUtils.isEmpty(serviceReq.getBelong())){
            queryWrapper.eq("belong", serviceReq.getBelong());
        }
        if (!ObjectUtils.isEmpty(serviceReq.getType())){
            queryWrapper.eq("type", serviceReq.getType());
        }

        if (!StringUtils.isEmpty(serviceReq.getSystemName())){
            queryWrapper.like("system_name",serviceReq.getSystemName());
        }

        if (!StringUtils.isEmpty(serviceReq.getSupplierId())){
            queryWrapper.in("supplier_id",serviceReq.getSupplierId());
        }
        IPage iPage = serviceConfigurationMapper.selectPage(page, queryWrapper);
        List<ServiceConfiguration> records = iPage.getRecords();
        for (ServiceConfiguration configuration : records) {
            Integer supplierId = configuration.getSupplierId();
            if (supplierId==1){
                configuration.setSupplierName("或然科技");
            }else if (supplierId==2){
                configuration.setSupplierName("智信云");
            }else if (supplierId==3){
                configuration.setSupplierName("漩雨");
            }
        }*/

        Page<ServiceConfiguration> page = new Page<>(serviceReq.getPageNum(),serviceReq.getPageSize());
        return baseMapper.serviceConfigurationList(page, serviceReq);
    }

    @Override
    public String getSystemNameBySystemId(Integer systemId) {
        ServiceConfiguration configuration = serviceConfigurationMapper
                .selectOne(new QueryWrapper<ServiceConfiguration>().eq("system_id", systemId));
        return configuration.getSystemName();
    }
}
