/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.PlatformTeamClassification;
import com.huoran.nakadai.entity.model.ShopDetail;
import com.huoran.nakadai.mapper.PlatformTeamClassificationMapper;
import com.huoran.nakadai.mapper.ShopDetailMapper;
import com.huoran.nakadai.service.ShopDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author lgh on 2018/08/29.
 */
@Service
public class ShopDetailServiceImpl extends ServiceImpl<ShopDetailMapper, ShopDetail> implements ShopDetailService {

    @Autowired
    private ShopDetailMapper shopDetailMapper;

	@Autowired
    private PlatformTeamClassificationMapper platformTeamClassificationMapper;
    
//    @Autowired
//    private AttachFileService attachFileService;

    @Override
    @Transactional(rollbackFor=Exception.class)
	@CacheEvict(cacheNames = "shop_detail", key = "#shopDetail.shopId")
    public void updateShopDetail(ShopDetail shopDetail,ShopDetail dbShopDetail) {
    	// 更新除数据库中的信息，再删除图片
    	shopDetailMapper.updateById(shopDetail);
//    	if (!Objects.equals(dbShopDetail.getShopLogo(), shopDetail.getShopLogo())) {
//    		// 删除logo
//    		attachFileService.deleteFile(shopDetail.getShopLogo());
//    	}
//    	// 店铺图片
//    	String shopPhotos = shopDetail.getShopPhotos();
//    	String[] shopPhotoArray =StrUtil.isBlank(shopPhotos)?new String[]{}: shopPhotos.split(",");
//
//    	// 数据库中的店铺图片
//    	String dbShopPhotos = dbShopDetail.getShopPhotos();
//    	String[] dbShopPhotoArray =StrUtil.isBlank(dbShopPhotos)?new String[]{}: dbShopPhotos.split(",");
//    	for (String dbShopPhoto : dbShopPhotoArray) {
//    		// 如果新插入的图片中没有旧数据中的图片，则删除旧数据中的图片
//			if (!ArrayUtil.contains(shopPhotoArray, dbShopPhoto)) {
//				attachFileService.deleteFile(dbShopPhoto);
//			}
//		}
    }
    
	@Override
	@Transactional(rollbackFor=Exception.class)
	@CacheEvict(cacheNames = "shop_detail", key = "#shopId")
	public void deleteShopDetailByShopId(Integer shopId) {
		shopDetailMapper.deleteById(shopId);
	}

	@Override
	@Cacheable(cacheNames = "shop_detail", key = "#shopId")
	public ShopDetail getShopDetailByShopId(Integer shopId) {
//		return shopDetailMapper.selectById(shopId);
		PlatformTeamClassification platformTeamClassification = platformTeamClassificationMapper.selectById(shopId);
		ShopDetail shopDetail = new ShopDetail();
		shopDetail.setShopId(platformTeamClassification.getId());
		shopDetail.setShopName(platformTeamClassification.getClassificationName());
		shopDetail.setShopAddress(platformTeamClassification.getAddress());
		shopDetail.setIntro(platformTeamClassification.getBriefIntroduction());
		shopDetail.setCity(platformTeamClassification.getCity());
		shopDetail.setProvince(platformTeamClassification.getProvince());
		shopDetail.setMobile(platformTeamClassification.getPhone());
		shopDetail.setTel(platformTeamClassification.getPhone());
		shopDetail.setShopLogo(platformTeamClassification.getLogoUrl());
		shopDetail.setCreateTime(platformTeamClassification.getCreateTime());
		shopDetail.setUpdateTime(platformTeamClassification.getUpdateTime());
		return shopDetail;
	}

	@Override
	@CacheEvict(cacheNames = "shop_detail", key = "#shopId")
	public void removeShopDetailCacheByShopId(Integer shopId) {
	}
}
