/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.utils;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;


import java.util.List;
/**
 * @author lanhai
 */
public class PageParam<T> extends Page<T> {


    /**
     * 每页显示条数，默认 10
     */
    @ApiModelProperty(value = "每页大小，默认10")
    private long size = 10;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页，默认1")
    private long current = 1;

    /**
     * 查询数据列表
     */
    @ApiModelProperty(hidden = true)
    private List<T> records;
    /**
     * 总数
     */
//    @Hidden
    private long total = 0;

    @Override
    public List<T> getRecords() {
        return this.records;
    }

    @Override
    public Page<T> setRecords(List<T> records) {
        this.records = records;
        return this;
    }

    @Override
    public long getTotal() {
        return this.total;
    }

    @Override
    public Page<T> setTotal(long total) {
        this.total = total;
        return this;
    }

    @Override
    public long getSize() {
        return this.size;
    }

    @Override
    public Page<T> setSize(long size) {
        int maxSize = 100;
        if (size > maxSize) {
            this.size = maxSize;
        } else {
            this.size = size;
        }
        return this;
    }

    @Override
    public long getCurrent() {
        return this.current;
    }

    @Override
    public Page<T> setCurrent(long current) {
        this.current = current;
        return this;
    }
}
