package com.huoran.nakadai.utils;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Author chen
 * @DATE 2020/9/8 13:57
 * @Version 1.0
 */
@Component
public class WeChatPropertiesUtil implements InitializingBean {

    @Value("${partner.wxopen.appid}")
    private String partnerAppId;

    @Value("${partner.wxopen.appsecret}")
    private String partnerAppSecret;

    @Value("${partner.wxopen.redirect_url}")
    private String partnerRedirectUrl;


    @Value("${operation.wxopen.appid}")
    private String operationAppId;

    @Value("${operation.wxopen.appsecret}")
    private String operationAppSecret;

    @Value("${operation.wxopen.redirect_url}")
    private String operationRedirectUrl;

    @Value("${kindergarten.wxopen.appid}")
    private String kindergartenAppId;

    @Value("${kindergarten.wxopen.appsecret}")
    private String kindergartenAppSecret;

    @Value("${kindergarten.wxopen.redirect_url}")
    private String kindergartenRedirectUrl;


    public static String KINDERGARTEN_WX_OPEN_APP_ID;
    public static String KINDERGARTEN_WX_OPEN_APP_SECRET;
    public static String KINDERGARTEN_WX_OPEN_REDIRECT_URL;

    public static String PARTNER_WX_OPEN_APP_ID;
    public static String PARTNER_WX_OPEN_APP_SECRET;
    public static String PARTNER_WX_OPEN_REDIRECT_URL;


    public static String OPERATION_WX_OPEN_APP_ID;
    public static String OPERATION_WX_OPEN_APP_SECRET;
    public static String OPERATION_WX_OPEN_REDIRECT_URL;

    @Override
    public void afterPropertiesSet() throws Exception {
        PARTNER_WX_OPEN_APP_ID = partnerAppId;
        PARTNER_WX_OPEN_APP_SECRET = partnerAppSecret;
        PARTNER_WX_OPEN_REDIRECT_URL = partnerRedirectUrl;
        OPERATION_WX_OPEN_APP_ID = operationAppId;
        OPERATION_WX_OPEN_APP_SECRET = operationAppSecret;
        OPERATION_WX_OPEN_REDIRECT_URL = operationRedirectUrl;

        KINDERGARTEN_WX_OPEN_APP_ID = kindergartenAppId;
        KINDERGARTEN_WX_OPEN_APP_SECRET = kindergartenAppSecret;
        KINDERGARTEN_WX_OPEN_REDIRECT_URL = kindergartenRedirectUrl;
    }
}
