/*
package com.huoran.users.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.users.entity.EnterpriseCertification;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.HrUserInfo;
import com.huoran.users.entity.req.EnterpriseCertificationLIstReq;
import com.huoran.users.service.EnterpriseCertificationService;
import com.huoran.users.service.IHrUserAccountService;
import com.huoran.users.service.IHrUserInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

*/
/**
 * <p>
 * 企业认证审核 前端控制器
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 *//*


@Api(value = "后台-企业实名认证相关", tags = "后台-企业实名认证相关")
@RestController
@RequestMapping("/enterprise/certification")
public class EnterpriseCertificationController {


    @Autowired
    public EnterpriseCertificationService service;

    @Autowired
    public IHrUserAccountService userAccountService;

    @Autowired
    public IHrUserInfoService userInfoService;


    */
/**
     * 由前台申请认证后才有后台认证记录，认证状态有 待审核、已通过、未驳回三种状态，没有未提交这种状态
     *
     * @param req
     * @return
     *//*

    @PostMapping("/selectEnterpriseCertificationList")
    @ApiOperation(value = "企业认证列表", response = EnterpriseCertification.class)
    public R selectEnterpriseCertificationList(@RequestBody EnterpriseCertificationLIstReq req) {
        return service.selectEnterpriseCertificationList(req);
    }


    @PostMapping("/enterpriseCertificationDetails")
    @ApiOperation(value = "企业认证详情", response = EnterpriseCertification.class)
    public R enterpriseCertificationDetails(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        return service.enterpriseCertificationDetails(id);
    }

    @PostMapping("/findById")
    @ApiOperation(value = "查询详情", response = EnterpriseCertification.class)
    public R findById(@ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
        EnterpriseCertification enterpriseCertification = service.getById(id);
        return R.ok().put("data", enterpriseCertification);
    }


    @PostMapping("/enterpriseCertificationStatus")
    @ApiOperation(value = "查询企业当前认证状态", response = EnterpriseCertification.class)
    public R enterpriseCertificationStatus(@ApiParam(name = "openId", value = "微信openId", required = true) @RequestParam String openId) {
        */
/*String accountId = TokenUtils.getIdByJwtToken(request);*//*

        QueryWrapper<EnterpriseCertification> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("open_id", openId);
        EnterpriseCertification enterpriseCertification = service.getOne(queryWrapper);
        return R.ok().put("data", enterpriseCertification);
    }


    @PostMapping("/save")
    @ApiOperation(value = "新增(注册后调用此接口，传值状态0默认未提交)", response = EnterpriseCertification.class)
    public R save(@RequestBody @ApiParam(name = "企业实名认证信息记录对象", value = "传入json格式", required = true) EnterpriseCertification enterpriseCertification, HttpServletRequest request) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        enterpriseCertification.setAccountId(Integer.valueOf(accountId));
        if (!ObjectUtils.isEmpty(service.checkWhetherItExists(enterpriseCertification.getCompanyName(), null, null))) {
            throw new RuntimeException("企业名称已存在");
        }
        boolean addState = service.save(enterpriseCertification);
        return addState ? R.ok() : R.error("新增失败");
    }


    @PostMapping("/update")
    @ApiOperation(value = "修改", response = EnterpriseCertification.class)
    public R update(@RequestBody @ApiParam(name = "企业实名认证信息记录对象", value = "传入json格式", required = true) EnterpriseCertification enterpriseCertification, HttpServletRequest request) {
       */
/* String accountId = TokenUtils.getIdByJwtToken(request);
        enterpriseCertification.setAccountId(Integer.valueOf(accountId));*//*

        boolean updateState = service.updateById(enterpriseCertification);
        return updateState ? R.ok() : R.error("编辑失败");
    }


    @PostMapping("/informationAudit")
    @ApiOperation(value = "信息审核", response = EnterpriseCertification.class)
    public R informationAudit(@ApiParam(name = "auditStatus", value = "审核状态(2.通过，3.不通过)", required = true) @RequestParam Integer auditStatus, @ApiParam(name = "id", value = "主键", required = true) @RequestParam Integer id) {
//        String accountId = TokenUtils.getIdByJwtToken(request);

        EnterpriseCertification enterpriseCertification = new EnterpriseCertification();
//        enterpriseCertification.setAccountId(Integer.valueOf(accountId));
        enterpriseCertification.setAuditStatus(auditStatus);
        enterpriseCertification.setId(id);
        switch (auditStatus) {
            case 2:
                //通过:更改认证状态 认证状态(0默认未认证 1.认证中2.已认证)
                enterpriseCertification.setAuthenticationStatus(2);
                break;
            case 3:
                //不通过
                enterpriseCertification.setAuthenticationStatus(0);
                break;
        }

        boolean updateState = service.updateById(enterpriseCertification);
        return updateState ? R.ok() : R.error("编辑失败");
    }

    @PostMapping("/batchDeletion")
    @ApiOperation(value = "批量删除", response = EnterpriseCertification.class)
    public R batchDeletion(@ApiParam(name = "ids", value = "主键", required = true) @RequestBody List<Integer> ids) {

        for (Integer id : ids) {
            //

            EnterpriseCertification enterpriseCertification = service.getById(id);

            //删除企业认证后同步删除团队、用户、账户信息


            //删除账号表
            QueryWrapper<HrUserAccount> accountQueryWrapper1 = new QueryWrapper<>();
            accountQueryWrapper1.eq("app_open_id", enterpriseCertification.getOpenId());
            accountQueryWrapper1.eq("platform_id",enterpriseCertification.getPlatformSource());
            HrUserAccount userAccount = userAccountService.getOne(accountQueryWrapper1);
            userAccountService.removeById(userAccount);

            //删除用户表
            userInfoService.removeById(userAccount.getUserId());


        }

        boolean delState = service.removeByIds(ids);
        return delState ? R.ok() : R.error("删除失败");
    }

}

*/
