package com.huoran.users.controller;


import com.huoran.common.response.R;
import com.huoran.common.utils.TokenUtils;
import com.huoran.users.entity.Permission;
import com.huoran.users.entity.Supplier;
import com.huoran.users.service.SupplierService;
import com.huoran.users.service.UserRoleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 * 供应商表 前端控制器
 * </p>
 *
 * @author chen
 * @since 2022-10-13
 */
@Api(tags = "供应商管理")
@RestController
@RequestMapping("/users/supplier")
public class SupplierController {

    @Autowired
    SupplierService supplierService;

    @Autowired
    private UserRoleService userRoleService;

    @ApiOperation(value = "查询所有供应商列表")
    @GetMapping("/getSupplierList")
    public R getSupplierList() {
        List<Supplier> list = supplierService.list(null);
        return R.ok().put("supplierList", list);
    }

    @ApiOperation(value = "根据角色查询供应商列表")
    @GetMapping("/getSupplierListByRole")
    public R getsTheSupplierListByRole(HttpServletRequest request,@RequestParam Integer permissionId) {
        String accountId = TokenUtils.getIdByJwtToken(request);
        List<Integer> roles = userRoleService.queryAccountRoles(accountId,null);
        String roleIds = "";
        if (!roles.isEmpty()){
            for (Integer id : roles) {
                roleIds += id +",";
            }
            roleIds = roleIds.substring(0,roleIds.length()-1);
        }
        List<Supplier> list = supplierService.querySupplierList(roleIds,permissionId);
        return R.ok().put("supplierList", list);
    }

}

