package com.huoran.users.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 个人档案表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("hr_personal_file")
public class HrPersonalFile implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 个人档案id
     */
    @TableId(value = "personal_file_id", type = IdType.AUTO)
    private Integer personalFileId;

    /**
     * 个人职业id(1、学生 2、老师)
     */
    private Integer personalCareerId;

    /**
     * 学校id
     */
    private Integer schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 绑定学科id
     */
    private Integer disciplineId;

    /**
     * 绑定学科名称
     */
    private String disciplineName;

    /**
     * 绑定专业类id
     */
    private Integer professionalClassId;

    /**
     * 绑定专业类名称
     */
    private String professionalClassName;

    /**
     * 绑定专业id
     */
    private Integer professionalId;

    /**
     * 绑定专业名称
     */
    private String professionalName;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
