package com.huoran.users.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 各个平台账号表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("hr_user_account")
public class HrUserAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id(平台用户id）
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户表id
     */
    private Integer userId;

    @TableField(exist = false)
    private String userName;

    private Integer customerId;

    /**
     * 账号（此字段弃用）显示学号/工号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 工号
     */
    private String workNumber;

    @ApiModelProperty("手机号（平台唯一标识）")
    // @TableField(strategy = FieldStrategy.IGNORED)
    private String phone;

    /**
     * 角色id (此字段弃用，角色参见user_role表)
     */
    private String roleId;

    /**
     * 绑定院校id
     */
    private Integer schoolId;

    @TableField(exist = false)
    private String schoolName;

    /**
     * 所属平台：1->职站 2->数据平台
     */
    private String platformId;

    @TableField(exist = false)
    private String platformName;

    /**
     * 平台（系统）绑定时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date platformBindTime;

    /**
     * 平台端区分：0->教师端 1->学生端
     */
    private Integer type;

    @TableField(exist = false)
    private String typeName;

    /**
     * 是否删除(0、未删除 1、已删除)
     */
    @TableLogic
    private Integer isDel;

    /**
     * 是否禁用（0->禁用，1->启用）
     */
    //@TableLogic(delval = "0", value = "1")
    private Integer isEnable;


    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "绑定时间")
    private String phoneBindingTime;

    @ApiModelProperty(value = "小程序openid")
    private String appOpenId;

    @ApiModelProperty(value = "开放平台与公众平台唯一id")
    private String unionid;

}
