package com.huoran.users.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("hr_order")
public class Order implements Serializable {

    private static final long serialVersionUID = -6471558434681123441L;

    @ApiModelProperty(value = "主键Id")
    @TableId(value = "order_id", type = IdType.AUTO)
    private Integer orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNumber;

    @ApiModelProperty(value = "订单内容")
    @TableField(exist = false)
    private String orderContent;

    @ApiModelProperty(value = "绑定客户id")
    private Integer customerId;

    @ApiModelProperty(value = "订单客户名称")
    @NotNull(message = "客户名称不能为空")
    private String customerName;

    @ApiModelProperty(value = "订单金额")
    @NotNull(message = "订单金额不能为空")
    private String orderAmount;

    @ApiModelProperty(value = "订单名称")
    private String orderName;

    @ApiModelProperty(value = "订单类型(1、正式 2、试用)")
    @NotNull(message = "订单金额不能为空")
    private Integer orderType;

    @ApiModelProperty(value = "订单状态(1、待发货 2、已完成 3、已取消)")
    private Integer orderStatus;

    @ApiModelProperty(value = "订单性质(1、初签 2、续签)")
    private Integer orderNature;

    @ApiModelProperty(value = "省份id")
    @NotNull(message = "省份不能为空")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    @NotNull(message = "城市不能为空")
    private Integer cityId;

    @ApiModelProperty(value = "订单联系人")
    private String orderContact;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "是否删除(0、未删除 1、已删除)")
    @TableLogic(value = "0",delval = "1")
    private int isDel;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

}
