package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "企业认证请求参数")
public class EnterpriseCertificationReq {
    @ApiModelProperty(value = "公司的名字")
    private String comapnyName;

    @ApiModelProperty(value = "法人")
    private String legalPerson;


    @ApiModelProperty(value = "统一社会信用代码")
    private  String creditCode;

    @ApiModelProperty(value = "公司类型")
    private  String type;

    @ApiModelProperty(value = "公司注册日期(例：证件上为2014年04月16日，算法返回20140416")
    private String establishDate;

    @ApiModelProperty(value = "公司营业期限终止日期(例：证件上为2014年04月16日至2034年04月15日，算法返回20340415)")
    private String validPeriod;

    @ApiModelProperty(value = "公司地址，没有识别出来时返回FailInRecognition")
    private String address;

    @ApiModelProperty(value = "注册资本，没有识别出来时返回FailInRecognition")
    private String capital;


    @ApiModelProperty(value = "经营范围，没有识别出来时返回FailInRecognition")
    private String business;


    @ApiModelProperty(value = "营业执照图片")
    private String businessLicensePicture;

    @ApiModelProperty(value = "办学许可证件")
    private String licenseForRunningSchool;

    @ApiModelProperty(value = "申请人")
    private String proposer;

    @ApiModelProperty(value = "联系方式")
    private String contactInformation;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;




}
