package com.huoran.users.entity.req;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @描述：用户信息表
 * @作者: Rong
 * @日期: 2021-07-01
 */
@Data
@ApiModel(value = "批量导入所需")
public class ExcelImpUserInfoReq {



    @ApiModelProperty(value = "用户姓名")
    @NotBlank(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentification;


    @ApiModelProperty(value = "工号")
    @NotBlank(message = "工号不能为空")
    private String workNumber;

    @ApiModelProperty(value = "绑定的角色id")
    @NotBlank(message = "角色不能为空")
    private String roleId;

    @ApiModelProperty(value = "绑定院校id")
    private Integer schoolId;

    @ApiModelProperty(value = "所属平台：1->职站 2->数据平台")
    private Integer platformId;

    @ApiModelProperty(value = "平台端区分：0->教师端 1->学生端")
    private Integer type;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


}