package com.huoran.users.entity.req;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;

/**
 * @描述：用户信息表
 * @作者: Rong
 * @日期: 2021-07-01
 */
@Data
@ApiModel(value = "用户信息表")
public class ModifyUserInfoReq {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "用户id")
    private Integer userId;


    @ApiModelProperty(value = "用户token")
    private String token;

    @ApiModelProperty(value = "用户姓名")
    @NotBlank(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "账号")
    @NotBlank(message = "账号不能为空")
    private String account;


    @ApiModelProperty(value = "工号")
    @NotBlank(message = "工号不能为空")
    private String workNumber;


    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "手机号")
    private String phone;


    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "账户id")
    private Integer accountId;

    /*@ApiModelProperty(value = "绑定院校id")
    private Integer schoolId;*/


    @ApiModelProperty(value = "绑定的多个角色id")
    private List<Integer> roleIds;
}