package com.huoran.users.entity.req;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
public class ResetPwdReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 原密码
     */
    @NotBlank(message = "原密码不能为空！")
    @ApiModelProperty("原密码")
    private String password;

    /**
     * 新密码1
     */
    @ApiModelProperty("新密码1")
    @NotBlank(message = "新密码不能为空！")
    private String newPassword;

    /**
     * 新密码2
     */
    @NotBlank(message = "新密码不能为空！")
    @ApiModelProperty("新密码2")
    private String reNewPassword;

    /**
     * 账号ID
     */
    @ApiModelProperty("账号ID")
    @NotNull(message = "账号ID不能为空！")
    private Integer accountId;

}
