package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author huoran
 * @DATE 2021/6/7 16:20
 * @Version 1.0
 */
@Data
public class UserInfoReq {

    @ApiModelProperty("国家")
    private String countries;
    @ApiModelProperty("省份id")
    private Integer provinceId;
    @ApiModelProperty("城市id")
    private Integer cityId;
    @ApiModelProperty("学校id")
    @NotNull(message = "学校不能为空")
    private String schoolId;
    @ApiModelProperty("角色id")
    private String roleId;
    @ApiModelProperty("搜索内容")
    private String searchContent;
    @ApiModelProperty("月份")
    private Integer month;
    @ApiModelProperty("创建时间")
    private String creationTime;
    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("平台用户端权限，5幼儿园，6供应商，7个人端")
    private Integer platformId;

    @ApiModelProperty("来源 1自行注册 ,注册该字段给值")
    private Integer registration;

    @ApiModelProperty("来源 2邀请 ,邀请该字段给值")
    private Integer invite;

    private Integer pageNum;

    private Integer pageSize;

}
