package com.huoran.users.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @描述：用户信息表
 * @作者: Rong
 * @日期: 2021-07-01
 */
@Data
@ApiModel(value = "用户信息")
public class DataUserInfoResp {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentification;

    @ApiModelProperty(value = "证件类型（1、身份证）")
    private Integer documentType;

    @ApiModelProperty(value = "证件号码")
    private String idNumber;

    @ApiModelProperty(value = "绑定省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "绑定城市id")
    private Integer cityId;

    @ApiModelProperty(value = "国家归属地")
    private String countries;

    @ApiModelProperty(value = "出生日期")
    private String dateBirth;

    @ApiModelProperty(value = "教育程度")
    private Integer educationDegree;

    @ApiModelProperty(value = "绑定学校id")
    private Integer schoolId;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "登陆次数")
    private Integer loginNumber;

    @ApiModelProperty(value = "性别（1、男 2、女）")
    private Integer sex;

    @ApiModelProperty(value = "用户头像路径")
    private String userAvatars;

    @ApiModelProperty(value = "是否删除(0->未删除；1->已删除)")
    private Integer isDel;

    @ApiModelProperty(value = "最后登陆时间")
    private String lastLoginTime;

    @ApiModelProperty(value = "绑定多个角色信息")
    List<UserRoleResp> roleId;

    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "组织关系：1->有组织关系；2->无组织关系；")
    private Integer organizationalRelation;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "工号")
    private String workNumber;

    @ApiModelProperty(value = "所属平台：1->职站 2->数据平台")
    private String platformId;

    @ApiModelProperty(value = "平台（系统）绑定时间")
    private Date platformBindTime;

    @ApiModelProperty(value = "平台端区分：0->教师端 1->学生端")
    private Integer type;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "微信号")
    private String wechatId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "账号角色")
    private String roleName;

}