package com.huoran.users.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huoran.common.entity.resp.PhoneBindingrResp;
import com.huoran.users.entity.HrPersonalFile;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.HrUserInfo;
import com.huoran.users.entity.SysPlatform;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ToString
public class ProfileDetailsRes {

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("账号id")
    private Integer accountId;

    @ApiModelProperty("用户姓名")
    private String userName;

    @ApiModelProperty("证件号码")
    private String idNumber;

    @ApiModelProperty("省份名称")
    private String provinceName;

    @ApiModelProperty("城市名称")
    private String cityName;

    @ApiModelProperty("所属国家")
    private String countries;

    @ApiModelProperty("出生日期")
    private String dateBirth;

    @ApiModelProperty("教育程度")
    private Integer educationDegree;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("性别（1、男 2、女）")
    private Integer sex;

    @ApiModelProperty("平台端区分：0->教师端 1->学生端 2->无端")
    private Integer type;

    @ApiModelProperty("角色")
    private String roleName;

    @ApiModelProperty("学号/工号")
    private String workNumber;

    @ApiModelProperty("个人档案List")
    private List<HrPersonalFile> personalFileList;

    @ApiModelProperty("中台个人档案List")
    private List<PersonalFileResp> nakadaiPersonalFileList;

}
