package com.huoran.users.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserAccountListRes implements Serializable {

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.ID_WORKER)
    private Integer id;

    /**
     * 用户表id
     */
    @ApiModelProperty("用户表id")
    private Integer userId;

    /**
     * 账号
     */
    @ApiModelProperty("账号")
    private String account;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    private String workNumber;

    /**
     * 绑定的角色id
     */
    @ApiModelProperty("绑定的角色id")
    private String roleId;

    /**
     * 绑定院校id
     */
    @ApiModelProperty("绑定院校id")
    private Integer schoolId;

    @ApiModelProperty("绑定院校名称")
    private String schoolName;

    /**
     * 所属平台：1->职站 2->数据平台
     */
    @ApiModelProperty("所属平台：1->职站 2->数据平台")
    private Integer platformId;

    @ApiModelProperty("所属平台名称")
    private String platformName;

    /**
     * 平台端区分：0->教师端 1->学生端
     */
    @ApiModelProperty("平台端区分：0->教师端 1->学生端")
    private Integer type;

    @ApiModelProperty("是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

}
