package com.huoran.users.entity.res;

import com.huoran.common.entity.OrganizationInfo;
import com.huoran.common.entity.resp.PhoneBindingrResp;
import com.huoran.users.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserInfoDetailsRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("无数据状态")
    private boolean status;

    @ApiModelProperty("信息")
    private String message;

    /**
     * 用户对象
     */
    @ApiModelProperty("用户对象")
    private HrUserInfo hrUserInfo;

    @ApiModelProperty("账号List")
    private List<HrUserAccount> userAccountList;

    @ApiModelProperty("账号对象")
    private HrUserAccount userAccount;

    /**
     * 个人档案List
     */
    @ApiModelProperty("个人档案List")
    private List<HrPersonalFile> personalFileList;

    /**
     * 已绑定系统/平台List
     */
    @ApiModelProperty("已绑定系统/平台List")
    private List<SysPlatform> platformList;

    @ApiModelProperty("已绑定平台和用户信息")
    private List<PhoneBindingrResp> bindingPlatformAndUserList;

    @ApiModelProperty("组织认证信息")
    private List<OrganizationInfo> organizationInfoList;

}
