package com.huoran.users.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserInfoListRes implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    @TableId(value = "userId", type = IdType.AUTO)
    private Integer userId;

    @ApiModelProperty("账号id")
    private Integer accountId;

    @ApiModelProperty("用户账号")
    private String account;

    @ApiModelProperty("用户姓名")
    private String userName;

    @ApiModelProperty("平台来源")
    private String platformName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("最近登录时间")
    private String lastLoginTime;

    @ApiModelProperty("登录次数")
    private Integer logInNumber;

    @ApiModelProperty("是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

    @ApiModelProperty("省份")
    private String provinceName;

    @ApiModelProperty("城市")
    private String cityName;

    @ApiModelProperty("实名认证")
    private String authentication;

    @ApiModelProperty("openId")
    private String appOpenId;

    @ApiModelProperty("账号来源")
    private String accountSource;

}
