package com.huoran.users.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2021/7/7 15:22
 * @Version 1.0
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "LoginVo",description = "登录参数")
public class LoginVo {

    @ApiModelProperty("验证码")
    @NotEmpty(message = "验证码不能为空")
    private String code;

    @ApiModelProperty("平台标识，1职站，2数据平台，3中台，4合伙人，5幼儿园，6供应商，7个人端")
    @NotNull(message = "登录平台不能为空")
    private Integer platform;

    @ApiModelProperty("平台端区分：0->教师端 1->学生端 2->无端")
    @NotNull(message = "平台端口不能为空")
    private Integer type;

    @ApiModelProperty("随机数")
    // @NotNull(message = "随机数不能为空")
    private String random;

    @ApiModelProperty("区分手机号账号登录,1为账号登录,2为手机号或邮箱登录")
    @NotNull(message = "登录类型不能为空")
    private Integer distinguish;

    @ApiModelProperty("学号/工号")
    // @NotEmpty(message = "学号/工号不能为空")
    private String workNumber;

    @ApiModelProperty("账号")
    // @NotEmpty(message = "账号不能为空")
    private String account;

    @ApiModelProperty("学校")
    private Integer schoolId;

    @ApiModelProperty("密码")
    // @NotEmpty(message = "密码不能为空")
    private String password;

}
