package com.huoran.users.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.entity.Student;
import com.huoran.common.entity.UserAccount;
import com.huoran.common.entity.UserInfo;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.req.UserInfoReq;
import com.huoran.users.entity.res.DataUserInfoResp;
import com.huoran.common.entity.OrganizationInfo;
import com.huoran.users.entity.res.UserAccountListRes;
import com.huoran.users.entity.res.UserInfoListRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 各个平台账号表 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Mapper
public interface HrUserAccountMapper extends BaseMapper<HrUserAccount> {
    IPage<UserInfoListRes> pageByCondition(Page<UserInfoListRes> page,@Param("userInfoReq") UserInfoReq userInfoReq);
    List<UserInfoListRes> pageByConditionNum(@Param("userInfoReq") UserInfoReq userInfoReq);
    List<UserAccountListRes> selectUserSysBindById(@Param("userId") Integer userId, @Param("platformId") Integer platformId);

    int queryAccountExist(@Param("account") String account,@Param("userId") Integer userId);

    IPage<DataUserInfoResp> getDataUserList(Page<DataUserInfoResp> page, @Param("params") Map<String, Object> params);

    List<Integer> queryEmail(String email);

    List<Integer> queryPhone(String phone);

    Integer queryAccountExistByPlatformId(@Param("account") String account, @Param("userId") Integer userId,@Param("platformId") String platformId);

    boolean delUserAccounts(@Param("ids") List<Integer> ids);

    //统计某院校下可开启启用的账号数量
    Integer getAvailableNum(@Param("schoolId")Integer schoolId);

    String querySchoolNameBySchoolId(Integer schoolId);

    String selectClientName(Integer customerId);

    //解绑手机号
    boolean unbindMobilePhone(@Param("accountId")Integer accountId);

    Integer selectTeam(Integer id);

    boolean addUserInfo(UserInfo userInfo);

    boolean addUserAccount(UserAccount account);

    boolean save(Student student);

    List<OrganizationInfo> selectOrganizationInfo(@Param("openId")String openId);

    int selectTeamByOpenId(String id);

    void deleteOrganization(@Param("accountId")Integer accountId);

    ArrayList<Integer> selectTeamId(@Param("teamId")Integer teamId);

    void deleteTeam(@Param("teamId")Integer teamId);
}
