package com.huoran.users.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.common.entity.UserAccount;
import com.huoran.common.entity.UserInfo;
import com.huoran.common.entity.resp.PhoneBindingrResp;
import com.huoran.users.entity.DataRole;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.HrUserInfo;
import com.huoran.users.entity.SysPlatform;
import com.huoran.users.entity.res.DataUserInfoResp;
import com.huoran.users.entity.res.ProfileDetailsRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Mapper
public interface HrUserInfoMapper extends BaseMapper<HrUserInfo> {

    List<SysPlatform> selectUserPlatformById(Integer userId);

    DataUserInfoResp getDetail(Integer userId);

    HrUserAccount getAccount(@Param("params") Map<String, Object> params);

    //数据平台：查询是否有该角色
    DataRole getRole(@Param("role_name") String roleName, @Param("client_id") String client_id);

    String queryUserPassword(Integer userId);

    void userInfoUpdateUserInfoById(HrUserInfo entity);

    boolean delUserInfos(@Param("ids") List<Integer> ids);

    String selectSchoolName(Integer schoolId);

    String selectCustomerName(Integer customerId);

    Integer selectCustomerId(String account);

    HrUserInfo selectByUserId(Integer userId);

    String getUserName(@RequestParam("accountId") Integer accountId);

    List<PhoneBindingrResp> userBindingPhoneInfo(@Param("account") HrUserAccount account);

    ProfileDetailsRes personalFile(Integer userId);

    Integer selectAccount(@Param("phone") String phone,@Param("platformId") String platformId);

    int addUserInfo(UserInfo userInfo);

    int addUserAccount(UserAccount userAccount);
}
