package com.huoran.users.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.req.*;
import com.huoran.users.entity.res.DataUserInfoResp;
import com.huoran.users.entity.res.ProfileDetailsRes;
import com.huoran.users.entity.res.UserInfoDetailsRes;
import com.huoran.users.entity.res.UserSysDetailRes;
import com.huoran.users.entity.vo.CheckVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 各个平台账号表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
public interface IHrUserAccountService extends IService<HrUserAccount> {
    R queryPage(UserInfoReq userInfoReq);

    int resetPwd(Integer userId);

    int delUserAccount(Integer userId, Integer isdel);

    UserSysDetailRes selectUserSysBind(Integer userId, Integer platformId);

    HrUserAccount selectAccountDetail(Integer accountId);

    UserInfoDetailsRes queryUserInfoDetails(Integer userId);

    R updateUserAvatars(Integer userId, MultipartFile file);

    int updatePersonCenter(UserInfoDetailsRes req);

    //数据平台用户管理列表
    IPage<DataUserInfoResp> getDataUserList(DataUserListReq req);

    R getUserTotalBySchoolId(Integer schoolId);

    int updateAccountEnable(Integer id, Integer isEnable);

    String queryPassword(Integer accountId, Integer platformId);

    int updateAccountAllEnable(Integer id, Integer isEnable);

    int updateAccountAllAvaliable(Integer id, Integer isEnable);

    R examinePassword(ResetPwdReq resetPwdReq);

    R delUserAccounts(List<String> ids);

    Integer getUserIdByAccountId(String accountId);

    //统计某院校下可开启启用的账号数量
    Integer getAvailableNum(Integer schoolId);

    String getAccountId(CheckVo checkVo);

    Integer updateAccount(HrUserAccount userAccount);

    String queryClientName(Integer customerId);

    //中台查看用户详情
    UserInfoDetailsRes viewUserDetailsforNakadai(Integer userId);

    R oneClickEnableVerification(Integer accountId);

    //个人档案
    ProfileDetailsRes personalFile(Integer userId);

    //解绑手机号
    R unbindMobilePhone(Integer accountId);

    //更改手机号
    R changePhoneNumber(CheckVo checkVo,Integer accountId);

    Integer querySchoolIdByAccountId(String id);

    R studentAccountApplication(RegisterReq registerReq);

    UserInfoDetailsRes viewUserDetails(String openId);

    R updateAvatars(String openId, String url, String userName,String platformId);

    int selectTeam(String id);
}
