package com.huoran.users.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.users.entity.HrUserAccount;
import com.huoran.users.entity.HrUserInfo;
import com.huoran.users.entity.dto.LoginDTO;
import com.huoran.users.entity.req.AccountRegisterReq;
import com.huoran.users.entity.req.AppletCallbackReq;
import com.huoran.users.entity.req.UnbindAccountsReq;
import com.huoran.users.entity.req.WxUserBindingReq;
import com.huoran.users.entity.res.DataUserInfoResp;
import com.huoran.users.entity.vo.CheckVo;
import com.huoran.users.entity.vo.LoginVo;
import com.huoran.users.entity.vo.WxMssVo;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户信息表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
public interface IHrUserInfoService extends IService<HrUserInfo> {

    DataUserInfoResp getDetail(Integer userId);

    R queryUserInfoById(Integer userId, Integer accountId);

    Integer queryAccountExistByPlatformId(String account, Integer userId, Integer platformId);

    void updateUserInfoById(HrUserInfo userInfo);

    LoginDTO login(LoginVo loginVo);

    void createCaptcha(String random, HttpServletResponse response);

    Map<String, String> upload(MultipartFile file, Integer schoolId) throws IOException;

    void exportFailureRecord(HttpServletResponse response, String token) throws Exception;

    boolean queryPhone(String phone);

    boolean queryEmail(String email);

    R sendCheckPhoneCode(CheckVo checkVo);

    R bindPhone(CheckVo checkVo, Integer userId);

    List<HrUserAccount> getOtherAccount(String phone, String platform);

    boolean checkPhoneOrEmailExist(@RequestParam("phone") String phone, @RequestParam("email") String email, @RequestParam("type") Integer type);

    String getUserName(@RequestParam("accountId") Integer accountId);

    R sendPhoneVerificationCode(String phoneOrEmail,Integer loginOrBind,String platform);

    R getToken(String id);

    R unbindAccounts(UnbindAccountsReq accountsReq);

    Map<String ,Object>  weChatAppletCallbackByPartner(AppletCallbackReq appletCallbackReq, HttpServletResponse response) throws Exception;

    Map<String ,Object>  weChatAppletCallbackByOperation(AppletCallbackReq appletCallbackReq, HttpServletResponse response) throws Exception;

    String userBinding(WxUserBindingReq userBindingReq);

    R messageNotification(WxMssVo wxMssVo);

    R getSessionKey(AppletCallbackReq appletCallbackReq, HttpServletResponse response) throws Exception;

    R loginByOpenid(String openid);

    R updateAvatars(String url,String id);

    R personalAccountApplication(AccountRegisterReq registerReq);

    Map<String, Object> weChatAppletCallbackByKindergarten(AppletCallbackReq appletCallbackReq, HttpServletResponse response) throws Exception;
}
