package com.huoran.users.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.users.entity.EnterpriseCertification;
import com.huoran.users.entity.req.EnterpriseCertificationLIstReq;
import com.huoran.users.mapper.EnterpriseCertificationMapper;
import com.huoran.users.service.EnterpriseCertificationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.swagger.models.auth.In;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

/**
 * <p>
 * 企业认证审核 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Service
public class EnterpriseCertificationServiceImpl extends ServiceImpl<EnterpriseCertificationMapper, EnterpriseCertification> implements EnterpriseCertificationService {

    @Override
    public EnterpriseCertification checkWhetherItExists(String company_name, Integer id,String opnenId) {
        QueryWrapper<EnterpriseCertification> wrapper = new QueryWrapper<>();
        wrapper.eq("company_name", company_name);

        /*if (!ObjectUtils.isEmpty(opnenId)){
            wrapper.eq("open_id", opnenId);
        }*/

        if (!ObjectUtils.isEmpty(id)){
            wrapper.last( " and id <> " + id);
        }
        return getOne(wrapper);
    }

    @Override
    public R selectEnterpriseCertificationList(EnterpriseCertificationLIstReq req) {
        Page<EnterpriseCertification> page = new Page<EnterpriseCertification>(req.getPageNum(), req.getPageSize());
        IPage<EnterpriseCertification> pageList = baseMapper.selectEnterpriseCertificationList(page, req);


        return R.ok().put("data", pageList);
    }

    @Override
    public R enterpriseCertificationDetails(Integer id) {
        return R.ok().put("data",baseMapper.enterpriseCertificationDetails(id));
    }

    @Override
    public boolean deleteTeamInformation(Integer accountId) {
        return baseMapper.deleteTeamInformation(accountId) > 0;
    }
}
