package com.huoran.users.service.impl;

import com.huoran.common.response.R;
import com.huoran.users.entity.UserRole;
import com.huoran.users.entity.res.UserRoleResp;
import com.huoran.users.mapper.UserRoleMapper;
import com.huoran.users.service.UserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2021-09-29
 */
@Service
public class UserRoleServiceImpl extends ServiceImpl<UserRoleMapper, UserRole> implements UserRoleService {
    @Override
    public List<Integer> queryAccountRoles(String accountId,Integer teamId) {
        return baseMapper.selectAccountRoles(accountId,teamId);
    }

    @Override
    public boolean checkIsSuperTube(String accountId) {
        List<String> list = baseMapper.checkIsSuperTube(accountId);
        if (list.size() > 0) {
            for (String userRole : list) {
                if (userRole.trim().equals("超级管理员")) {
                    return true;
                }
            }
        }
        return false;
    }

    @Override
    public List<UserRoleResp> getUserRoleByAccountId(Integer accountId) {
        return baseMapper.getUserRoleByAccountId(accountId);
    }

    @Override
    public String getUserAllRole(Integer accountId, Integer platformId) {
        return baseMapper.getUserAllRole(accountId, platformId);
    }

    @Override
    public List<Integer> getAccountIdsBySchoolId(Integer schoolId, Integer platformId) {
        return baseMapper.getAccountIdsBySchoolId(schoolId, platformId);
    }

    @Override
    public boolean queryTeacherAccount(String id) {
        List<String> list = baseMapper.checkIsSuperTube(id);
        if (list.size() > 0) {
            /*for (String userRole : list) {
                if (userRole.trim().equals("老师") || userRole.trim().equals("管理员")) {
                    return true;
                }
            }*/
            return true;
        }
        return false;
    }
}
