package com.huoran.users.utils;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.huoran.users.config.WeChatPropertiesUtil;
import com.huoran.users.entity.vo.WxMssVo;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.util.EntityUtils;

import javax.net.ssl.HttpsURLConnection;
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Map;
import java.util.Set;

public class WeChatUtil {
    public static String httpRequest(String requestUrl,String requestMethod,String output){
        try{
            URL url = new URL(requestUrl);
            HttpsURLConnection connection = (HttpsURLConnection) url.openConnection();
            connection.setDoOutput(true);
            connection.setDoInput(true);
            connection.setUseCaches(false);
            if(null != output){
                OutputStream outputStream = connection.getOutputStream();
                outputStream.write(output.getBytes("utf-8"));
                outputStream.close();
            }
            // 从输入流读取返回内容
            InputStream inputStream = connection.getInputStream();
            InputStreamReader inputStreamReader = new InputStreamReader(inputStream, "utf-8");
            BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
            String str = null;
            StringBuffer buffer = new StringBuffer();
            while ((str = bufferedReader.readLine()) != null){
                buffer.append(str);
            }
            bufferedReader.close();
            inputStreamReader.close();
            inputStream.close();
            inputStream = null;
            connection.disconnect();
            return buffer.toString();
        }catch(Exception e){
            e.printStackTrace();
        }
        return "";
    }

    /**
     * 根据AppID和AppSecret获取最新可用的AccessToken
     * @return
     */
    public static String getAccessToken() throws IOException {
//        https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=APPID&secret=APPSECRET
//        String appid = PropUtils.getProp("APPID");
//        String appsecret = PropUtils.getProp("APPSECRET");
        // 微信小程序ID
        String appid = WeChatPropertiesUtil.PARTNER_WX_OPEN_APP_ID;
        // 微信小程序秘钥
        String appsecret =WeChatPropertiesUtil.PARTNER_WX_OPEN_APP_SECRET;

        //构建url，用于向微信服务器请求用户的openId
        StringBuffer url = new StringBuffer("https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&");
        url.append("appid=").append(appid)
                .append("&secret=").append(appsecret);

        //向微信的服务器发送Get请求
        HttpClient client = HttpClientBuilder.create().build();
        HttpGet httpGet = new HttpGet(url.toString());
        HttpResponse httpResponse = client.execute(httpGet);
        HttpEntity result = httpResponse.getEntity();
        String resultStr = EntityUtils.toString(result);
        System.out.println(resultStr);
        JSONObject resultJsonObject = JSONUtil.parseObj(resultStr);
        String accessToken = (String) resultJsonObject.get("access_token");
        return accessToken;
    }

    //发送模板消息
    public static String sendTemplateMessage(WxMssVo wxMssVo) {
        String info = "";
        try {
            //创建连接
            URL url = new URL(wxMssVo.getRequest_url());
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();
            connection.setDoOutput(true);
            connection.setDoInput(true);
            connection.setRequestMethod("POST");
            connection.setUseCaches(false);
            connection.setInstanceFollowRedirects(true);
            connection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
            connection.setRequestProperty("Content-Type", "utf-8");
            connection.connect();

            //POST请求
            DataOutputStream out = new DataOutputStream(connection.getOutputStream());
            JSONObject obj = new JSONObject();

            //设置参数
            //不可缺失 缺失会出现invalid openid rid
            //putOpt 等效于当两个参数都为非空时;除此之外什么都不做。put(name, value)
            obj.putOpt("touser", wxMssVo.getTouser());
            //不可缺失 缺失出现invalid template_id
            obj.putOpt("template_id", wxMssVo.getTemplate_id());
            obj.putOpt("page", wxMssVo.getPage());

            JSONObject jsonObject = new JSONObject();

            //发送自定义数据
            Set<Map.Entry<String, Object>> entries = wxMssVo.getMap().entrySet();

            for (Map.Entry<String, Object>entry:entries){

                JSONObject dataInfo = new JSONObject();
                dataInfo.putOpt("value", entry.getValue());
                jsonObject.putOpt(entry.getKey(), dataInfo);
            }
            obj.putOpt("data", jsonObject);

            System.out.println(obj.toString());
            out.write(obj.toString().getBytes());
            out.flush();
            out.close();

            //读取响应
            BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
            String lines;
            StringBuffer sb = new StringBuffer("");
            while ((lines = reader.readLine()) != null) {
                lines = new String(lines.getBytes(), "utf-8");
                sb.append(lines);
            }
            info = sb.toString();
            System.out.println(sb);
            reader.close();
            // 断开连接
            connection.disconnect();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return info;
    }
}
