package com.huoran.websocket.topic;

import com.alibaba.fastjson.JSON;
import com.huoran.websocket.model.vo.SendMsgVO;
import com.huoran.websocket.server.OpenWebSocketApi;
import com.huoran.websocket.server.WebsocketServer;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;
import org.springframework.stereotype.Component;

/**
 * 订阅者
 *@author wangsong
 * @date 2023/05/17
 */
@Component
public class WebsocketMsgListener implements MessageListener {

    private WebsocketServer websocketServer;

    public WebsocketMsgListener(WebsocketServer websocketServer) {
        this.websocketServer = websocketServer;
    }


    @Override
    public void onMessage(Message message, byte[] pattern) {
        String messageStr = new String(message.getBody());
        SendMsgVO sendMsgVO = JSON.parseObject(messageStr, SendMsgVO.class);

        // 发送消息
        OpenWebSocketApi.send(sendMsgVO);
    }
}

