package com.huoran.websocket.topic;

import com.huoran.websocket.model.vo.SendMsgVO;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.listener.ChannelTopic;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**websocket味精出版商
 * 发布者
 * @author wangsong
 * @date 2023/05/17
 */
@Component
public class WebsocketMsgPublisher {

    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    @Resource
    private ChannelTopic topic;

    public void sendMsg(SendMsgVO sendMsgVO ) {
        redisTemplate.convertAndSend(topic.getTopic(),  sendMsgVO);
    }

}
